<?php
/**
 * $Id$
 * $LastChangedDate$
 * $LastChangedBy$
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.html.pane');
jimport('joomla.filesystem.file');
jimport('joomla.filesystem.folder');
jimport('joomla.filesystem.archive');
jimport('joomla.filter.filteroutput');
jimport('joomla.filter.filteroutput');
jimport('joomla.mail.helper');
jimport('joomla.mail.mail');
jimport('joomla.mail.helper');
jimport('joomla.application.component.controller');
jimport('joomla.utilities.date');
jimport('joomla.language.helper');

/*$license = JPATH_COMPONENT.DS.'license.txt';
if(!JFile::exists($license))
{
	if(!JFolder::exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jslm'))
	{
		JError::raiseNotice('Please, <a href="http://www.mightyextensions.com/knowledge-base/faq/item/answers/29-instructions/41-installation-instruction">read installation instruction</a>');
		$mainframe->redirect('index.php');
		return;
	}
	$mainframe->redirect('index.php?option=com_jslm', JText::_('Please install a license'));
	return;
}*/

JHTML::_('behavior.modal');

require_once (JPATH_COMPONENT_ADMINISTRATOR.DS.'controllers'.DS.'config.php');
CommerceControllerConfig::initialyze();


$controller = JRequest::getVar('controller') ? JRequest::getVar('controller') : 'orders';
if(JRequest::getString('layout') == 'about') $controller = 'config';

$ini = JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_commerce'.DS.'config.ini';

if($controller != 'config' && (!defined('COMM_GLOBAL_SECTION') || !file_exists($ini) ) )  //(!defined('COMM_CORE_CURRENCY') && !defined('COMM_PERCENTAGE') && !defined('COMM_TRANSACTION') && !defined('COMM_PAY_GATEWAYS')))
{
	JError::raiseNotice(100, 'Please save the configuration');
	$mainframe->redirect('index.php?option=com_commerce&controller=config');
}

$section_id = JRequest::getInt('section_id') ? JRequest::getInt('section_id') : (defined('COMM_GLOBAL_SECTION') ? COMM_GLOBAL_SECTION : 0);

$resource = JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_resource'.DS.'library'.DS.'helper.php';
if(file_exists($resource))
{
	require_once ($resource);
	$GLOBALS['CP_admin'] = $CP_admin = ResHelper::getSectionParams($section_id);
}

require_once (JPATH_COMPONENT_ADMINISTRATOR.DS.'controllers'.DS.'config.php');
CommerceControllerConfig::initialyze($CP_admin, $section_id);

require_once (JPATH_COMPONENT.DS.'controller.php');

if(JRequest::getVar( 'noxajax', 0 ) == 0){
	require_once (JPATH_COMPONENT_ADMINISTRATOR.DS.'commerce.xajax.php');
}


JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_commerce'.DS.'tables');


// Require specific controller if requested
if($controller) {
	require_once (JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php');
	$classname	= 'CommerceController'.ucfirst($controller);
}


// Include specific controller.
$controller	= new $classname( );

function getComSectionList($section_id)
{
	$db = JFactory::getDBO();
	require_once (JPATH_ROOT . DS . 'administrator' . DS . 'components' . DS . 'com_resource' . DS . 'library' . DS . 'helper.php');
	$sql = "SELECT id, name FROM #__js_res_category WHERE parent = '0' AND published = '1' ORDER BY ordering, id";
	$db->setQuery($sql);
	$res = $db->loadObjectList();
	$options = array();
	//$options[] = JHTML::_('select.option', '0', '- ' . JText::_('Select section') . ' -');
	if (count($res) > 0)
	{
		foreach($res as $val)
		{
			$CP = ResHelper::getSectionParams($val->id);
			if ($CP->get('comm_enabled'))
				$options[] = JHTML::_('select.option', $val->id, $val->name);
		
		}
	}
	return JHTML::_('select.genericlist', $options, "section_id", 'onchange="this.form.task.value = \'apply\'; this.form.submit();"', 'value', 'text', $section_id);

}



// Perform the Request task
$controller->execute( JRequest::getVar('task'));
$controller->redirect();
?>
<DIV class="clear"
	style="clear: both"></DIV>
<CENTER>&copy; 2007 - <?php echo date("Y");?> Mighty Commerce by <a
	href="http://www.mightyextensions.com">Mighty Extensions</a>, All
Rights Reserved.</CENTER>
<style type="text/css">
 #adesk-button{
 position: fixed;
 right: 0;
 top: 50%;
 background: url(https://s3.amazonaws.com/adws/widgets/imgs/fs-r-joomla.png) no-repeat;
 height: 250px;
 width: 27px
}
</style>
    <a href="javascript:adesk_stak.init.call();" id="adesk-button"></a>

          <div id="adesk-widget" style="display:none;">

            <div id="wd-overlay">

              <div class="info-box"><a class="close" href="javascript:javascript:adesk_stak.closePop();"></a></div>

            </div>

            <div id="wd-expose"></div>

          </div>
          
     <script type="text/javascript">

      adesk_option = {

        prod: 'mighty-commerce-joomla-component',

                    user: 'mightyextensions',

                    lang:'en'

      }

    </script>

    <script type="text/javascript" src="https://s3.amazonaws.com/adws/widgets/feed/widget.js"></script>