<?php
/**
 * $Id: commerce.xajax.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );
//require_once( JPATH_COMPONENT_ADMINISTRATOR.DS.'libraries'.DS.'xajax'.DS.'xajax_core'.DS.'xajax.inc.php' );
require_once( JPATH_ROOT.DS.'media'.DS.'mightyextensions'.DS.'xajax'.DS.'xajaxAIO.inc.php' );

function jcChangeOrderStatus($id, $sid)
{
	global $ICONS;
	//$objResponse = new xajaxResponse();	
	$objResponse = new JS_SAFE_xajaxResponse();
	$db          = JFactory::getDBO();
	$sql = "UPDATE #__jc_orders SET status_id = '$sid' WHERE id = '$id'";
	$db->setQuery($sql);	
	$db->query();
	
	$sql = "SELECT user_id FROM #__jc_orders WHERE id='$id' ";
	$db->setQuery($sql);
	$user_id = $db->loadResult();
	
	jimport('joomla.application.component.model');
	JModel::addIncludePath(JPATH_ROOT.DS.'components'.DS.'com_commerce'.DS.'models');
	
	$orderModel = &JModel::getInstance('Orders', 'CommerceModel');
	$orderModel->sendUserAlert( $user_id, $sid, $id);
	
	$sql = "SELECT name FROM #__jc_orders_statuses WHERE id='$sid' ";
	$db->setQuery($sql);
	$status = $db->loadResult();
	$out = $status.' <img src="'.JURI::root().'components/com_commerce/images/templates/default/statuses/'.strtolower(str_replace(" ", "_", $status)).'.png" align="absmiddle" title="'.JText::_($status).'">';
	$objResponse->assign("productStatus".$id, "innerHTML", $out);
	$objResponse->script('jcOpenStatusList("jcStatusList'.$id.'");');
	return $objResponse;
}

function jcChangeOrderProductStatus($id, $sid)
{
	$objResponse = new JS_SAFE_xajaxResponse();

	$db          = JFactory::getDBO();
	$sql = "UPDATE #__jc_orders_products SET status_id = '$sid' WHERE id = '$id'";
	$db->setQuery($sql);
	$db->query();
	$sql = "SELECT pr.order_id, ord.user_id, pr.product_id, st.isfinal, pr.amount
	FROM #__jc_orders_products pr
	JOIN #__jc_orders ord ON pr.order_id = ord.id
	JOIN #__jc_orders_statuses st ON st.id = pr.status_id
	WHERE pr.id='$id' ";
	$db->setQuery($sql);
	$res = $db->loadObject();

	jimport('joomla.application.component.model');
	JModel::addIncludePath(JPATH_ROOT.DS.'components'.DS.'com_commerce'.DS.'models');
	
	$orderModel = &JModel::getInstance('Orders', 'CommerceModel');
	$orderModel->sendUserAlert( $res->user_id, $sid, $res->order_id);

	if($res->isfinal)
	{
		$orderModel->onSuccessOrder( $res->user_id, $res->product_id, $sid, $res->amount);
	}

	$sql = "SELECT name, description as descr FROM #__jc_orders_statuses WHERE id='$sid' ";
	$db->setQuery($sql);
	$status = $db->loadObject();
	$out = '<img src="'.JURI::root().'components/com_commerce/images/templates/default/statuses/'.strtolower(str_replace(" ", "_", $status->name)).'.png" align="absmiddle" title="'.$status->descr.'" width="21px">
	'.JText::_($status->name);
	$objResponse->assign("productPrStatus".$id, "innerHTML", $out);
	//$objResponse->script("jcOpenStatusList('jsPrStatusList".$id."');");

	return $objResponse;

}

function jcUpdateRefund($val, $id, $total, $total_sum, $refund)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$val = floatval($val);
	$refund = floatval($refund);
	$total_sum = floatval($total_sum);
	
	$db = JFactory::getDBO();
	$sql = "SELECT refund FROM #__jc_orders_products WHERE id='$id'";
	$db->setQuery($sql);
	$old = $db->loadResult();
	
	$val = $val < 0 ? 0 : $val;
	$status_id = $val > 0 ? 9 : 5;
	$sql = "UPDATE #__jc_orders_products SET refund = '$val', status_id = '$status_id' WHERE id = '$id'";
	$db->setQuery($sql);
	$db->query();
	
	$sql = "SELECT name, description as descr FROM #__jc_orders_statuses WHERE id='$status_id' ";
	$db->setQuery($sql);
	$status = $db->loadObject();
	$out = '<img src="'.JURI::root().'components/com_commerce/images/templates/default/statuses/'.strtolower(str_replace(" ", "_", $status->name)).'.png" align="absmiddle" title="'.$status->descr.'" width="21px">
	'.JText::_($status->name);
	
	jimport('joomla.application.component.model');
	JModel::addIncludePath(JPATH_ROOT.DS.'components'.DS.'com_commerce'.DS.'models');
	

	$sql = "SELECT o.user_id, o.id FROM #__jc_orders_products op
	JOIN #__jc_orders o ON o.id = op.order_id WHERE op.id = '$id'";
	$db->setQuery($sql);
	$res = $db->loadObject();
	$orderModel = &JModel::getInstance('Orders', 'CommerceModel');
	$orderModel->sendUserAlert( $res->user_id, $status_id, $res->id);

	$objResponse->assign("productPrStatus".$id, "innerHTML", $out);
	
	$raz = $val;
	if($refund > 0)
	$raz = $val >= $refund ? $val - $refund : ($refund - $val) * (-1);
	
	$objResponse->assign("jcRefund", "style.display", "none");
	$objResponse->assign("refund-".$id, "innerHTML", $val);
	$objResponse->assign("total-".$id, "innerHTML", $total - $val);
	$objResponse->assign("total_sum", "innerHTML", $total_sum - $raz);
	//$objResponse->assign("total_sum", "innerHTML",  $total_sum - ($total - ($total - $val)));
	//$objResponse->assign("total_sum_old", "value", $total_sum - ($total - ($total - $val)));
	//$objResponse->assign("total_sum_old", "value", $total_sum - $raz);
	$objResponse->script('jcOpenStatusList("jcStatusList'.$id.'");');
	return $objResponse;
}



$link = JURI::root().'administrator/index2.php?option=com_commerce&nohtml=1&controller='.JRequest::getString('controller');
//$xajax = new xajax($link);
$xajax = new JS_SAFE_xajax($link);
//$xajax->setFlag('debug', true); // Uncomment this line to turn debugging on

$xajax->registerFunction("jcChangeOrderStatus");
$xajax->registerFunction("jcChangeOrderProductStatus");
$xajax->registerFunction("jcUpdateRefund");
//$xajax->bDebug = true;
$xajax->processRequest();
//$xajax->printJavascript('components/com_commerce/js/');
$xajax->printJavascript(JURI::root().'media/mightyextensions/xajax');

?>
