<?php
/**
 * $Id: usersbalance.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport('joomla.application.component.controller');
class CommerceControllerUsersbalance extends JController
{

	function __construct()
	{
		parent::__construct();
		JRequest::setVar( 'view', 'usersbalance' );
	}

	function display()
	{
		JRequest::setVar( 'view', 'usersbalance' );
		parent::display();
	}
	function add()
	{
		JRequest::setVar( 'layout', 'form'  );
		JRequest::setVar('hidemainmenu', 1);
		parent::display();
	}
	function save()
	{
		global $mainframe;
		$db     =& JFactory::getDBO();
		$model  = & $this->getModel('usersbalance');
		$section_id = JRequest::getInt('section_id') ? JRequest::getInt('section_id') : COMM_GLOBAL_SECTION;
		$row =& JTable::getInstance("usersbalance", 'Commerce');
		$val = array();
		$val['user_id'] = JRequest::getVar( 'user_id');
		$msg = '';
		if($val['credit'] = JRequest::getVar( 'balance'))
		{
			$current = $model->getCurrentBalance($val['user_id'], $section_id);
			$val['balance'] = $current + $val['credit'];
			$val['type'] = 'offline';
			$val['section_id'] = $section_id;
			if (!$row->bind( $val ))
			{
				JError::raiseWarning(500, $row->getError());
			}
			if (!$row->check())
			{
				JError::raiseWarning(500, $row->getError());
			}
			if (!$row->store())
			{
				JError::raiseWarning(500, $row->getError());
			}
			$sql = "Update #__jc_users SET balance_id = '{$row->id}' WHERE user_id = '".$val['user_id']."' AND section_id = '$section_id'";
			$db->setQuery($sql);
			$db->query();
			$msg =  JText::_('Balance is added successfully');
		}
		$link = 'index.php?option=com_commerce&controller=usersbalance&section_id='.$section_id;

		$mainframe->redirect($link,  $msg);
	}

	function cancel()
	{
		global $mainframe;
		$section_id = JRequest::getInt('section_id') ? JRequest::getInt('section_id') : COMM_GLOBAL_SECTION;
		$link = 'index.php?option=com_commerce&controller=usersbalance&section_id='.$section_id;
		$mainframe->redirect( $link );
	}

	function apply()
	{
		global $mainframe;
		$section_id = JRequest::getInt('section_id') ? JRequest::getInt('section_id') : COMM_GLOBAL_SECTION;
		$link = 'index.php?option=com_commerce&controller=usersbalance&section_id='.$section_id;
		$mainframe->redirect( $link );
	}

}
?>