<?php
/**
 * $Id: cpanel.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('JPATH_BASE') or die();

class JElementCpanel extends JElement
{
	/**
	 * Element name
	 *
	 * @access	protected
	 * @var		string
	 */
	var	$_name = 'cpanel';

	function fetchElement($name, $value, &$node, $control_name)
	{
		$db	= & JFactory::getDBO();

		if(!is_array($value))$value = explode(";", $value);
		$options = array();
		$options[] = JHTML::_('select.option', 'all', '- '. JText::_('All').' -');
		$options[] = JHTML::_('select.option', 'balance', JText::_('Balance manager'));
		$options[] = JHTML::_('select.option', 'coupon', JText::_('Coupon manager'));
		$options[] = JHTML::_('select.option', 'currency', JText::_('Currency manager'));
		$options[] = JHTML::_('select.option', 'sales', JText::_('Sales history'));
		$options[] = JHTML::_('select.option', 'shipping', JText::_('Shipping methods'));
		$options[] = JHTML::_('select.option', 'tax', JText::_('Taxes manager'));
		$options[] = JHTML::_('select.option', 'carttemplatelist', JText::_('Cart templates list'));
		//$options[] = JHTML::_('select.option', 'carttemplate', JText::_('Cart template'));
		//$options[] = JHTML::_('select.option', 'conf', JText::_('Seller configurations'));
		$options[] = JHTML::_('select.option', 'productlist', JText::_('Product list'));
		$options[] = JHTML::_('select.option', 'addnew', JText::_('Add new product'));
		//$options[] = JHTML::_('select.option', 'category', JText::_('Categories'));
		$options[] = JHTML::_('select.option', 'inbox', JText::_('Inquires'));
		$options[] = JHTML::_('select.option', 'view_profile', JText::_('My profile'));
		$options[] = JHTML::_('select.option', 'profile', JText::_('Edit profile'));
		$options[] = JHTML::_('select.option', 'details', JText::_('Edit details'));
		$options[] = JHTML::_('select.option', 'reports', JText::_('Reports'));

		$multiselect = 'size="'.((count($options) < 7 ) ? count($options) : 7).'" multiple';

		$html	= JHTML::_('select.genericlist',  $options,
            "{$control_name}[{$name}][]", $multiselect, 'value', 'text', (count($value) ? $value : 'all'));

		return $html;

	}
}