<?php
/**
 * $Id: imagelist.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('JPATH_BASE') or die();

class JElementImagelist extends JElement
{

	var	$_name = 'Imagelist';
	
	function fetchElement($name, $value, &$node, $control_name)
	{
	  jimport( 'joomla.filesystem.folder' );
		jimport( 'joomla.filesystem.file' );
    
		$value = htmlRestore( $value );
		$value = unserialize( stripslashes( trim( $value ) ) );
		$recurse = $node->attributes('recurse');

		
		$path    = str_replace( '\\', '/', JC_CATEGORY_ICONS_DIR );
		$files	 = JFolder::files( JPATH_ROOT.DS.$path, '\.png$|\.gif$|\.jpg$|\.bmp$|\.ico$', $recurse );
      
		$result  = array();
		$options = array ();

		$options[] = JHTML::_('select.option', '-1', '- '.JText::_('Do not use').' -');

		if ( is_array( $files ) ) {
			foreach ( $files as $file ) {
				$options[] = JHTML::_('select.option', $file, $file);
			}
		}
		
    $js = "javascript:if (document.getElementById('imglistparam_".$name."').options[selectedIndex].value!='') {
                        document.".$name."_img.src='".JURI::root().'/'.$path."/' + document.getElementById('imglistparam_".$name."').options[selectedIndex].value;
                   		} else {
                  		  document.".$name."_img.src='".JURI::root()."/images/blank.png';
                  		}
                  		";

		$lists['imglist'] = JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.'][imglist]', 'class="inputbox" onchange="'.$js.'"', 'value', 'text', $value['imglist'], 'imglistparam_'.$name );
	
		$options = array ();
		$options[] = JHTML::_('select.option', 'left',         'left');
		$options[] = JHTML::_('select.option', 'right',        'right');
		$options[] = JHTML::_('select.option', 'absmiddle',    'absmiddle');
		$options[] = JHTML::_('select.option', 'left-over',    'left-over');
		$options[] = JHTML::_('select.option', 'center-over',  'center-over');
		$options[] = JHTML::_('select.option', 'right-over',   'right-over');
		$options[] = JHTML::_('select.option', 'left-under',   'left-under');
		$options[] = JHTML::_('select.option', 'center-under', 'center-under');
		$options[] = JHTML::_('select.option', 'right-under',  'right-under');
		
		$lists['positionlist'] = JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.'][positionlist]', 'class="inputbox"', 'value', 'text', $value['positionlist'] );

		$selected_img = ($value['imglist'] ? JURI::root().$path.'/'.$value['imglist'] : JURI::root()."images/blank.png");
		$out = '<table>
		          <tr>
		            <td>'.$lists['imglist'].'</td>
		            <td>'.$lists['positionlist'].'</td>
		          </tr>
		          <tr>
		            <td colspan="2"><image src="'.$selected_img.'" name="'.$name.'_img" height="80" width="80"></td>
		          </tr>
		        </table>';
		return $out;
  }
	
}