<?php
/**
 * $Id: inboxtype.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('JPATH_BASE') or die();

class JElementInboxtype extends JElement
{
	/**
	* Element name
	*
	* @access	protected
	* @var		string
	*/
	var	$_name = 'Inboxtype';

	function fetchElement($name, $value, &$node, $control_name)
	{
		
		$is_jsinbox_exist = is_dir(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jsinbox');

		if(! $is_jsinbox_exist ){
			return '<b>This feature works only if <a href="http://www.mightyextensions.com/joomla-components/inbox-personal-message" target="_blank">Mighty Message</a> is installed</b><input type="hidden" name="'.$control_name.'['.$name.']" value="0">';
		}
		
		$db = &JFactory::getDBO();

		$class		= $node->attributes('class');
		$default	= $node->attributes('default');
		
		if (!$class) {
			$class = "inputbox";
		}

		$query = "SELECT id, name
					FROM `#__js_inbox_types` WHERE published = '1'
					ORDER BY id";

		$db->setQuery($query);
		$options = $db->loadObjectList();
		array_unshift($options, JHTML::_('select.option', '0', '- '.JText::_('Select type').' -', 'id', 'name'));

		return JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.']', 'class="'.$class.'"', 'id', 'name', $value, $control_name.$name );
	}
}