<?php
/**
 * $Id: jsbills.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('JPATH_BASE') or die();

class JElementJsbills extends JElement
{
	/**
	 * Element name
	 *
	 * @access	protected
	 * @var		string
	 */
	var	$_name = 'jsbills';

	function fetchElement($name, $value, &$node, $control_name)
	{
		$is_jsbill_exist = is_dir(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jsbill');

		if(! $is_jsbill_exist ){
			return '<b>This feature works only if <a href="http://www.mightyextensions.com/joomla-components/bill-pay-online-invoice" target="_blank">Mighty Invoice</a> is installed</b><input type="hidden" name="'.$control_name.'['.$name.']" value="0">';
		}

		$db	= & JFactory::getDBO();

		$sql = "SELECT id, product_list FROM #__bills WHERE published = 1 ORDER BY id DESC";
		$db->setQuery($sql);
		$res = $db->loadObjectList();
		$options = array();
		/*if ($default!='')
		 {
			$options[] = JHTML::_('select.option', 'default', $default);
			}*/
		$options[] = JHTML::_('select.option', '0', '-'.JText::_('Select bill').'-');
		if(count($res) > 0)
		{
			foreach ($res as $bill)
			{
				$items = unserialize($bill->product_list);
				$options[] = JHTML::_('select.option', $bill->id, $items[1]['title']);

			}
		}
		$html	= JHTML::_('select.genericlist',  $options,
            "{$control_name}[{$name}]", '', 'value', 'text', $value);

		return $html;
	}
}