<?php
/**
 * $Id: jsressections.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('JPATH_BASE') or die();

class JElementJsressections extends JElement
{
	/**
	 * Element name
	 *
	 * @access	protected
	 * @var		string
	 */
	var	$_name = 'jsressections';

	function fetchElement($name, $value, &$node, $control_name)
	{
		$db	= & JFactory::getDBO();

		require_once (JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_resource'.DS.'library'.DS.'helper.php');
		$sql = "SELECT id, name FROM #__js_res_category WHERE parent = '0' AND published = '1' ORDER BY ordering, id";
		$db->setQuery($sql);
		$res = $db->loadObjectList();
		$options = array();
		/*if ($default!='')
		 {
			$options[] = JHTML::_('select.option', 'default', $default);
			}*/
		//$options[] = JHTML::_('select.option', '0', '-'.JText::_('Select section').'-');
		if(count($res) > 0)
		{
			foreach ($res as $val)
			{
				$CP = ResHelper::getSectionParams($val->id);
				if($CP->get('comm_enabled'))
				$options[] = JHTML::_('select.option', $val->id, $val->name);
			}
		}
		if(!count($options))
		$html = JText::_('There is no Commercial Sections in Mighty Resources. Please create a new one with Enable Commerce = Yes in Commerce slider');
		else
		$html	= JHTML::_('select.genericlist',  $options,
            "{$control_name}[{$name}]", '', 'value', 'text', $value);

		return $html;
	}
}