<?php
/**
 * $Id: juserfilter.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('JPATH_BASE') or die();

class JElementJuserfilter extends JElement
{

	var	$_name = 'Juserfilter';

	function fetchElement($name, $value, &$node, $control_name)
	{
		$is_juser_exist = is_dir(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_juser');

		if(! $is_juser_exist ){
			return '<b>This feature works only if <a href="http://www.mightyextensions.com/joomla-components/user-extend-registration" target="_blank">Mighty Registration</a> is installed</b><input type="hidden" name="'.$control_name.'['.$name.']" value="0">';
		}

		$db = &JFactory::getDBO();
		$invite_label  = $node->attributes('invite_label');
		if(!$value) $value = array();
		//$value = unserialize( stripslashes($value) );
		if(!is_array($value))
		$value = explode(";", $value);


		$query = 'SELECT f.id as value, CONCAT(f.title,"(",f.alias,")") as label' .
				' FROM #__juser_extended_fields AS f' .
				' WHERE f.published = 1' .
				' ORDER BY f.title';

		$db->setQuery($query);
		$fields = $db->loadObjectList();

		$options = Array();
		if(count($fields))
		{
			foreach ( $fields as $field ){
				$options[] = JHTML::_( 'select.option', $field->value, $field->label );
			}
		}

		if (!$node->attributes('hide_none')) {
			if(!$invite_label){
				$invite_label = 'Do not use';
			}
			array_unshift($options, JHTML::_('select.option', '-1', '- '.JText::_($invite_label).' -'));
		}

		//$params = new JParameter('', JPATH_COMPONENT.DS.'views'.DS.'config'.DS.'tmpl'.DS.'params.xml' );
		//$params->loadINI(JPATH_COMPONENT.DS.'config.ini');
		//print_r($params);
		//print 'this:'.$params->get('request_field1');
		$out = JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.'][0]', 'class="inputbox"', 'value', 'text', @$value[0], "param$name");

		$options = Array();

		$options[] = JHTML::_( 'select.option', 'like', 'like' );
		$options[] = JHTML::_( 'select.option', '=', '=' );
		$options[] = JHTML::_( 'select.option', '<', '<' );
		$options[] = JHTML::_( 'select.option', '>', '>' );
		$options[] = JHTML::_( 'select.option', '<=', '<=' );
		$options[] = JHTML::_( 'select.option', '>=', '>=' );

		$out .= ' '.JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.'][1]', 'class="inputbox"', 'value', 'text', @$value[1], "param$name");

		$out .= ' <input type="text" name="'.$control_name.'['.$name.'][2]" value="'.@$value[2].'">';

		return $out;
	}
}