<?php
/**
 * $Id: status.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('dead');

jimport('joomla.application.component.model');

class CommerceModelStatus extends JModel
{

	function __construct()
	{
		parent::__construct();
	}

	function getStatuses($sid = false)
	{
		global $mainframe;
		$option = 'com_commerce';
		$filter_state		= $mainframe->getUserStateFromRequest( $option.'filter_state',		'filter_state',		'',				'word' );
		$filter_catid		= $mainframe->getUserStateFromRequest( $option.'filter_catid',		'filter_catid',		0,				'int' );
		$filter_order		= $mainframe->getUserStateFromRequest( $option.'filter_order',		'filter_order',		's.type',		'cmd' );
		$filter_order_Dir	= $mainframe->getUserStateFromRequest( $option.'filter_order_Dir',	'filter_order_Dir',	'',				'word' );
		$filter_type		= $mainframe->getUserStateFromRequest( $option.'filter_type',		'filter_type',		'',				'word' );
		
		$sql = "SELECT s.*, s.ordering as catid FROM #__jc_orders_statuses s";
		if($filter_type != '')
		$sql .= " WHERE s.type = '$filter_type'";
		$sql .= " ORDER BY ".$filter_order." ".$filter_order_Dir;
		$this->_db->setQuery($sql); 
		return $this->_db->loadObjectList();
	}

	function publish($cid = array(), $publish = 1)
	{
		$user 	=& JFactory::getUser();
		if (count( $cid ))
		{
			JArrayHelper::toInteger($cid);
			$cids = implode( ',', $cid );

			$query = 'UPDATE #__jc_orders_statuses'
			. ' SET published = '.(int) $publish
			. ' WHERE id IN ( '.$cids.' )'
			. ' AND ( checked_out = 0 OR ( checked_out = '.(int) $user->get('id').' ) )'
			;
			$this->_db->setQuery( $query );
				
			if (!$this->_db->query()) {
				$this->setError($this->_db->getErrorMsg());
				return false;
			}
		}

		return true;
	}

	function saveorder($cid = array(), $order)
	{
		foreach($cid as $i => $item	)
		{
			$sql = "UPDATE #__jc_orders_statuses SET ordering = '{$order[$i]}' WHERE id = $item";
			$this->_db->setQuery($sql);
			$this->_db->query();
		}
	}

	function getStatusInfo($id)
	{
		$sql = "Select s.*, s.description as descr From #__jc_orders_statuses s WHERE s.id = '$id'";
		$this->_db->setQuery($sql);
		return $this->_db->loadObject();
	}

	function move($direction)
	{
		$array = JRequest::getVar('cid', array(0), '', 'array');
		$id = (int)$array[0];
		$row = & JTable::getInstance("status", 'Commerce');
		if (!$row->load($id)) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		if (!$row->move( $direction )) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}

		return true;
	}

	function delete($cid = array())
	{
		$result = false;
		if (count( $cid ))
		{
			JArrayHelper::toInteger($cid);
			$cids = implode( ',', $cid );
			$query = 'DELETE FROM #__jc_orders_statuses'
			. ' WHERE id IN ( '.$cids.' ) AND isfinal = 0';
			$this->_db->setQuery( $query );
			if(!$this->_db->query()) {
				$this->setError($this->_db->getErrorMsg());
				return false;
			}
		}

		return true;
	}

	function unsetFinal()
	{
		$sql = "UPDATE #__jc_orders_statuses SET isfinal = '0' ";
		$this->_db->setQuery($sql);;
		$this->_db->query();
	}

	function isCheckedOut($id, $uid)
	{
		$data = $this->getStatusInfo($id);
		if($uid){
			return ($data->checked_out && $data->checked_out != $uid);
		} else
		return $data->checked_out;
	}

	function checkout($id, $uid)
	{
		$row =& JTable::getInstance("status", 'Commerce');
		$row->checkout($uid, $id);
	}
}
?>
