<?php
/**
 * $Id: coupon.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport("joomla.database.table");
/**
 * @package Commerce
 */

class CommerceCoupon extends JTable
{
	var $id        = 0;
	var $value     = false;
	var $discount  = "";
	var $seller_id = 0;
	var $published = 1;
	var $core     = 0;
	var $user_ids  = '';
	var $product_ids  = '';
	var $category_ids  = '';
	var $usercategory_ids  = '';
	var $strict    = 1;
	var $ctime     = '0000-00-00 00:00:00';
	var $extime    = '0000-00-00 00:00:00';
	var $use_num   = 0;
	var $used_num  = 0;
	var $checked_out= 0;
	var $checked_out_time = '0000-00-00 00:00:00';
	var $discount_type  = 'procent';
	var $section_id = 0;
	var $order_sum = 0;
	var $invisible = 0;
	var $use_user = 0;

	function __construct( &$_db ) {
		parent::__construct( '#__jc_coupons', 'id', $_db );
		$user   =& JFactory::getUser();
		$this->set( 'seller_id', $user->get('id') );
		if($this->ctime == NULL) $this->set( 'ctime', date( 'Y-m-d G:i:s' ) );
	}

	function check()
	{
		if (trim($this->value) == '') {
			$this->setError( JText::_('Coupon have to contents value.'));
			return false;
		}
		if (!floatval($this->discount)) {
			$this->setError( JText::_('Discount Amount have to be set.'));
			return false;
		}

		if(!$this->id)
		{
			$db   =& JFactory::getDBO();
			$sql = "SELECT id FROM #__jc_coupons WHERE seller_id = '$this->seller_id' AND `value` = '$this->value'";
			$sql = "SELECT id FROM #__jc_coupons WHERE `value` = '$this->value' AND section_id = '$this->section_id'";
			$db->setQuery($sql);
			$n = $db->loadResult();

			if($n){
				$this->setError(JText::_('Coupon Number already exists.'));
				return;
			}
		}
		if($this->user_ids == JText::_('Any')) $this->user_ids = '';
		if($this->product_ids == JText::_('Any')) $this->product_ids = '';
		if($this->category_ids == JText::_('Any')) $this->category_ids = '';
		if($this->usercategory_ids == JText::_('Any')) $this->usercategory_ids = '';

		if($this->ctime == NULL || ($this->ctime == '0000-00-00 00:00:00')) $this->ctime = date( 'Y-m-d G:i:s' );
		
		return true;
	}

}
?>
