<?php
/**
 * $Id: shippingitem.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * @package JCommerce
 */

class CommerceShippingItem extends JTable
{

	var $id	          = 0;
	var $frwrd_id     = 0;
	var $name	      = '';
	var $description  = '';
	var $weightfrom   = 0;
	var $weightto     = 0;
	var $checked_out  = 0;
	var $checked_out_time = '0000-00-00 00:00:00';
	var $published    = 0;
	var $trash        = 0;
	var $user_id      = 0;
	var $fromlocation = 0;
	var $tolocation   = '';
	var $price        = 0;
	var $pricetype    = 0;
	var $currency_id  = 0;
	var $is_core      = 0;
	var $section_id   = 0;

	function __construct( &$_db ) {
		parent::__construct( '#__jc_ship_forwarder_shema', 'id', $_db );
		$user   =& JFactory::getUser();

		$this->frwrd_id = JRequest::getVar('frwrd_id');
		$this->user_id = $user->id;
	}

	function store($updateNulls = true)
	{

		$user   =& JFactory::getUser();
		if ($user->jcParams->get('lay_weight')=='lb')
		{
			$this->set('weightfrom', floatval($this->get('weightfrom'))*0.45359237);
			$this->set('weightto', floatval($this->get('weightto'))*0.45359237);
				
		}

		if (parent::store($updateNulls)) {return true;}
		else  {return false;}

	}


}
?>