<?php
/**
 * $Id: commerce.php 7706 2012-01-09 03:29:50Z alfiya $
 * $LastChangedDate: 2012-01-09 09:29:50 +0600 (Mon, 09 Jan 2012) $
 * $LastChangedBy: alfiya $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');

$Itemid = JRequest::getInt('Itemid');
if($Itemid)
{
	$menus	= &JSite::getMenu();
	$menu	= $menus->setActive($Itemid);
	$menu	= $menus->getActive();
	if(!isset($menu->params)) $menu->params = '';
	$menu_params = new JParameter( $menu->params );
}
$section_id = (JRequest::getInt('section_id') ? JRequest::getInt('section_id') : $menu_params->get('section_id'));

require_once (JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_resource'.DS.'library'.DS.'helper.php');
$GLOBALS['comm_params'] = $comm_params = ResHelper::getSectionParams($section_id);
$GLOBALS['comm_secid'] = $section_id;
require_once (JPATH_COMPONENT.DS.'controller.php');
require_once (JPATH_COMPONENT_ADMINISTRATOR.DS.'controllers'.DS.'config.php');
CommerceControllerConfig::initialyze($comm_params, $section_id);

if(!$comm_params->get('comm_enabled'))
{
	JError::raiseNotice(500, JText::_('This section is not Commercial'). '<li>'.
	JText::_('Please go to the selected Section settings and fill Commerce configurations or change Section'));
}
else
{
	require_once (JPATH_COMPONENT.DS.'controller.php');


	JTable::addIncludePath(JPATH_COMPONENT_ADMINISTRATOR.DS.'tables');
	define('JPATH_JC_HELP',    JPATH_ROOT.DS.'components'.DS.'com_commerce'.DS.'helpers');
	define('JPATH_JC_VIEW',    JPATH_ROOT.DS.'components'.DS.'com_commerce'.DS.'views');
	define('JC_LAY_ICONS_DIR',   'default');

	JTable::addIncludePath(JPATH_COMPONENT_ADMINISTRATOR.DS.'tables');
	jimport('joomla.application.component.model');
	JModel::addIncludePath(JPATH_ROOT.DS.'components'.DS.'com_commerce'.DS.'models');
	require_once(JPATH_ADMINISTRATOR.DS.'includes'.DS.'toolbar.php');
	require_once(JPATH_JC_HELP.DS.'helper.php' );
	require_once(JPATH_JC_HELP.DS.'extensions.php' );

	jcUser::initialyze();


	$document =& JFactory::getDocument();
	//if(JRequest::getString('view') != 'orders'){
		$document->addStyleSheet( JURI::root().'components/com_commerce/css/toolbar.css' );
		$document->addStyleSheet( JURI::root().'components/com_commerce/css/toolbar_icons.css' );
	//}

	$document->addScript('components/com_commerce/js/commerce.js');

	// Create Superglobal variables
	$GLOBALS['TB'] = new jcToolBar( 'toolbar' );
	$GLOBALS['ICONS'] = "images/templates/default";//.$comm_params->get('comm_lay_icons_dir', 'default');
	global $TB, $VERSION, $ICONS;

	if(COMM_OFFLINE)
	{
		$controller = 'offline';
		$path = JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';
		if (file_exists($path)) {
			require_once $path;
		}
		JRequest::setVar('task', 'offline');

	}
	else
	{
		if($controller = JRequest::getWord('controller')) {
			$path = JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';
			if (file_exists($path)) {
				require_once $path;
			} else {
				$controller = '';
			}
		}
		if($controller == '')
		{
			if($controller = JRequest::getWord('view')) {
				$path = JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';
				if (file_exists($path)) {
					require_once $path;
				} else {
					$controller = '';
				}
			}
		}
	}
	if(JRequest::getString('task') != 'export' || JRequest::getString('format') != 'pdf')
	require_once( JPATH_COMPONENT.DS.'commerce.xajax.php');

	$classname	= 'CommerceController'.ucfirst($controller);
	$controller = new $classname( );


	function getCore()
	{
		$db =& JFactory::getDBO();
		$query = "
           SELECT c.name, c.code, IF(c.mark != '', c.mark, c.code) as mark
             FROM #__jc_currency AS c
            WHERE c.id = '".COMM_CORE_CURRENCY."'";
		$db->setQuery( $query);
		return $db->loadObject();
	}

	$GLOBALS['section_list'] = $controller->getSectionList();

	$controller->execute(JRequest::getCmd('task'));

	$controller->redirect();
}
?>
<?php if (COMM_POWERED_BY && @$_REQUEST['tmpl'] != 'component' ) :?>
<br style="clear: both">
<center><span class="small">Powered by <a target="_blank"
	href="http://www.mightyextensions.com">Mighty Commerce</a></span></center>
<br>
<?php endif; ?>