<?php
/**
 * $Id: commerce.xajax.php 7782 2012-02-09 09:43:38Z alfiya $
 * $LastChangedDate: 2012-02-09 15:43:38 +0600 (Thu, 09 Feb 2012) $
 * $LastChangedBy: alfiya $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );

if((JRequest::getInt('download') == 1 && JRequest::getInt('record_id') > 0) || JRequest::getString('format') == 'pdf' || JRequest::getVar('task') == 'export') return;

//require_once( JPATH_COMPONENT_ADMINISTRATOR.DS.'libraries'.DS.'xajax'.DS.'xajax_core'.DS.'xajax.inc.php' );
require_once( JPATH_ROOT.DS.'media'.DS.'mightyextensions'.DS.'xajax'.DS.'xajaxAIO.inc.php' );


function jcSetCoreCurrency($id)
{
	//$objResponse = new xajaxResponse();
	$objResponse = new JS_SAFE_xajaxResponse();
	//$objResponse->script("pBarOut();");

	if(!$id)
	{
		$objResponse->alert('Please, make a selection');
		return $objResponse;
	}
	ob_start();
	eval('CommerceControllerCurrency::show_list();');
	$form = ob_get_clean();


	$objResponse->assign('jcAdminList', "innerHTML", $form);
	$objResponse->script("listAdmin();");
	return $objResponse;

}

function jcLoadList($contr, $add = 0)
{
	//$objResponse = new xajaxResponse();
	$objResponse = new JS_SAFE_xajaxResponse();

	ob_start();
	$str = sprintf('CommerceView%s::show_list(%d);',
	ucfirst($contr), $add ? $add : NULL);
	eval($str);
	$form = ob_get_clean();

	$objResponse->assign('jcAdminList', "innerHTML", $form);
	$objResponse->script("listAdmin();");

	return $objResponse;
}

function jcLoadTrash($section = 'products')
{
	//$objResponse = new xajaxResponse();
	$objResponse = new JS_SAFE_xajaxResponse();

	ob_start();
	$str = sprintf('CommerceControllerTrash::show_list(\'%s\');',
	$section);
	eval($str);
	$form = ob_get_clean();
	sleep(1);

	$objResponse->assign('jcAdminList', "innerHTML", $form);
	$objResponse->script("listAdmin();");
	return $objResponse;
}

function jcSaveFormClose($post, $contr)
{
	//$objResponse = new xajaxResponse();
	$objResponse = new JS_SAFE_xajaxResponse();

	$db  =& JFactory::getDBO();
	$row =& JTable::getInstance($contr, 'Commerce');
	//return $objResponse;

	$row->bind( $post );
	$row->checkin();

	$objResponse->script("listAdmin();");
	$objResponse->script("subClose();");
	return $objResponse;
}

function jcSaveForm($vals, $contr, $add = 0)
{
	//$objResponse = new xajaxResponse();
	$objResponse = new JS_SAFE_xajaxResponse();
	$db  =& JFactory::getDBO();
	$row =& JTable::getInstance($contr, 'Commerce');

	if (!$row->bind( $vals ))
	{
		$objResponse->alert($row->getError());
		return $objResponse;
	}
	if (!$row->check())
	{
		$objResponse->alert($row->getError());
		return $objResponse;
	}

	if (!$row->store())
	{
		$objResponse->alert($row->getError());
		return $objResponse;
	}
	$row->checkin();

	ob_start();
	$str = sprintf('CommerceController%s::show_list(%d);',
	ucfirst($contr), $add ? $add : NULL);
	eval($str);
	$form = ob_get_clean();

	$objResponse->assign('jcAdminList', "innerHTML", $form.$str);
	$objResponse->script("listAdmin();");
	$objResponse->script("subClose();");
	return $objResponse;
}

function jcNew($contr, $id = null, $add = 0)
{
	//$objResponse = new xajaxResponse();
	$objResponse = new JS_SAFE_xajaxResponse();

	ob_start();
	$str = sprintf('CommerceController%s::edit(\'%d\',\'%d\');',
	ucfirst($contr), $id, $add);
	eval($str);
	$form = ob_get_clean();

	$objResponse->assign('jcSubForm', "innerHTML", $form);
	$objResponse->script("subForm();");

	return $objResponse;
}

function jcCurrencyCode($id)
{
	$db =& JFactory::getDBO();
	$sql = "select `code`, `mark` from #__jc_currency WHERE id = '$id'";
	$db->setQuery($sql);
	$code = $db->loadobjectList();
	$code = $code[0];

	//$objResponse = new xajaxResponse();
	$objResponse = new JS_SAFE_xajaxResponse();
	$objResponse->assign("code1", "innerHTML", $code->code);
	$objResponse->assign("code2", "innerHTML", $code->code);
	$objResponse->assign("cur_mark", "value", $code->mark);

	if($code->mark)
	{
		$objResponse->assign("cur_mark", "disabled", 'false');
	}
	else
	{
		$objResponse->assign("cur_mark", "disabled", '');
	}

	return $objResponse;
}


function jcPropertyType($type)
{
	//$objResponse = new xajaxResponse();
	$objResponse = new JS_SAFE_xajaxResponse();

	//return $objResponse;
	$objResponse->assign("prop_type", "innerHTML", CommerceControllerPropertyitem::prop_tmpl($type));
	$objResponse->assign("prop_descr", "innerHTML", JText::_('DESCR_'.strtoupper($type)));
	return $objResponse;
}
function jcPublish($id, $table, $publish)
{
	$db =& JFactory::getDBO();
	$user =& JFactory::getUser();

	//$objResponse = new xajaxResponse();
	$objResponse = new JS_SAFE_xajaxResponse();

	$publish ? $img  = 'publish_x.png' : $img  = 'tick.png';
	//$ipath  = str_replace(JPATH_BASE, '', COMM_LAY_ICONS_DIR).'/'.$img;
	$ipath  = JURI::root(). "components/com_commerce/images/templates".DS.JC_LAY_ICONS_DIR.DS.$img;
	$ipath = str_replace("\\", "/", $ipath);
	$alt = !$publish ? JText::_( 'Published' ) : JText::_( 'Unpublished' );
	$set = ($publish ? 0 : 1);

	if($table == 'jc_ship_forwarder' || $table == 'jc_ship_forwarder_shema')
	{
		$field = ($table == 'jc_ship_forwarder') ? 'seller_id' : 'user_id';
		$sql1 = "SELECT $field FROM #__$table WHERE id = '$id'";
		$db->setQuery($sql1);
		$res = $db->loadResult();
		if(COMM_MULTI_SELLER && $user->is_seller && $user->id != $res)
		{
			$ship_type = ($table == 'jc_ship_forwarder') ? 'shipping' : 'shippingitem';
			$sql = "SELECT COUNT(*) FROM #__jc_users_shipping
			WHERE ship_type='$ship_type'
			AND user_id='".$user->id."' AND ship_id = '$id' AND section_id = ".COMM_SECTION_ID;
			$db->setQuery($sql);
			if($db->loadResult()) {
				$sql = "UPDATE #__jc_users_shipping
				SET published = '$set'
				WHERE ship_id = '$id' AND user_id='".$user->id."'
				AND ship_type='$ship_type' AND section_id = ".COMM_SECTION_ID;
			} else {
				$sql = "INSERT INTO #__jc_users_shipping VALUES ('', '".$user->id."', '$id', '$ship_type', '$set', '".COMM_SECTION_ID."')";
			}
			$db->setQuery($sql);
			$db->query();
		}
		if(!COMM_MULTI_SELLER || $user->id == $res){
			$sql = "UPDATE #__$table SET published = '$set' WHERE id = '$id'";
			$db->setQuery($sql);
			$db->query();
		}

	} else {
		$sql = "UPDATE #__$table SET published = '$set' WHERE id = '$id'";
		$db->setQuery($sql);
		$db->query();

	}

	$href = "<a href=\"javascript:void(0);\"  ".
        "id=\"publish_$id\" onclick=\"document.getElementById('pdiv_$id').innerHTML = '<img src=".JURI::root()."components/com_commerce/images/load.gif>';xajax_jcPublish('$id', '$table', '$set')\">".
        "<img src=\"$ipath\" border=\"0\" alt=\"$alt\"/></a>";


	$objResponse->assign("pdiv_$id", "innerHTML", $href);

	return $objResponse;

}
function jcPublishList($ids, $table, $publish)
{
	//$objResponse = new xajaxResponse();
	$objResponse = new JS_SAFE_xajaxResponse();

	$alt = !$publish ? JText::_( 'Published' ) : JText::_( 'Unpublished' );
	if(!$ids)
	{
		$objResponse->alert(JText::_('Please make a selection from the list to').' '.$alt);
		return $objResponse;
	}

	$db =& JFactory::getDBO();
	$publish ? $img  = 'publish_x.png' : $img  = 'tick.png';
	$set = ($publish ? 0 : 1);
	//$ipath  = str_replace(JPATH_BASE, '', JC_LAY_ICONS_DIR).'/'.$img;
	$ipath  = JURI::root()."components/com_commerce/images/templates".DS.COMM_LAY_ICONS_DIR.DS.$img;
	$ipath = str_replace("\\", "/", $ipath);
	$id = implode(",", $ids);

	$sql = "UPDATE #__$table SET published = '$set' WHERE id IN ($id)";

	$db->setQuery($sql);
	$db->query();

	foreach ($ids AS $id)
	{
		$href = "<a href=\"javascript:void(0);\"  ".
            "id=\"publish_$id\" onclick=\"document.getElementById('pdiv_$id').innerHTML = '<img src=".JURI::root()."components/com_commerce/images/load.gif>';xajax_jcPublish('$id', '$table', '$set')\">".
            "<img src=\"$ipath\" border=\"0\" alt=\"$alt\"/></a>";
		$objResponse->assign("pdiv_$id", "innerHTML", $href);
	}
	return $objResponse;

}
function jcRestore($ids, $table)
{
	//$objResponse = new xajaxResponse();
	$objResponse = new JS_SAFE_xajaxResponse();

	if(!$ids)
	{
		$objResponse->alert(JText::_('Please make a selection from the list to Delete'));
		return $objResponse;
	}

	$id = implode(",", $ids);

	$db =& JFactory::getDBO();
	$sql = "UPDATE #__$table SET trash = '0' WHERE id IN ($id)";
	$db->setQuery($sql);
	$db->query();

	// Hide delted rows. For that row have to have id="row_ID"
	foreach ($ids AS $id)
	{
		$objResponse->assign("row_$id", "style.display", 'none');
	}
	return $objResponse;

}
function jcDeleteList($ids, $table, $trash = false)
{
	//$objResponse = new xajaxResponse();
	$objResponse = new JS_SAFE_xajaxResponse();

	//$objResponse->assign('bar_delete', 'style.backgroundImage', 'url(components/com_commerce/images/toolbar/icon-32-trash.png)');

	if(!$ids)
	{
		$objResponse->alert(JText::_('Please make a selection from the list to Delete'));
		return $objResponse;
	}

	$db =& JFactory::getDBO();
	$id = implode(",", $ids);

	if($table == 'jc_cart_templates' && COMM_REG_ACTIVITY)
	{
		global $ICONS;
		$API = JPATH_ROOT.DS.'components'.DS.'com_community'.DS.'api.php';
		if(file_exists($API))
		{
			$row =& JTable::getInstance('carttemplate', 'commerce');
			foreach ($ids as $id)
			{
				$row->load( $id );
				if($row->share)
				{
					$act_msg = JText::_('removed cart template "[NAME]"');
					$act_msg = str_replace('[NAME]', $row->name, $act_msg);
					$icon = 'components/com_commerce/'.$ICONS.'/sidebar/carttemplate_remove.png';
					require_once $API;
					if(class_exists('JSCommunityApi')) $capi = new JSCommunityApi(); else $capi = new stdClass();
					if(method_exists($capi, 'registerActivity'))
					$capi->registerActivity($row->user_id, $act_msg, $row->user_id, $icon, 'user', null,  0, 'com_commerce');
				}
			}

		}
	}

	$sql = "DELETE FROM #__$table  WHERE id IN ($id)";

	//if($trash) $sql = "UPDATE #__$table SET trash = '1'  WHERE id IN ($id)";

	$db->setQuery($sql);
	$db->query();

	// let's take care of related records. Means if delete group
	// olso delete items in that group. This structure should grow
	// with component developing.
	SWITCH($table)
	{
		// if deleting property groups, delete group items as well.
		case 'jc_products_properties_groups':
			$sql = "DELETE FROM #__jc_products_properties  WHERE group_id IN ($id)";
			$db->setQuery($sql);
			$db->query();
			break;

		case 'jc_products_categories':
			//JRequest::setVar('cid', $ids, 'post');
			jcCategoryController::remove($id);
			break;

		case 'jc_products_properties_assign':
			$i = 0;
			foreach ($ids as $pid) {
				if ($i==0){$or = "WHERE `product_id` = $pid";}
				else { $or.= " OR `product_id` = $pid";}
				$i++;
			}

			$sql = "DELETE FROM #__$table $or";
			$db->setQuery($sql);
			$db->query();
			break;

		case 'jc_ship_forwarder':
			$sql = "DELETE FROM #__jc_ship_forwarder_shema WHERE frwrd_id IN ($id)";
			$db->setQuery($sql);
			$db->query();
			break;
	}

	// Hide delted rows. For that row have to have id="row_ID"
	foreach ($ids AS $id)
	{
		$objResponse->assign("row_$id", "style.display", 'none');
	}
	//$objResponse->alert(JText::_('Records Deleted'));
	//$objResponse->assign("progress_bar", "innerHTML", '');
	return $objResponse;

}
function jcAccess($id, $table, $access)
{
	$db =& JFactory::getDBO();

	switch ($access)
	{
		case 0:
			$set   = 1;
			$name  = 'Registered';
			$color = 'Red';
			break;
		case 1:
			$set   = 2;
			$name  ='Special';
			$color = 'Black';
			break;
		case 2:
			$set   = 0;
			$name  = 'Public';
			$color = 'Green';
			break;
	}
	$sql = "UPDATE #__$table SET access = '$set' WHERE id = '$id'";
	$db->setQuery($sql);
	$db->query();

	$href = "<a href=\"javascript:void(0);\"  id=\"access_$id\" onclick=\"document.getElementById('adiv_$id').innerHTML = '<img src=".JURI::root()."components/com_commerce/images/load.gif>';xajax_jcAccess('$id', '$table', '$set')\">$name</a>";
	//$objResponse = new xajaxResponse();
	$objResponse = new JS_SAFE_xajaxResponse();

	$objResponse->assign("adiv_$id", "innerHTML", $href);
	$objResponse->assign("access_$id", "style.color", $color);
	return $objResponse;
}
function jcResetProductHits($id)
{
	//$objResponse = new xajaxResponse();
	$objResponse = new JS_SAFE_xajaxResponse();

	$db =& JFactory::getDBO();

	$sql = "UPDATE #__jc_products SET hits = 0  WHERE id = '$id'";
	$objResponse->alert($sql);
	$db->setQuery($sql);
	$db->query();

	$objResponse->assign("pcount", "innerHTML", '0');
	return $objResponse;

}
function jcCangeProdType($type)
{
	//$objResponse = new xajaxResponse();
	$objResponse = new JS_SAFE_xajaxResponse();

	$objResponse->assign("ptypevals", "innerHTML", jcProductController::type_html($type));
	return $objResponse;

}

function jsProductRate( $value, $product )
{
	//$objResponse = new xajaxResponse();
	$objResponse = new JS_SAFE_xajaxResponse();
	$db          = JFactory::getDBO();
	$user        = JFactory::getUser();
	$user        = @$user->get('id');

	if( empty( $value ) || empty( $product ) ) {
		$objResponse->script("showVoted( ".$product.", 0 );");
		$objResponse->alert(JText::_('Wrong vote. Please try again!'));
		return $objResponse;
	}

	$sql = "SELECT COUNT(id) FROM #__jc_rating  WHERE element = 'product' AND element_id = ".$product." AND user_id = ".$user;
	$db->setQuery($sql);
	$check_exist_votes = $db->loadResult();

	if( $check_exist_votes > 0 ) {
		$objResponse->script("showVoted( ".$product.", 0 );");
		$objResponse->alert( JText::_('Sorry! But you are already voted this product!') );
		return $objResponse;
	}

	$sql = "INSERT INTO #__jc_rating  VALUES (NULL, 'product', '{$product}', NOW(), '$user', '$value')";
	$db->setQuery($sql);
	$db->query();

	$sql = "UPDATE #__jc_products  SET `rated` = `rated`+1, `total_rate` = `total_rate` + ".$value." WHERE `id` = ".$product;
	$db->setQuery($sql);
	$db->query();

	$objResponse->script("showVoted( ".$product.", 1 );");


	return $objResponse;
}

function jcChangeOrderProductStatus($id, $sid)
{
	global $ICONS;
	//$objResponse = new xajaxResponse();
	$objResponse = new JS_SAFE_xajaxResponse();

	$db          = JFactory::getDBO();
	$sql = "UPDATE #__jc_orders_products SET status_id = '$sid' WHERE id = '$id'";
	$db->setQuery($sql);
	$db->query();
	$sql = "SELECT pr.order_id, ord.user_id, pr.product_id, st.isfinal, pr.amount
	FROM #__jc_orders_products pr
	JOIN #__jc_orders ord ON pr.order_id = ord.id
	JOIN #__jc_orders_statuses st ON st.id = pr.status_id
	WHERE pr.id='$id' ";
	$db->setQuery($sql);
	$res = $db->loadObject();

	$orderModel = &JModel::getInstance('Orders', 'CommerceModel');
	$orderModel->sendUserAlert( $res->user_id, $sid, $res->order_id);

	if($res->isfinal)
	{
		$orderModel->onSuccessOrder($res->user_id, $res->product_id, $sid, $res->amount);
	}

	$sql = "SELECT name, description as descr FROM #__jc_orders_statuses WHERE id='$sid' ";
	$db->setQuery($sql);
	$status = $db->loadObject();
	$out = '<img src="'.JURI::root().'components/com_commerce/'.$ICONS.'/statuses/'.strtolower(str_replace(" ", "_", $status->name)).'.png" align="absmiddle" title="'.$status->descr.'" width="21px">
	'.JText::_($status->name);
	$objResponse->assign("productStatus".$id, "innerHTML", $out);
	$objResponse->script("jcOpenStatusList('jsStatuses".$id."');");


	return $objResponse;

}

function jcUpdateRefund($val, $id, $total, $total_sum, $refund )
{
	global $ICONS;
	//$objResponse = new xajaxResponse();
	$objResponse = new JS_SAFE_xajaxResponse();

	$val = floatval($val);
	$refund = floatval($refund);
	$total_sum = floatval($total_sum);
	$db = JFactory::getDBO();
	$sql = "SELECT refund FROM #__jc_orders_products WHERE id='$id'";
	$db->setQuery($sql);
	$old = $db->loadResult();

	$val = $val < 0 ? 0 : $val;
	$status_id = $val > 0 ? 9 : 5;

	$sql = "UPDATE #__jc_orders_products SET refund = '$val', status_id = '$status_id' WHERE id = '$id'";
	$db->setQuery($sql);
	$db->query();

	$sql = "SELECT name, description as descr FROM #__jc_orders_statuses WHERE id='$status_id' ";
	$db->setQuery($sql);
	$status = $db->loadObject();
	$out = '<img src="'.JURI::root().'components/com_commerce/'.$ICONS.'/statuses/'.strtolower(str_replace(" ", "_", $status->name)).'.png" align="absmiddle" title="'.$status->descr.'" width="21px">
	'.JText::_($status->name);

	$sql = "SELECT o.user_id, o.id FROM #__jc_orders_products op
	JOIN #__jc_orders o ON o.id = op.order_id WHERE op.id = '$id'";
	$db->setQuery($sql);
	$res = $db->loadObject();
	$orderModel = &JModel::getInstance('Orders', 'CommerceModel');
	$orderModel->sendUserAlert( $res->user_id, $status_id, $res->id);

	$objResponse->assign("productStatus".$id, "innerHTML", $out);

	$raz = $val;
	if($refund > 0)
	$raz = $val >= $refund ? $val - $refund : ($refund - $val) * (-1);

	$objResponse->assign("jcRefund", "style.display", "none");
	$objResponse->assign("refund-".$id, "innerHTML", $val);
	$objResponse->assign("total-".$id, "innerHTML", $total - $val);
	$objResponse->assign("total_sum", "innerHTML", $total_sum - $raz);
	//$objResponse->assign("total_sum", "innerHTML",  $total_sum - ($total - ($total - $val)));
	//$objResponse->assign("total_sum_old", "value", $total_sum - ($total - ($total - $val)));
	//$objResponse->assign("total_sum_old", "value", $total_sum - $raz);
	$objResponse->script('jcOpenStatusList("jcStatusList'.$id.'");');
	return $objResponse;
}

function jcChangeOrderStatus($id, $sid)
{
	global $ICONS;
	//$objResponse = new xajaxResponse();
	$objResponse = new JS_SAFE_xajaxResponse();
	$db          = JFactory::getDBO();

	$sql = "UPDATE #__jc_orders SET status_id = '$sid' WHERE id = '$id'";
	$db->setQuery($sql);
	$db->query();

	$sql = "SELECT user_id FROM #__jc_orders WHERE id='$id' ";
	$db->setQuery($sql);
	$user_id = $db->loadResult();

	$orderModel = &JModel::getInstance('Orders', 'CommerceModel');
	$orderModel->sendUserAlert( $user_id, $sid, $id);

	$sql = "SELECT name FROM #__jc_orders_statuses WHERE id='$sid' ";
	$db->setQuery($sql);
	$status = $db->loadResult();
	$out = '<img src="'.JURI::root().'components/com_commerce/'.$ICONS.'/statuses/'.strtolower(str_replace(" ", "_", $status)).'.png"
		align="absmiddle" title="'.JText::_($status).'" width="21px">';
	$objResponse->assign("productStatus".$id, "innerHTML", $out);
	$objResponse->script('jcOpenStatusList("jcStatusList'.$id.'");');
	return $objResponse;
}

function jcRemoveCartTemplateItem($rid)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$db          = JFactory::getDBO();

	$objResponse->insertInputAfter('section_id', "hidden", "items_remove[]", $rid);
	$objResponse->remove('row_'.$rid);
	return $objResponse;
}

function jcShare($id, $table, $publish)
{
	$db =& JFactory::getDBO();
	$user =& JFactory::getUser();

	//$objResponse = new xajaxResponse();
	$objResponse = new JS_SAFE_xajaxResponse();

	$publish ? $img  = 'publish_x.png' : $img  = 'tick.png';
	//$ipath  = str_replace(JPATH_BASE, '', COMM_LAY_ICONS_DIR).'/'.$img;
	$ipath  = JURI::root(). "components/com_commerce/images/templates".DS.JC_LAY_ICONS_DIR.DS.$img;
	$ipath = str_replace("\\", "/", $ipath);
	$alt = !$publish ? JText::_( 'Shared' ) : JText::_( 'Closed' );
	$set = ($publish ? 0 : 1);
	$sql = "UPDATE #__$table SET share = '$set' WHERE id = '$id'";
	$db->setQuery($sql);
	$db->query();

	$href = "<a href=\"javascript:void(0);\"  ".
        "id=\"publish_$id\" onclick=\"document.getElementById('pdiv_$id').innerHTML = '<img src=".JURI::root()."components/com_commerce/images/load.gif>';xajax_jcShare('$id', '$table', '$set')\">".
        "<img src=\"$ipath\" border=\"0\" alt=\"$alt\"/></a>";

	$objResponse->assign("pdiv_$id", "innerHTML", $href);

	return $objResponse;
}

function jcSetShip($id, $sum, $weight, $ship_info, $ship_id, $ship_type)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$db =& JFactory::getDBO();
	
	/*
	$cart[$id]->shipping = array('sum' => $sum, 'weight' => $weight, 'info' => $ship_info, 'id' => $ship_id);
	
	$session->set('my_cart'.'-'.COMM_SECTION_ID, $cart);
	$sum = str_replace(array("00", "Sign"), array($sum, $core->mark), COMM_LAYOUT_PRICE);*/
	
	$session =& JFactory::getSession();
	$shipping = $session->get('shipping-'.COMM_SECTION_ID);

	$query = "
           SELECT c.name, c.code, IF(c.mark != '', c.mark, c.code) as mark
             FROM #__jc_currency AS c
            WHERE c.id = '".COMM_CORE_CURRENCY."'";
	$db->setQuery( $query);
	$core = $db->loadObject();
	$sum = round($sum, 2);
	
	$sum_mark = str_replace(array("00", "Sign"), array($sum, $core->mark), COMM_LAYOUT_PRICE);
	$shipping[$id] = array('sum' => $sum, 'weight' => $weight, 'info' => $ship_info, 'id' => $ship_id);

	$session->set('shipping-'.COMM_SECTION_ID, $shipping);
	$objResponse->assign("itemship$id", "innerHTML", $sum_mark);
	$objResponse->assign("ship_scheme$id", "style.display", 'none');
	
	$objResponse->redirect('index.php?option=com_commerce&view=cart&section_id='.JRequest::getInt('section_id').'&Itemid='.JRequest::getInt('Itemid')) ;

	return $objResponse;
}
function jcEnterShipSum($id, $weight, $ship_info, $shipid)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$out = '<input type="text" onkeyup="formatFloat(this.id)" id="shipsum'.$id.'" size="5">
	<input type="button" value="'.JText::_('Ok').'" onclick="xajax_jcSetShip(\''.$id.'\', document.getElementById(\'shipsum'.$id.'\').value, '.$weight.', \''.$ship_info.'\', \''.$shipid.'\', 0)">';
	$objResponse->assign("inputshipsum$id", "innerHTML", $out);
	return $objResponse;
}

function jcAddNewAddress($location, $id)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$db =& JFactory::getDBO();
	
	$out = '';
	$out = '<table cellpadding="0" cellspacing="0" border="0" style="border: 1px solid #ddd;">
		<tr><td>'.JText::_('Country')."[$id]</td>";
	$sql = "SELECT * FROM #__jc_countries ORDER BY `name`";
	$db->setQuery($sql);
	$countries = $db->loadObjectList();
	$opt = array();
	$opt[] = JHTML::_('select.option', '0', JText::_('Select country'));
	foreach ($countries as $val)
	{
		$opt[] = JHTML::_('select.option', $val->id, addslashes($val->name));
	}
	$out .= '<td>'.JHTML::_('select.genericlist', $opt, 'country'.$location.'['.$id.']', 'class="inputbox" 
			onchange="xajax_jcSelectShipLocation(\''.$location.'\',\'city\', this.value, \''.$id.'\')"', 'value', 'text', 'country'.$location.$id).'</td>';
	$out .= '<td width="1%"><img src="'.JURI::root().'components/com_commerce/images/remove.png" 
		onclick="xajax_jcRemoveAddress(\''.$location.'\', \''.$id.'\')" title="'.JText::_('Remove').'" alt="'.JText::_('Remove').'"></td>';
	$out .= '</tr>
			<tr><td></td><td colspan="2" id="td'.$location.'city'.$id.'"></td></tr>';
	$out .= '<tr><td></td><td colspan="2" id="td'.$location.'district'.$id.'"></td></tr></table>';
$objResponse->alert($out);
	$objResponse->create('location'.$location, 'div', 'loc'.$location.$id);
	$objResponse->assign("loc$location".$id, "innerHTML", $out);
	$objResponse->assign("count_".$location, "innerHTML", ($id+1));
	
	
	return $objResponse;
}

function jcSelectShipLocation($location, $type, $parent_id, $id, $default = false)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$db =& JFactory::getDBO();
	$ind = ($id != '' ? "[$id]" : '');
	
	if(!$parent_id)
	{
	    if($type == 'city') {
	    $objResponse->assign("td$location"."city".$id, "innerHTML", '<td nowrap="nowrap">'.JText::_('City').$ind.':</td><td><input type="hidden" value="" name="'.$location.'city'.$ind.'"></td>');
	    $objResponse->assign("td$location"."district".$id, "innerHTML", '<td nowrap="nowrap">'.JText::_('District').$ind.':</td><td><input type="hidden" value="" name="'.$location.'district'.$ind.'"></td>');
	    }
	    if($type == 'district' )
	    $objResponse->assign("td$location"."district".$id, "innerHTML", '<td nowrap="nowrap">'.JText::_('District').$ind.':</td><td><input type="hidden" value="" name="'.$location.'district'.$ind.'"></td>');
	    
	    return $objResponse;
	}
	
	$out = '<td>';
	$out .= JText::_(ucfirst($type)).$ind;
	$sql = "SELECT * FROM #__jc_location WHERE parent_id = '$parent_id' AND type = '$type' ORDER BY `name`";

	$db->setQuery($sql);
	$vals = $db->loadObjectList();
	$opt = array();
	$opt[] = JHTML::_('select.option', '', JText::_('Select '.$type));
	foreach ($vals as $val)
	{
		$opt[] = JHTML::_('select.option', $val->id, addslashes($val->name));
	}
	$js = ($type == 'city') ? ' onchange="xajax_jcSelectShipLocation(\''.$location.'\', \'district\', this.value, \''.$id.'\')"' : '';
	
	$out .= '</td>
	<td colspan="2">'.JHTML::_('select.genericlist', $opt, $location.$type.$ind, 'class="inputbox" '.$js, 'value', 'text', $default, $location.$type.$id);
	
	$out .= ' '.JText::_('Enter yours').': 
			<input type="text" size="15" id="enter'.$location.$type.$id.'">
			<input type="button" value="'.JText::_('ok').'" 
			onclick="xajax_jcEnterLocation(\''.$location.'\', \''.$type.'\', \''.$id.'\', document.getElementById(\'enter'.$location.$type.$id.'\').value, document.getElementById(\''.$location.($type == 'city' ? 'country' : 'city' ).$id.'\').value)">';
	$out .= '</td>';
	$objResponse->assign("td".$location.$type.$id, "innerHTML", $out);
	
	if($type == 'city')// && $id != '')
	$objResponse->assign("td$location"."district".$id, "innerHTML", '<td nowrap="nowrap">'.JText::_('District').$ind.':</td><td><input type="hidden" value="" name="'.$location.'district'.$ind.'"></td>');
		
	return $objResponse;
}

function jcEnterLocation($location, $type, $id, $value, $parent)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	
	$db =& JFactory::getDBO();
	$value = ucfirst($value);
	$sql = "INSERT INTO #__jc_location VALUES('', '$parent', '$type', '$value')";
	$db->setQuery($sql);
	$db->query();
	$insid = $db->insertid();
	$out = '<option value="'.$insid.'" selected>'.$value.'</option>';
	$objResponse->append($location.$type.$id, 'innerHTML', $out);
	$objResponse->assign('enter'.$location.$type.$id, 'value', '');
	
	//jcSelectShipLocation($location, $type, $parent, $id);
	if($type == 'city')
	$objResponse->script('xajax_jcSelectShipLocation(\''.$location.'\', \'district\', \''.$parent.'\', \''.$id.'\')');
	return $objResponse;
}

function jcRemoveAddress($location, $id)
{
	$objResponse = new JS_SAFE_xajaxResponse();
	$objResponse->clear('loc'.$location.$id, 'innerHTML');
	//$objResponse->script("document.getElementById('count_$location').innerHTML = document.getElementById('count_$location').innerHTML * 1 - 1;");
	return $objResponse;
}

$link = 'index2.php?option=com_commerce&no_html=1&view='.JRequest::getWord('controller',JRequest::getWord('view'));
if(COMM_SECTION_ID) $link .= '&section_id='.COMM_SECTION_ID;
if(JRequest::getInt('order_id')) $link .= '&order_id='.JRequest::getInt('order_id');
if(JRequest::getInt('Itemid')) $link .= '&Itemid='.JRequest::getInt('Itemid');
//$xajax = new xajax($link);
$xajax = new JS_SAFE_xajax($link);
//$xajax->setFlag('debug', true); // Uncomment this line to turn debugging on


$xajax->registerFunction("jcPropertyType");
$xajax->registerFunction("jcAccess");
$xajax->registerFunction("jcPublish");
$xajax->registerFunction("jcPublishList");
$xajax->registerFunction("jcDeleteList");
$xajax->registerFunction("jcCurrencyCode");
$xajax->registerFunction("jcNew");
$xajax->registerFunction("jcSaveForm");
$xajax->registerFunction("jcLoadList");
$xajax->registerFunction("jcSaveFormClose");
$xajax->registerFunction("jcResetProductHits");
$xajax->registerFunction("jcCangeProdType");
$xajax->registerFunction("jcLoadTrash");
$xajax->registerFunction("jcSetCoreCurrency");
$xajax->registerFunction("jcRestore");
$xajax->registerFunction("jsProductRate");
$xajax->registerFunction("jcChangeOrderProductStatus");
$xajax->registerFunction("jcUpdateRefund");
$xajax->registerFunction("jcChangeOrderStatus");
$xajax->registerFunction("jcRemoveCartTemplateItem");
$xajax->registerFunction("jcShare");
$xajax->registerFunction("jcSetShip");
$xajax->registerFunction("jcEnterShipSum");
$xajax->registerFunction("jcAddNewAddress");
$xajax->registerFunction("jcSelectShipLocation");
$xajax->registerFunction("jcSelectShipDisctrict");
$xajax->registerFunction("jcEnterLocation");
$xajax->registerFunction("jcRemoveAddress");

//$xajax->bDebug = true;
$xajax->processRequest();
//$xajax->printJavascript('components/com_commerce/js/');
$xajax->printJavascript(JURI::root().'media/mightyextensions/xajax');

?>