<?php
/**
 * $Id: controller.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controller');

class CommerceController extends JController
{
	function __construct()
	{
		parent::__construct();
	}

	function display()
	{
		if ( ! JRequest::getCmd( 'view' ) ) {
			JRequest::setVar('view', 'cart' );
		}
		$user =& JFactory::getUser();
		if(COMM_ACCESS && !$user->id)
		{
			JError::raiseWarning(500, 'You must be registered and logged in to see this page. ' );
			return;
		}
		if (COMM_ACCESS > $user->aid)
		{
			JError::raiseWarning(500, 'You have no anough rights to see this page' );
			return;
		}

		parent::display();
	}

	function checkConfirmBySubscription($show_link = false)
	{
		global $mainframe;
		$plans = array();
		if(defined('COMM_SUBSCR_FIELD'))
		{
			$confirm = strstr(COMM_SUBSCR_FIELD, '{') ? unserialize(COMM_SUBSCR_FIELD) : COMM_SUBSCR_FIELD;
			$confirm = (is_array($confirm)) ? implode(',', $confirm) : COMM_SUBSCR_FIELD;
			if($confirm != '')
			$plans[] = $confirm;
		}
		if(defined('COMM_SUBSCR_SILVER'))
		{
			$confirm = strstr(COMM_SUBSCR_SILVER, '{') ? unserialize(COMM_SUBSCR_SILVER) : COMM_SUBSCR_SILVER;
			$confirm = (is_array($confirm)) ? implode(',', $confirm) : COMM_SUBSCR_SILVER;
			if($confirm != '')
			$plans[] = $confirm;
		}
		if(defined('COMM_SUBSCR_GOLD'))
		{
			$confirm = strstr(COMM_SUBSCR_GOLD, '{') ? unserialize(COMM_SUBSCR_GOLD) : COMM_SUBSCR_GOLD;
			$confirm = (is_array($confirm)) ? implode(',', $confirm) : COMM_SUBSCR_GOLD;
			if($confirm != '')
			$plans[] = $confirm;
		}
		if(count($plans))
		{
			$plans = implode(",", $plans);
			$plans = explode(",", $plans);
			$plans = array_unique($plans);
			$link = 'index.php?option=com_jcs&view=jcs&layout=form&id='.implode(',', $plans).'&Itemid='.JRequest::getInt('Itemid');
			
			if($show_link)
			{
				JError::raiseNotice(100, JText::_('To become a Seller you can get one of the presented subscription plans'). ' '.JHTML::link($link, JText::_('here'), 'target="_blank"'));
				return;
			}
			else
			$mainframe->redirect($link, JText::_('To become a Seller you can get one of the presented subscription plans'), 'Notice');
		}

	}

	function getSectionList()
	{
		$db =& JFactory::getDBO();
		$query = "SELECT id, name, title, params FROM #__js_res_category WHERE parent = '0' AND published = '1' ORDER BY ordering, id";
		$db->setQuery( $query);
		return $db->loadObjectList();
	}

}
?>