<?php
/**
 * $Id: userconfig.php 7982 2012-03-23 04:49:29Z alfiya $
 * $LastChangedDate: 2012-03-23 10:49:29 +0600 (Fri, 23 Mar 2012) $
 * $LastChangedBy: alfiya $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport('joomla.application.component.controller');

class CommerceControllerUserConfig extends CommerceController
{
	function __construct()
	{
		parent::__construct();
	}

	function display()
	{
		global $mainframe;


		$user =& JFactory::getUser();

		if(!$user->id)
		{
			$cpanel = JRoute::_('index.php?option=com_commerce&view=userconfig&section_id='.COMM_SECTION_ID.'&Itemid='.JRequest::getInt('Itemid'), false);
			$mainframe->redirect(JRoute::_('index.php?option=com_user&view=login&return='.base64_encode($cpanel), false),
			JText::_('You are not authorized to see that page'), 'Error');
		}
		if(!$user->get('is_seller') && !$user->is_silver && !$user->is_gold)
		{
			CommerceController::checkConfirmBySubscription(); 
			JError::raiseWarning(500, JText::_('ERROR You are not allowed to see this page') );
			return;
		}

		JRequest::setVar('view', 'userconfig');
		parent::display();

	}

	function show_list()
	{
		GLOBAL $mainframe, $Itemid;

		$db   =& JFactory::getDBO();
		$user =& JFactory::getUser();
		$option = JRequest::getWord('option', 'com_commerce');

		$sql = "SELECT * FROM #__jc_users WHERE `user_id` = {$user->id} AND section_id = '".COMM_SECTION_ID."'";
		$db->setQuery($sql);
		$shopParams = $db->loadObject();
		JRequest::setVar('shopParams', $shopParams->params);
		$user_params = new JParameter($shopParams->params, JPATH_COMPONENT.DS.'params.xml');
		require_once(JPATH_JC_VIEW.DS.'userconfig'.DS.'tmpl'.DS.'userconfig.list.php');
	}

	function renderParamsGroup( $group_name, $user_params )
	{
		?>
<fieldset><legend><?php echo JText::_( $group_name ); ?></legend> <?php print $user_params->render('params', $group_name);?>
</fieldset>
		<?php
	}

	function save()
	{
		global $mainframe, $comm_secid;
		$db = JFactory::getDBO();
		$task 	= JRequest::getCmd( 'task' );
		$user = JFactory::getUser();
		$parameters = JRequest::getVar('params');

		$vals = array();
		$vals['user_id'] = $user->id;
		$vals['id'] = JRequest::getVar('id');
		$vals['params'] = JRequest::getVar('params');
		$vals['section_id'] = COMM_SECTION_ID;
		$row = JTable::getInstance("Userconfig", 'Commerce');
		$row->load($vals['id']);
		

		if (!$row->bind( $vals ))
		{
			JError::raiseWarning(500, $row->getError());
		}
		if (!$row->check())
		{
			JError::raiseWarning(500, $row->getError());
		}

		if (!$row->store())
		{
			JError::raiseWarning(500, $row->getError());
		}		
		$msg = JText::_( 'Successfully saved' ).' '.JText::_('Seller Configuration');
		$link = 'index.php?option=com_commerce&view=userconfig&section_id='.COMM_SECTION_ID.'&Itemid='.((COMM_USERCONFIG_ITEMID != '') ? COMM_USERCONFIG_ITEMID : JRequest::getInt('Itemid'));
		$mainframe->redirect( JRoute::_($link, false), $msg );

	}

	function change_section()
	{
		global $mainframe;
		$link = 'index.php?option=com_commerce&view=userconfig&section_id='.COMM_SECTION_ID.'&Itemid='.((COMM_USERCONFIG_ITEMID != '') ? COMM_USERCONFIG_ITEMID : JRequest::getInt('Itemid'));
		$mainframe->redirect( JRoute::_($link, false) );
	}


}
?>