<?php
/**
 * $Id: joomlaequipment.config.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );

class jcConfigHelper
{
    var $tb = '#__jc_config';
    
    
    function get($val)
    {
        $db =& JFactory::getDBO();
        
        if(!$val)
        {
            JError::riseError(0112, jcText::_('Rewuired parameter empty'));
        }
        $val = explode('.', $val);
        $section = $val[0];
        $value   = $val[1];
        $sql = "SELECT `selected` FROM  #__jc_config  WHERE `section` = '{$section}' AND name = '{$value}'";
        $db->setQuery( $sql );
        $rows = $db->loadResult();
        return $rows;
    }
    
    function set($val, $val2, $option='', $ad=NULL)
    {
        $db =& JFactory::getDBO();
        
        if(!$option) $option = JRequest::getVar('option', 'com_jcommerce');
        if(!$option || !$val) return false;
        $val = explode('.', $val);
        $section = $val[0];
        $value   = $val[1];
        
        $sql = "SELECT id FROM `#__jc_config` WHERE `section` = '{$section}' AND `name` = '{$value}'";
        $db->setQuery( $sql );
        
        if($db->loadResult() > 0)
        {
            $sql = "UPDATE `#__jc_config` SET `selected` = '{$val2}' WHERE `section` = '{$section}' AND `name` = '{$value}'";
        }
        else
        {
            $sql = "
                INSERT INTO `#__jc_config` 
                    ( `id` , `component` , `section` , `lable` , `name` , 
                    `type` , `description` , `values` , `selected` , `hidden` )
                VALUES ( NULL , '{$option}', '{$section}', '{$ad[lable]}', 
                         '{$value}', '{$ad[type]}', '{$ad[descr]}', 
                         '{$val2}', '{$val2}', '{$ad[hidden]}');";
        }
        
        $db->setQuery( $sql );
        if(!$db->query())
        {
            return FALSE;
        }
        else
        {
            return TRUE;
        }
    }    
    function display()
    {
        global $mainframe;
        //JCommonHTML::loadOverlib();
        JHTML::_('behavior.tooltip');
        JHTML::_('behavior.switcher');
        
        JToolBarHelper::title( jcText::_( 'Configure JCommerce' ), 'categories.png' );
        JToolBarHelper::save('save_config');
        JToolBarHelper::apply('apply_config');
        JToolBarHelper::cancel( 'cpanel', 'Close' );

        $db =& JFactory::getDBO();
        
        $document =& JFactory::getDocument();
        $document->addScript($mainframe->getCfg('live_site').'/administrator/components/com_jcommerce/js/Switcher.js');

        $sql = "SELECT * FROM #__jc_config WHERE hidden = 'N'  ORDER BY `section`, `fieldset`, `type`, `lable` ASC";
        $db->setQuery( $sql );
        //echo $db->_sql;
        $rows = $db->loadObjectList();
        $com = '';
        $fn = 0;
        foreach($rows AS $k => $row)
        {
            if($set != $row->fieldset)
            {
                if($set != '') 
                {
                    $tabs .= '</table></fieldset>';
                }
            }
            if($com != $row->section)
            {
                if($com != '') 
                {
                    $tabs .= '</div>';
                }
                $tabs .= "<div id=\"page-".str_replace(" ", "-", $row->section)."\">\n";
                $navs .= '<li class="item-smenu"><a id="'.
                          str_replace(" ", "-", $row->section).
                          '">'.ucfirst(jcText::_($row->section)).
                          "</a></li>\n"; 
            }
            if($set != $row->fieldset)
            {
                //if($set != '') 
                //{
                //   $tabs .= '</fieldset>';
                //}
                $fn = 1 - $fn;
                $wd = ($fn > 0 ? '58%' : '38%');
                $tabs .= '<fieldset style="display:block; width:'.$wd.'; float:left"><LEGEND>'.ucfirst($row->fieldset).'</LEGEND><table width="20%" class="admintable">';
            }
            $com = $row->section;
            $set = $row->fieldset;
            //$tabs .= "<P>Get it</P>";
            $tabs .= $this->_renderRow($row);
        }
        $tabs .= "</table></fieldset></div>\n";
        
        $out  = '<form action="index.php" method="post" name="adminForm">';
        $out .= "<div class=\"submenu-box\">\n";
        $out .= "	<div class=\"submenu-pad\">\n";
        $out .= "		<div id=\"submenu\">\n";
        $out .= "		<div id=\"submenu2\">\n";
        $out .= $navs;
        $out .= "		</div>\n";
        $out .= "	  </div>\n";
        $out .= "		<div class=\"clr\"><BR></div>\n";
        $out .= "	</div>\n";
        $out .= "</div>\n";
        
        $document =& JFactory::getDocument();
        $document->setBuffer($out, 'module', 'submenu');
        
        $out = "<div id=\"config-document\">\n";
        $out .= $tabs;       
        $out .= "	</div>\n";
        $out .= "<div class=\"clr\"></div>\n";
        $out .= "<script> loadSwicther()</script>\n";
        $out .= '<input type="hidden" name="option" value="com_jcommerce" />';
        $out .= '<input type="hidden" name="task" value="cpanel" />';
        $out .= '<input type="hidden" name="boxchecked" value="0" />';
        $out .= '<input type="hidden" name="hidemainmenu" value="0" />';
        $out .= '';
        $out .= '</form>';
        echo $out;
        
        //$tabs->endPane();
        
    }
    
    function _renderRow($row)
    {
        $label = $row->lable;
        if($row->description)
        {
            $label = sprintf(
                '<SPAN class="editlinktip hasTip" title="%s::%s">%s</SPAN>',$row->lable, $row->description ,$row->lable);
        }
        $out = sprintf('<tr valign="top"><td width="10%s" nowrap="nowrap" class="key">%s:</td><td width="10%s" nowrap="nowrap">%s</td></tr>', '%', $label, '%',  $this->_renderElement($row));
        return $out;
    }
    
    function _renderElement($row)
    {
        $db = & JFactory::getDBO();
				global $mainframe;
				switch ($row->type)
        {
            case "yesno":
                if($row->params) $lbl = explode(':', $row->params);
                $out = JHTML::_('select.booleanlist',$row->name.$row->id, 'class="inputbox"', $row->selected, $lbl[0], $lbl[1]);
            break;
            
            case "selectlist":
                $items = explode(",", $row->values);
                foreach($items AS $item)
                {
                    $list[] = JHTML::_('select.option',trim($item), trim($item));
                }
                $out = JHTML::_('select.genericlist',$list, $row->name.$row->id, 'class="inputbox" size="'.count($items).'" ', 'value', 'text', $row->selected);
            break;
            
            case "dropdown":
                $items = explode(",", $row->values);
                foreach($items AS $item)
                {
                    $list[] = JHTML::_('select.option',trim($item), trim($item));
                }
                $out = JHTML::_('select.genericlist',$list, $row->name.$row->id, 'class="inputbox" size="1" ', 'value', 'text', $row->selected);
            break;
            
            case "textarea":
                $out = sprintf('<textarea class="text_area" name="%s" rows="5" cols="40">%s</textarea>', $row->name.$row->id, htmlspecialchars( stripslashes($row->selected) ) );
            break;

            case "page":
								$sql = "SELECT * FROM #__content WHERE 1 AND sectionid = 0 AND catid = 0";
								$db->setQuery($sql);
								$rows = $db->loadObjectList();
								foreach($rows AS $row2)
								{
								    $pages[] = JHTML::_('select.option',$row2->id, $row2->title);
								}
                $out = JHTML::_('select.genericlist',$pages, $row->name.$row->id, 'class="inputbox" size="7" ', 'value', 'text', $row->selected);
            break;
						
						case "directory":
								//$home = $mainframe->getCfg('absolute_path');
								$home = str_replace(array('/','\\','//','\\\\'), DS, $_SERVER['DOCUMENT_ROOT']);
                $dir  = str_replace(array('/','\\','//','\\\\'), DS, $row->values);
								$dir = $home.DS.$dir;
                $dir = preg_replace("/^".preg_quote(DS)."/", "", $dir);

								if(!is_dir($dir.DS)) return jcText::_('Value is not a directory');
								if(!is_readable($dir)) return jcText::_('Directory is not readable');
								$dirs[] = JHTML::_('select.option',$dir, $dir);
                $skip = explode(', ', $row->params);
                $dirs2 = jcConfigHelper::_getDirs($dir, $skip);
                if(is_array($dirs2)) $dirs = array_merge($dirs, $dirs2);
								$out = JHTML::_('select.genericlist',$dirs, $row->name.$row->id, 'class="inputbox" size="1" ', 'value', 'text', $row->selected);
            break;
						case "image":
								$home = str_replace(array('/','\\','//','\\\\'), DS, $_SERVER['DOCUMENT_ROOT']);
                $dir  = str_replace(array('/','\\','//','\\\\'), DS, $row->values);
								$dir = $home.DS.$dir;
                $dir = preg_replace("/^".preg_quote(DS)."/", "", $dir);
                
                if(!is_dir($dir.DS)) return jcText::_('Value '.$dir.' is not a directory');
								if(!is_readable($dir)) return jcText::_('Directory is not readable');
                $point = opendir($dir);
                if(!$point) return jcText::_('Cannot Open Directory');
                $fl[] = JHTML::_('select.option','', jcText::_('-None-'));
                $home = str_replace(DS, '/', $home);
                while (($file = readdir($point)) !== false) { 
                    if(strtolower(substr($file,-strlen($row->params))) == strtolower($row->params))
                    {
                        //$ad = str_replace(DS, '/', $dir);
                        //$ad = ereg_replace("^".$home."", '', $ad);
                        $fl[] = JHTML::_('select.option',$file, $file);
                    }
                }
								$dir  = str_replace(DS, '/', $dir);
                
                $idir = ereg_replace("^".$home."", '', $dir);
                
                $out = JHTML::_('select.genericlist',$fl, $row->name.$row->id, 'class="inputbox" size="1" onchange="javascript:if (document.forms[0].'.
                $row->name.$row->id. '.options[selectedIndex].value!=\'\') {document.image'.
                $row->id.'.src=\''.$idir.'/\' + document.forms[0].'.$row->name.$row->id.
                '.options[selectedIndex].value} else {document.image'.$row->id.
                '.src=\'../images/blank.png\'}"', 'value', 'text', $row->selected);
                
                $out .= '<span style="display:block;background-color: #cccccc; padding:2px;margin:5px;"><script language="javascript" type="text/javascript">
                  if (document.forms[0].'.$row->name.$row->id.'.options.value!=\'\'){
                  jsimg=\''.$idir.'/\' + getSelectedValue( \'adminForm\', \''.$row->name.$row->id.'\' );
                  } else {
                  jsimg=\''.$idir.'/\';
                  }
                  document.write(\'<img src=\' + jsimg + \' name="image'.$row->id.'" width="120" height="120" border="2" alt="'. jcText::_( 'Image Preview' ).'" />\');
                  </script></span>';//<?php
            break;
						
            
            default:
                $out = sprintf('<input type="text" class="inputbox" name="%s" value="%s" size="40">', $row->name.$row->id, htmlspecialchars( stripslashes($row->selected)));
            break;
        }
        
        return $out."\r\n";
    }
		function _getDirs($dir, $skip)
		{
        global $mainframe;
        $home = $mainframe->getCfg('absolute_path');
        $point = opendir($dir);
        if(!$point) return jcText::_('Cannot Open Directory');
        
        while (($file = readdir($point)) !== false) { 
            if($file == '.' || $file == '..' || !is_dir($dir.DS.$file) || in_array($file, $skip)) continue;
            $dirs[] = JHTML::_('select.option',$dir.DS.$file, str_replace($home, '', $dir.DS.$file));
            $add = jcConfigHelper::_getDirs($dir.DS.$file, $skip);
            if(is_array($add)) $dirs = array_merge($dirs, $add);
        }
        closedir($point); 
        return $dirs;
        
		}
    function save($option = '')
    {
        global $mainframe;
        
				$db =& JFactory::getDBO();
        
        $sql = "SELECT * FROM  #__jc_config  WHERE hidden = 'N'";
        //echo $sql;
        $db->setQuery( $sql );
        $rows = $db->loadObjectList();
        foreach($rows AS $row)
        {
            //echo "sss---";
            $val = addslashes(JRequest::getVar( $row->name.$row->id ));
            //$val = mysql_real_escape_string($val);
            $sql = "UPDATE  #__jc_config  SET selected = '$val' WHERE `id` = '{$row->id}'";
            $db->setQuery( $sql );
            $db->query();
        }
        
        switch (JRequest::getVar('task'))
        {
            
            case 'apply_config':
            $link = 'index.php?option=com_jcommerce&task=configuration';
            break;
            
            case 'save_category':
            default:
            $link = 'index.php?option=com_jcommerce&task=cpanel';
            break;
        }
        
        $msg = jcText::_( 'Saved Configuration' );
        $mainframe->redirect( $link, $msg );
    }
    function initialyze()
    {
        $db =& JFactory::getDBO();
        $sql = "SELECT * FROM  #__jc_config  ORDER BY section ASC, fieldset ASC";
        $db->setQuery( $sql );
        $rows = $db->loadObjectList();
        foreach($rows AS $row)
        {
            $name = sprintf('CNF_%s_%s', $row->section, $row->name);
            define(strtoupper($name), $row->selected, true);
            //echo "Defined $name<BR>";
        }
    }
}

?>
