<?php
/**
 * $Id: view.html.php 7782 2012-02-09 09:43:38Z alfiya $
 * $LastChangedDate: 2012-02-09 15:43:38 +0600 (Thu, 09 Feb 2012) $
 * $LastChangedBy: alfiya $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view');

class CommerceViewBalance extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $TB, $Itemid;
		$db   =& JFactory::getDBO();
		$user =& JFactory::getUser();
		$option = JRequest::getWord('option', 'com_commerce');
		$uri = &JFactory::getURI();
		$layout = JRequest::getVar('layout');

		if($layout == 'customer')
		{
			$this->displayCustomer($tpl);
			return;
		}
		$model  = & $this->getModel('balance');
		$model_order  = JModel::getInstance('Orders', 'CommerceModel');
		$pathway	     = & $mainframe->getPathway();
		$pathway->addItem( JText::_("Balance manager"), '' );

		if(COMM_MULTI_SELLER)
		{
			$core = getCore();
			$TB->cpanel();

			$balance = $model->getCurrentBalance($user->id);

			if($result_pay = JRequest::getString('result_pay'))
			{
				$msg = JText::_("Payment was fail");
				$notice = 'Error';
				$result_gateway = JRequest::getVar('result_gateway');
				if($result_pay == 'success')
				{
					$result_price = JRequest::getFloat('result_net_price');
					$balance += $result_price;
					$sql = "INSERT INTO #__jc_users_balance VALUES
					('', '{$user->id}', NOW(), 'bill', '".JRequest::getInt('result_sid')."', '0', '$result_price', '$balance', '', '', '".COMM_SECTION_ID."')";
					$db->setQuery($sql);
					$db->query();
					$sql = "UPDATE #__jc_users SET balance_id='".$db->insertid()."' WHERE user_id = '{$user->id}' AND section_id = '".COMM_SECTION_ID."'";
					$db->setQuery($sql);
					$db->query();
					$balance = $model->getCurrentBalance($user->id);
					$msg = JText::_("Your balance is piled up");
					$notice = '';

				}
				if($result_pay == 'offline')
				{
					$msg = JText::_( 'Your offline request of pile up a balance was made successfully');
					$notice = '';
				}
					
				$mainframe->redirect('index.php?option=com_commerce&view=balance&section_id='.COMM_SECTION_ID.'&Itemid='.( (COMM_BALANCE_ITEMID != '') ? COMM_BALANCE_ITEMID : JRequest::getInt('Itemid') ), $msg, $notice );

			}

			$total = count($model->getHistory($user->id));
			$rows = $model->getHistory($user->id, true);

			foreach($rows as $k => $row)
			{
				$rows[$k]->sales = false;
				if($row->type == 'order')
				$rows[$k]->sales = $model->getOrdersDetails($row->order_id);
			}
			$context          = "$option.view_balance";
			$limit      = $mainframe->getUserStateFromRequest("$context.limit", 'limit', $mainframe->getCfg('list_limit'), 0);
			$limitstart	= JRequest::getVar('limitstart', 0, '', 'int');
			$filter_section     = $mainframe->getUserStateFromRequest( "$context.filter_section", 	'filter_section',  COMM_SECTION_ID );

			$filter['section'] = $model_order->getCommercialSections(COMM_SECTION_ID);


			$return = "index.php?option=com_commerce&view=balance&section_id=".COMM_SECTION_ID."&Itemid=".( (COMM_BALANCE_ITEMID != '') ? COMM_BALANCE_ITEMID : JRequest::getInt('Itemid') );

			jimport('joomla.html.pagination');
			$pageNav = new JPagination( $total, $limitstart, $limit );

			// table ordering
			$author = jcUser::getSeller($user->id);
			$negative = COMM_ALLOW_NEGATIVE;
			$negative_limit = COMM_NEGATIVE_LIMIT;
			if($author->is_silver)
			{
				$negative = COMM_ALLOW_NEGATIVE_SILVER;
				$negative_limit = COMM_NEGATIVE_LIMIT_SILVER;
			}
			if($author->is_gold)
			{
				$negative = COMM_ALLOW_NEGATIVE_GOLD;
				$negative_limit = COMM_NEGATIVE_LIMIT_GOLD;
			}
			$show_msg = false;
			if(COMM_PAYOUTBILL)// && $balance <= 0)
			{ 
				if(!defined('COMM_SHOW_PILEUP') 
					|| 
					COMM_SHOW_PILEUP 
					|| 
					(!COMM_SHOW_PILEUP && ( (!$negative && $balance <= 0) || ($negative && $balance <= $negative_limit) ) )
					)
					$TB->addbalance();
				if( (!$negative && $balance <= 0) || ($negative && $balance <= $negative_limit))
					$show_msg = true;
			}
			$this->assignRef('rows', $rows);
			$this->assignRef('bar',	$TB);
			$this->assignRef('return', $return);
			$this->assignRef('balance', $balance);
			$this->assignRef('pageNav', $pageNav);
			$this->assignRef('uri', $uri->toString());
			$this->assignRef('core', $core);
			$this->assignRef('show_msg', $show_msg);
			$this->assignRef('filter',	$filter);
		}

		$this->assignRef('title', JText::_("Balance manager"));


		parent::display($tpl);

	}

	function displayDetails($tpl)
	{
		global $mainframe, $TB, $Itemid;
		$db   =& JFactory::getDBO();
		$user =& JFactory::getUser();
		$option = JRequest::getWord('option', 'com_commerce');
		$uri = &JFactory::getURI();
		$model  = & $this->getModel('balance');
		$model_order  = JModel::getInstance('Orders', 'CommerceModel');
		$pathway	     = & $mainframe->getPathway();
		$pathway->addItem( JText::_("Balance manager"), '' );

		if(COMM_MULTI_SELLER)
		{
			$core = getCore();
			$balance = $model->getCurrentBalance($user->id);

			if($result_pay = JRequest::getString('result_pay'))
			{

			}
		}
		$context          = "$option.view_balance";
		$limit      = $mainframe->getUserStateFromRequest("$context.limit", 'limit', $mainframe->getCfg('list_limit'), 0);
		$limitstart	= JRequest::getVar('limitstart', 0, '', 'int');
		$filter_section     = $mainframe->getUserStateFromRequest( "$context.filter_section", 	'filter_section',  COMM_SECTION_ID );

		$filter['section'] = $model_order->getCommercialSections(COMM_SECTION_ID);

		$this->assignRef('rows', $rows);
		$this->assignRef('bar',	$TB);
		$this->assignRef('return', $return);
		$this->assignRef('balance', $balance);
		$this->assignRef('pageNav', $pageNav);
		$this->assignRef('uri', $uri->toString());
		$this->assignRef('core', $core);
		$this->assignRef('show_msg', $show_msg);
		$this->assignRef('filter',	$filter);

		parent::display($tpl);
	}

	function displayCustomer($tpl)
	{
		global $mainframe, $TB, $Itemid;
		$db   =& JFactory::getDBO();
		$user =& JFactory::getUser();
		$option = JRequest::getWord('option', 'com_commerce');
		$uri = &JFactory::getURI();
		$model  = & $this->getModel('balance');
		$model_order  = JModel::getInstance('Orders', 'CommerceModel');

		$pathway	     = & $mainframe->getPathway();
		$title = JText::_("Balance manager");
		$pathway->addItem( $title, '' );

		if($result_pay = JRequest::getString('result_pay'))
		{
			$msg = JText::_("Payment was fail");
			$notice = 'Error';
			$result_gateway = JRequest::getVar('result_gateway');
			$customer = $model->getCustomerBalance($user->id);

			if(!$customer)
			$balance = JRequest::getFloat('result_net_price');
			else
			$balance = $customer->balance + JRequest::getFloat('result_net_price');

			$row =& JTable::getInstance("CustomersBalance", 'Commerce');

			$vals = array();
			$vals['user_id'] = $user->id;
			$vals['type'] = 'bill';
			$vals['order_id'] = JRequest::getInt('result_invoice_id');
			$vals['balance'] = $balance;
			$vals['section_id'] = COMM_SECTION_ID;

			if (!$row->bind( $vals ))
			{
				JError::raiseWarning(500, $row->getError());
			}
			if (!$row->check())
			{
				JError::raiseWarning(500, $row->getError());
			}

			if (!$row->store())
			{
				JError::raiseWarning(500, $row->getError());
			}

			if($result_pay == 'success')
			{
				$msg = JText::_("Your balance was successfullly piled up");
				$notice = '';

			}
			if($result_pay == 'offline')
			{
				$msg = JText::_( 'Your offline request of pile up a balance was made successfully');
				$notice = '';
			}

			$link = 'index.php?option=com_commerce&view=balance&layout=customer&section_id='.COMM_SECTION_ID.'&Itemid='.( (COMM_BALANCE_ITEMID != '') ? COMM_BALANCE_ITEMID : JRequest::getInt('Itemid') );
			if($return = JRequest::getVar('return'))
			$link = base64_decode($return);
			$mainframe->redirect($link, $msg, $notice );

		}
		$core = getCore();

		$context          = "$option.view_balance";
		$limit      = $mainframe->getUserStateFromRequest("$context.limit", 'limit', $mainframe->getCfg('list_limit'), 0);
		$limitstart	= JRequest::getVar('limitstart', 0, '', 'int');
		$filter_section     = $mainframe->getUserStateFromRequest( "$context.filter_section", 	'filter_section',  COMM_SECTION_ID );

		$filter['section'] = $model_order->getCommercialSections(COMM_SECTION_ID);

		$rows = $model->getCustomerBalanceHistory($user->id, true);
		$total = count($model->getCustomerBalanceHistory($user->id));
		jimport('joomla.html.pagination');
		$pageNav = new JPagination( $total, $limitstart, $limit );

		$show_msg = false;
		if(COMM_CUSTOMER_PILEUP)
		{
			$TB->addbalance();
			$show_msg = true;
		}
			

		$this->assignRef('rows', $rows);
		$this->assignRef('bar',	$TB);
		$this->assignRef('title',	$title);
		$this->assignRef('pageNav', $pageNav);
		$this->assignRef('uri', $uri->toString());
		$this->assignRef('core', $core);
		$this->assignRef('rows', $rows);
		$this->assignRef('filter',	$filter);
		$this->assignRef('show_msg', $show_msg);

		parent::display($tpl);
	}



}
?>