<?php
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view');

class CommerceViewCurrency extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $TB, $Itemid;
		$layout = $this->getLayout();
		$user =& JFactory::getUser();
		$uri = JFactory::getURI();
		$model  = & $this->getModel('currency');
		$db   =& JFactory::getDBO();
		$user =& JFactory::getUser();
		$option = JRequest::getVar('option', 'com_commerce');
		$model_order  = JModel::getInstance('Orders', 'CommerceModel');
		$title = JText::_('Currencies manager');

		$pathway    = & $mainframe->getPathway();
		$pathway->addItem( $title, '' );
		
			
		if(JRequest::getVar('task') == 'cancel')
		{
			$mainframe->redirect("index.php?option=com_commerce&controller=currency&Itemid=".JRequest::getInt("Itemid"));
		}
		if($layout == 'form')
		{
			$this->_form();
			return;
		}
			
		$TB->cpanel('cpanel', JText::_('CPanel'));
		$TB->publish('jc_users_currencies', 1);
		$TB->publish('jc_users_currencies', 0);
		//  if($user->get('is_super_admin')) $TB->core_cur();
		/*
		 if($user->id == 62)
			$TB->custom( 'set_currency', 'core', Null, 'Set Core',  false, false );
			*/
		$TB->_addNew('add_currency', JText::_('New'));
		$TB->editList('edit_currency', JText::_('Edit'));
		//$TB->deleteList(JText::_('Are you sure you whant to delete this items?'), 'trash_currency',  JText::_('Delete'));
		//$TB->trash('delete_currency',  JText::_('Trash'));
		$TB->delete('jc_users_currencies', 1);
		$TB->help('currency', 'com_commerce');


		$context          = "$option.view_currency";
		$filter_order     = $mainframe->getUserStateFromRequest( "$context.filter_order", 	'filter_order', 	'uc.seller_id' );
		$filter_order_Dir	= $mainframe->getUserStateFromRequest( "$context.filter_order_Dir",	'filter_order_Dir',	'ASC' );
		$filter_section     = $mainframe->getUserStateFromRequest( "$context.filter_section", 	'filter_section',  COMM_SECTION_ID );

		$limit      = $mainframe->getUserStateFromRequest("$context.limit", 'limit', $mainframe->getCfg('list_limit'), 0);
		$limitstart	= JRequest::getVar('limitstart', 0, '', 'int');

		if($filter_order) $orderby 	= "\n ORDER BY $filter_order $filter_order_Dir";

		// get the total number of records
		if(COMM_MULTI_SELLER)
		{
			$query = "SELECT COUNT(*)"
			. "\n FROM #__jc_users_currencies "
			. "WHERE trash = 0 AND section_id = '".COMM_SECTION_ID."'"
			. ($user->get('usertype') == 'Super Administrator' ? NULL : " AND seller_id = '".$user->get('id')."'")
			;
		}
		else
		{
			$query = "SELECT COUNT(*)"
			. "\n FROM #__jc_users_currencies "
			. "WHERE trash = 0 AND section_id = '".COMM_SECTION_ID."'"
			;
		}

		$db->setQuery( $query );
		$total = $db->loadResult();

		jimport('joomla.html.pagination');
		$pageNav = new JPagination( $total, $limitstart, $limit );

		if(COMM_MULTI_SELLER)
		{
			$query = "
           	SELECT uc.id, uc.checked_out, uc.checked_out_time, uc.published, uc.rate,
            c.name, c.code, IF(c.mark != '', c.mark, c.code) as mark, uc.format, u.name as uname, u.id uid
            FROM #__jc_users_currencies AS uc
       		LEFT JOIN #__users AS u ON u.id = uc.seller_id
        	LEFT JOIN #__jc_currency AS c ON c.id = uc.currency_id
            WHERE uc.trash = 0 AND uc.section_id = '".COMM_SECTION_ID."' "
            . ($user->get('usertype') == 'Super Administrator' ?
            NULL : " AND uc.seller_id = '".$user->get('id')."' " )
            . $orderby ;
		}
		else
		{
			$query = "
           	SELECT uc.id, uc.checked_out, uc.checked_out_time, uc.published, uc.rate,
            c.name, c.code, IF(c.mark != '', c.mark, c.code) as mark, uc.format, u.name as uname, u.name as editor, u.id uid
            FROM #__jc_users_currencies AS uc
       		LEFT JOIN #__users AS u ON u.id = uc.seller_id
        	LEFT JOIN #__jc_currency AS c ON c.id = uc.currency_id
            WHERE uc.trash = 0 AND uc.section_id = '".COMM_SECTION_ID."'"
            . $orderby ;
		}
		$db->setQuery( $query, $pageNav->limitstart, $pageNav->limit );
		$rows = $db->loadObjectList();

		// table ordering
		/*
		 if ( $filter_order_Dir == 'DESC' ) {
			$lists['order_Dir'] = 'ASC';
			} else {
			$lists['order_Dir'] = 'DESC';
			}*/
		$lists['order_Dir'] = $filter_order_Dir;
		$lists['order'] = $filter_order;
		$filter['section'] = $model_order->getCommercialSections(COMM_SECTION_ID);

		$cur = getCore();
		$cur->format  = COMM_LAYOUT_PRICE;

		$this->assignRef('bar',	$TB);
		$this->assignRef('Itemid',	$Itemid);
		$this->assignRef('pageNav',	$pageNav);
		$this->assignRef('rows',	$rows);
		$this->assignRef('lists',	$lists);
		$this->assignRef('cur',	$cur);
		$this->assign('uri',	$uri->toString());
		$this->assign('title',	$title);
		$this->assignRef('filter',	$filter);

		parent::display($tpl);
	}

	function _form()
	{
		global $mainframe, $TB, $Itemid;
		$db     =& JFactory::getDBO();
		$user   =& JFactory::getUser();
		$option = JRequest::getVar('option', 'com_commerce');
		$uri = JFactory::getURI();
		$idar = JRequest::getVar("cid");
		$id = $idar[0];
		$pathway    = & $mainframe->getPathway();
		$row =& JTable::getInstance('currency', 'commerce');

		if(JRequest::getVar("task") == 'edit_currency'){
			$row->load( $id );
			$sql = "SELECT checked_out, currency_id FROM #__jc_users_currencies WHERE id='$id'";
			$db->setQuery($sql);
			$uid = $db->loadObject();
			if($uid->checked_out && $uid->checked_out != $user->id)
			{
				$sql = "SELECT name FROM #__jc_currency WHERE id='{$uid->currency_id}'";
				$db->setQuery($sql);
				$row->name = $db->loadResult();
				$link = "index.php?option=com_commerce&view=currency&section_id=".COMM_SECTION_ID."&Itemid=".(COMM_CURRENCY_ITEMID ? COMM_CURRENCY_ITEMID : JRequest::getInt('Itemid'));
				$msg = JText::sprintf( 'DESCBEINGEDITTED', JText::_( 'Currency' ), $row->name);
				$mainframe->redirect(JRoute::_($link), $msg );
			}
			$row->checkout($user->id, $id);

		}

		$current_crrency = CommerceControllerCurrency::getCurrent($id);

		$text = ( $id ? JText::_( 'Edit' ) : JText::_( 'New' ) );
		$title = (Jrequest::getVar('task') == 'add_currency') ? JText::_("Add new currency") : JText::_("Edit currency");

		$pathway->addItem( $title, '' );


		$TB->save('save_currency', JText::_('Save'));
		$TB->apply('apply_currency', JText::_("Apply"));
		$TB->_cancel('cancel', JText::_('Cancel'));

		$lists = array();
		$lists['currency']  = CommerceControllerCurrency::select_all($row->currency_id,
		CommerceControllerCurrency::getUsedIds($row->seller_id, $row->currency_id));
		$lists['published'] = JHTML::_('select.booleanlist', 'published', 'class="inputbox"', $row->published );
		$core = getCore();

		$clist[] = JHTML::_('select.option', "00 Sign", "00 Sign");
		$clist[] = JHTML::_('select.option', "Sign 00", "Sign 00");
		$clist[] = JHTML::_('select.option', "00Sign", "00Sign");
		$clist[] = JHTML::_('select.option', "Sign00", "Sign00");
		$lists['format'] = JHTML::_('select.genericlist', $clist, 'format', 'class="inputbox"', 'value', 'text', $current_crrency->format);


		$this->assignRef('row',	$row);
		$this->assignRef('lists',	$lists);
		$this->assignRef('core',	$core);
		$this->assignRef('user',	$user);
		$this->assignRef('current_crrency',	$current_crrency);
		$this->assignRef('bar',	$TB);
		$this->assign('title',	$title);
		$this->assign('uri',	$uri->toString());
		$this->assign('option',	$option);


		parent::display();
	}
}
?>
