<?php
/**
 * $Id: invoice_pdf.php 7990 2012-03-28 06:25:59Z alfiya $
 * $LastChangedDate: 2012-03-28 12:25:59 +0600 (Wed, 28 Mar 2012) $
 * $LastChangedBy: alfiya $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );

	jimport('joomla.utilities.date');
	$core = getCore();
	$params = new JParameter($this->params);

	$l1[] = $params->get('inv_address', BILL_INV_ADDRESS);
	$l1[] = $params->get('inv_city', BILL_INV_CITY);
	$l1[] = $params->get('inv_state', BILL_INV_STATE);
	$l1[] = $params->get('inv_zip', BILL_INV_ZIP);
	$l1[] = $params->get('inv_country', BILL_INV_COUNTRY);

	$address[1] = $l1;

	$l2[JText::_('Telephone')] = $params->get('inv_tel', BILL_INV_TEL);
	$l2[JText::_('Fax')] = $params->get('inv_fax', BILL_INV_FAX);
	$l2[JText::_('Company Number')] = $params->get('inv_number'); //, BILL_INV_NUMBER);
	$l2[JText::_('Company Tax ID')] = $params->get('inv_tax_id', BILL_INV_TAX_ID);
	$l2[JText::_('Ask for')] = $params->get('inv_person', BILL_INV_PERSON);

	$address[2] = $l2;
	$tax = true;
?><h1>                                          <?php echo JText::_('Invoice'); ?></h1>

<br><?php if($this->order->status_id != 11) { ?><font color="red">
<h2>                                      <?php echo JText::_('Order is').' '.$this->order->status; ?>
</h2></font><br>
<?php } ?>

<h2>                                           <?php echo $params->get('inv_name');?></h2>

<br><br><?php
?><table><tr><td><?php
?><?php if(BILL_SHOW_BAR_ORDER && $this->order_id){
?><h2><?php echo JText::_('Order Number')?><?php
?><img src="<?php echo JURI::root() ?>administrator/components/com_jsbill/bar_code.php?str=<?php echo $this->order_id;?>&scale=3&ite.png"></h2>
<?php } ?><?php
?></td><?php
?><td><?php
?><?php if(BILL_SHOW_BAR_INVOICE){
?><h2><?php echo JText::_('Invoice Number')?><?php
?><img src="<?php echo JURI::root() ?>administrator/components/com_jsbill/bar_code.php?str=<?php echo $this->invoice; ?>&scale=3&ite.png"></h2>
<?php } ?><?php
?></td></tr></table><?php
?>
<div><?php 
	$address_for_view = array();
	foreach ( $address[1] as $a ){
	    if( !$a ) continue;
	    $address_for_view[] = $a;
	}	
	echo implode(', ', $address_for_view )
?></div><?php
?><div><?php 
	$info = array();
	foreach ($address[2] as $name_add_vale => $val){
	    if( !$val ) continue;
	    $info[] = $name_add_vale . ': ' . $val ;
	}
	echo implode(' | ', $info);
?></div><?php
?><?php if($params->get('inv_logo') && $params->get('inv_logo') != '-1' ){ ?>
<br><br><img src="<?php echo JURI::root() ?>images/stories/<?php echo $params->get('inv_logo');?>" alt="<?php echo JText::_('Invoice Logo')?>" 
 /><br><?php } 
 ?><br><?php
?><hr><?php
?><table><?php
?><tr><?php
?><td width="250px"><?php echo JText::_('Order Number')?>: <?php echo $this->order_id; ?> </td><?php
?><td><?php echo JText::_('Issue Date')?>: <?php $ctime = new JDate($this->order->ctime); echo $ctime->toFormat(COMM_DATE_FORMAT); ?> </td><?php
?></tr><?php
?><tr><?php
?><td width="250px"><?php echo JText::_('Invoice Number')?>: <?php echo $this->invoice; ?> </td><?php
?><td><?php echo JText::_('Pay Date')?>: <?php  echo $ctime->toFormat(COMM_DATE_FORMAT); ?> </td><?php
?></tr><?php
?><tr><?php
?><td width="250px"><?php echo JText::_('Gateway')?>: <?php echo $this->order->gateway; ?> </td><?php
?><td><?php echo JText::_('Gateway ID')?>: <?php echo $this->order->gateway_id; ?> </td><?php
?></tr><?php
?></table><?php
?><hr><?php
?><?php if( $params->get( 'billto_name' )||
          $params->get( 'billto_address' ) ||
          $params->get( 'billto_city' ) ||
          $params->get( 'billto_state' ) ||
          $params->get( 'billto_zip' ) ||
          $params->get( 'billto_country' ) ||
          $params->get( 'billto_tel' ) ) {
?><b><?php echo JText::_('Bill To')?>:</b>
<?php if( $params->get( 'billto_name' ) ) { ?>
<b><?php echo $params->get('name')  ? $params->get('name') : JText::_('N/A') ;?></b>
<?php } ?>
<?php if( $params->get( 'billto_address' ) ||
          $params->get( 'billto_city' ) ||
          $params->get( 'billto_state' ) ||
          $params->get( 'billto_zip' ) ||
          $params->get( 'billto_country' ) ) {
?><br><b><?php echo JText::_('Address')?>:</b>
<?php
		$adr[] = $params->get('address');
		$adr[] = $params->get('state');
		$adr[] = $params->get('city');
		$adr[] = $params->get('zip');
		$adr[] = $params->get('country');

		foreach ( $adr as $key => $a ) {
		  if( !$a ) unset( $adr[$key] );
		}
		
		$adr = implode( ', ', $adr );
		echo $adr ? $adr : JText::_('N/A');
    }
	
	if( $params->get( 'billto_tel' ) ) {
?><br><b><?php echo JText::_('Telephone')?>:</b>
<?php echo $params->get('tel') ? $params->get('tel')  : JText::_('N/A');?>
<?php } ?>
<?php } ?><?php
?><br><br><?php
?><?php if( $params->get( 'shipto_name' )||
          $params->get( 'shipto_address' ) ||
          $params->get( 'shipto_city' ) ||
          $params->get( 'shipto_state' ) ||
          $params->get( 'shipto_zip' ) ||
          $params->get( 'shipto_country' ) ||
          $params->get( 'shipto_tel' ) ) { 
?><b><?php echo JText::_('Ship To')?>:</b>
<b><?php echo $params->get('sip_name', $params->get('name')) ? $params->get('ship_name', $params->get('name')) : JText::_('N/A') ;?></b>
<?php if( $params->get( 'shipto_address' ) ||
          $params->get( 'shipto_city' ) ||
          $params->get( 'shipto_state' ) ||
          $params->get( 'shipto_zip' ) ||
          $params->get( 'shipto_country' ) ) {
?>
<br><b><?php echo JText::_('Address')?>:</b>
<?php 
		$adr2[] = $params->get('ship_address',  $params->get( 'billto_city' ) ? $params->get('address') : "");
		$adr2[] = $params->get('ship_state',  $params->get( 'billto_city' ) ? $params->get('state') : "");
		$adr2[] = $params->get('ship_city', $params->get( 'billto_city' ) ? $params->get('city') : "");
		$adr2[] = $params->get('ship_zip',  $params->get( 'billto_city' ) ? $params->get('zip') : "");
		$adr2[] = $params->get('ship_country',  $params->get( 'billto_city' ) ? $params->get('country') : "");

		foreach ( $adr2 as $key => $a ) {
		  if( !$a ) unset( $adr2[$key] );
		}
		
		$adr2 = implode( ', ', $adr2 );
		echo $adr2 ? $adr2 : JText::_('N/A');
    }
	if( $params->get( 'shipto_tel' ) ) { ?>
	<br><b><?php echo JText::_('Telephone')?>:</b>
    <?php echo $params->get('ship_tel', $params->get('tel')) ? $params->get('ship_tel', $params->get('tel'))  : JText::_('N/A');?>
	<?php } ?>
<?php } ?>
<br><br><?php
?><table border="1" cellpadding="0" cellspacing="0"><?php
?><tr><?php
?><td width="15">#</td><?php
?><td><?php echo JText::_('Description')?></td><?php
?><td width="80"><?php echo JText::_('Unit Price')?></td><?php
?><td width="80"><?php echo JText::_('Quantity')?></td><?php
if ( $tax ) :
?><td width="80"><?php echo JText::_('Net Price')?></td><?php
?><td><?php echo JText::_('Tax')?></td><?php
?><td width="80"><?php echo JText::_('Total Tax')?></td><?php
endif;
?><td width="80"><?php echo JText::_('Total')?></td><?php
?></tr><?php
	$i = 1; 
	$k = 0; 
	$totalamount = 0; 
	$totaltax = 0;
	foreach ($this->list as $item) 
	{
		if(!$item->title) break;?><?php
?><tr><?php
?><td width="15px"><?php echo $i;?></td><?php
?><td><?php echo wordwrap($item->title, 25, '<br>', 1);$item->title;?></td><?php
?><td width="80"><?php	echo str_replace(array("00", "Sign"), array($item->price, $core->mark), COMM_LAYOUT_PRICE);
?><input type="hidden" name="amount" value="<?php echo $item->amount; ?>"></td><?php
?><td width="80"><?php echo $item->amount;?></td><?php
 $net[$i] = ($item->price * $item->amount);
      if( $tax ) {
?><td width="80"><?php echo str_replace(array("00", "Sign"), array($net[$i], $core->mark), COMM_LAYOUT_PRICE);?></td><?php
?><td><?php echo ( $item->tax_rate ) ? $item->tax_rate : "0";  ?>%</td><?php
?><td width="80"><?php echo $item->tax > 0 ? str_replace(array("00", "Sign"), array($item->tax, $core->mark), COMM_LAYOUT_PRICE) : '&nbsp;'; ?></td><?php
      $amount[$i] = $net[$i] + @$item->tax;
			 $totaltax += $item->tax;
      } else {
        $amount[$i] = $net[$i];
      }            				
      $totalamount += $amount[$i];
?><td width="80"><?php echo str_replace(array("00", "Sign"), array($amount[$i], $core->mark), COMM_LAYOUT_PRICE);?></td><?php
?></tr><?php if(isset($item->shipping )) { 
 		$i++; 
?><tr><?php
?><td width="15"><?php echo $i;?></td><?php
?><td><?php echo $item->shipping['title'];?></td><?php
?><td width="80"><?php  echo str_replace(array("00", "Sign"), array($item->shipping['sum'], $core->mark), COMM_LAYOUT_PRICE);?></td><?php
?><td width="80">1</td><?php 
	$net[$i] =  $item->shipping['sum'];
				if( $tax ) { ?><?php
?><td width="80"><?php echo str_replace(array("00", "Sign"), array($item->shipping['sum'], $core->mark), COMM_LAYOUT_PRICE);?></td><?php
?><td>&nbsp;</td><?php
?><td width="80">&nbsp;</td><?php
		        $amount[$i] = $item->shipping['sum'];
	     		 } 	            			
				$totalamount += $amount[$i];
?><td width="80"><?php echo str_replace(array("00", "Sign"), array($amount[$i], $core->mark), COMM_LAYOUT_PRICE);?></td><?php
?></tr><?php } ?><?php
 		$i++; 
	} ?><?php 
		if($item->discount > 0)	
		{
			$i++; ?><?php
?><tr><?php
?><td width="15"><?php echo $i;?></td><?php
?><td><?php echo JText::_('Discount').' '.$item->title;?></td><?php
?><td><?php  echo str_replace(array("00", "Sign"), array($item->discount, $core->mark), COMM_LAYOUT_PRICE);?></td><?php
?><td>1</td><?php
			$net[$i] =  -$item->discount;
			if( $tax ) 
			{ ?><?php
?><td><?php echo str_replace(array("00", "Sign"), array($item->discount, $core->mark), COMM_LAYOUT_PRICE);?></td><?php
?><td></td><?php
?><td></td><?php
				$amount[$i] = $item->discount;
			} 	            			
			$totalamount += -$amount[$i];
	?><?php
?><td>-<?php echo str_replace(array("00", "Sign"), array($amount[$i], $core->mark), COMM_LAYOUT_PRICE);?></td><?php
?></tr><?php
			$discount += $item->discount;
		}			
?><?php 
	// REFUND 
		if($item->refund > 0)	
		{
			$i++;
				?><?php
?><tr><?php
?><td width="15"><?php echo $i;?></td><?php
?><td><?php echo JText::_('Refund').' '.$item->title;?></td><?php
?><td><?php  echo str_replace(array("00", "Sign"), array($item->refund, $core->mark), COMM_LAYOUT_PRICE);?></td><?php
?><td>1</td><?php  
	$net[$i] = -$item->refund;
				if( $tax ) { ?><?php
?><td><?php echo str_replace(array("00", "Sign"), array($item->refund, $core->mark), COMM_LAYOUT_PRICE);?></td><?php
?><td></td><?php
?><td></td><?php
	$amount[$i] = $item->refund;
			 } 	            			
				?><?php
?><td align="right">-<?php echo str_replace(array("00", "Sign"), array($amount[$i], $core->mark), COMM_LAYOUT_PRICE);?></td><?php
?></tr><?php
			$refund += $item->refund;
			
		$i++; 
		}
	// SHIPPING
		if($this->shipping) { ?><?php
?><tr><?php
?><td width="15"><?php echo $i;?></td><?php
?><td><?php		$extra = explode("::", $this->shipping->extra);
			echo ucfirst(JText::_($extra[0])).' '.JText::_('per').' '.$extra[3].' Kg'; /*?><br><?php
?><span class="small"><?php echo $extra[1].' ( '.$extra[2].' )'; ?></span> <?php */ ?></td><?php
?><td width="80"><?php  echo str_replace(array("00", "Sign"), array($this->shipping->price, $core->mark), COMM_LAYOUT_PRICE);?></td><?php
?><td width="80">1</td><?php 
	$net[$i] =  $this->shipping->price; 
				if( $tax ) { ?><?php
?><td width="80"><?php echo str_replace(array("00", "Sign"), array($this->shipping->price, $core->mark), COMM_LAYOUT_PRICE);?></td><?php
?><td>&nbsp;</td><?php
?><td width="80">&nbsp;</td><?php
	$amount[$i] = $this->shipping->price;
	     		 } 	            			
				$totalamount += $amount[$i];
				?><?php
?><td width="80"><?php echo str_replace(array("00", "Sign"), array($amount[$i], $core->mark), COMM_LAYOUT_PRICE);?></td><?php
?></tr><?php 
		$i++; 
		} ?><?php 

// SHOP COMMISSION
		if($this->commission) 
		{
			$commis = -1 * (($totalamount * $this->commission->procent / 100) + $this->commission->transaction);
			$commis = round($commis, 2);
		?><?php
?><tr><td width="15"><?php echo $i;?></td><?php
?><td><?php echo JText::_('Shop commission'); ?></td><?php
?><td width="80"><?php  echo str_replace(array("00", "Sign"), array($commis, $core->mark), COMM_LAYOUT_PRICE);?></td><?php
?><td width="80">1</td><?php 
	if( $tax ) { ?><?php
?><td width="80"><?php echo str_replace(array("00", "Sign"), array($commis, $core->mark), COMM_LAYOUT_PRICE);?></td><?php
?><td>&nbsp;</td><?php
?><td width="80">&nbsp;</td><?php
		        $amount[$i] = $commis;
	     		 } 	
	     		 $totalamount += $commis;            		
				?><?php
?><td width="80"><?php echo str_replace(array("00", "Sign"), array($amount[$i], $core->mark), COMM_LAYOUT_PRICE);?></td><?php
?></tr><?php 
		} ?><?php
?></table><?php
?><table align="center" width="100%" cellpadding="0" cellspacing="0" border="0"><?php
?><tr><?php
?><td valign="top" align="left"><?php if ($params->get('client_comment')) {?>
<br><b><?php echo JText::_('Client comment'); ?>: </b><?php echo $params->get('client_comment'); ?>
<?php } ?>
</td><?php
?></tr><?php
?><tr><?php
?><td><?php
?><table cellpadding="0" cellspacing="0" border="0" align="right" width="100%">
<?php if ( $tax ):?><?php
?><tr><?php
?><td nowrap><?php echo JText::_('Net Price')?></td><?php
?><td nowrap align="right" width="80px"><b><?php echo str_replace(array('00','Sign'), array(array_sum($net), $core->mark), COMM_LAYOUT_PRICE);?></b></td><?php
?></tr><?php
?><tr><?php
?><td nowrap><?php echo JText::_( "Tax" ); ?></td><?php
?><td nowrap align="right" width="80px"><b><?php echo str_replace( array( '00', 'Sign' ), array(  round( $totaltax, 2 ), $core->mark ), COMM_LAYOUT_PRICE );?></b>
</td><?php
?></tr><?php endif;?><?php
?><tr><?php
?><td nowrap><b><big><?php echo JText::_('Total')?></big></b></td><?php
?><td nowrap align="right" width="80px"><b><?php echo str_replace(array("00", "Sign"), array(round($totalamount, 2), $core->mark), COMM_LAYOUT_PRICE );?><?php
?></b><?php
?></td><?php
?></tr><?php
?></table><?php
?></td><?php
?></tr><?php
?><tr><?php
?><td width="100px"><?php if($params->get('inv_add')){ ?>
<small class="small"><b><?php echo JText::_('Bill Description'); ?>:</b> <?php echo nl2br($params->get('inv_add'));?></small>
<?php } ?>
</td><?php
?><td align="right"><?php
if($params->get('tax_id')){ ?><span class="small"><?php echo JText::_('Tax ID').':';
if(BILL_SHOW_BAR_TAX) { ?>
<img src="<?php echo JURI::root() ?>administrator/components/com_jsbill/bar_code.php?str=<?php echo $params->get('tax_id')?>&scale=3&ite.png"></span>
<?php } else echo '<b>'.$params->get('tax_id').'</b>'; } ?><?php
?></td><?php
?></tr><?php
?></table>
