<?php
/**
 * $Id: purchase_productlist.php 7817 2012-02-16 05:39:36Z alfiya $
 * $LastChangedDate: 2012-02-16 11:39:36 +0600 (Thu, 16 Feb 2012) $
 * $LastChangedBy: alfiya $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );	
GLOBAL $ICONS, $Itemid;
$Itemid = (COMM_PURCHASEHIST_ITEMID != '') ? COMM_PURCHASEHIST_ITEMID : $Itemid;
?>
<?php 
	if(count($this->lists) == 0) { 
		JError::raiseNotice(500, JText::_("There are no any purchased products in this order"));
	}
	else {?>
<style>
 .jcStatus {
 	position: absolute;
 	background: #fff; 
 	width: 100px;
 	border: 1px solid #aaa; 
 	padding: 5px; 
 	text-align: left;}
 	 
 .pointer:hover{cursor: pointer;}
 
 .shipped { color: #999;} 
</style>
<script language="javascript">
      if(  parent != window ) {
        document.body.style.backgroundColor = "White";
      }
    </script>

<div style="margin: 10px;">
<div class="componentheading"><?php echo $this->title;?></div>

<?php if($this->orders->pay == 'offline' && !$this->orders->deducted) 
	{
		echo '<p>'.JText::_('To send Seller alert of money transfer is made please click the following link');
		$link = 'index.php?option=com_commerce&view=orders&layout=alert&order_id='.$this->orders->id.'&section_id='.COMM_SECTION_ID.'&Itemid='.$Itemid;
		echo ' <b>' .JHTML::link(JRoute::_($link, false), JText::_('here'), 'target="_blank"').'</b>';
		echo '</p>';
	}
	?>
<p><?php 
	echo '<b>'.JText::_('Invoice details').'</b>';
	$link = 'index.php?option=com_commerce&view=orders&layout=invoice&client=0&order_id='.$this->orders->id.'&section_id='.COMM_SECTION_ID.'&tmpl=component&Itemid='.$Itemid;
	$img = '<img src="'.JURI::root().'components/com_commerce/'.$ICONS.'/sidebar/print.png" border="0" align="absmiddle">';
	echo  ' '.JHTML::link(JRoute::_($link, false), $img, 'target="_blank"');
	$link = 'index.php?option=com_commerce&view=orders&layout=invoice&client=0&order_id='.$this->orders->id.'&section_id='.COMM_SECTION_ID.'&tmpl=component&format=pdf';
	$img = '<img src="'.JURI::root().'components/com_commerce/'.$ICONS.'/sidebar/pdf.png" border="0" align="absmiddle">';
	echo ' '.JHTML::link(JRoute::_($link, false), $img, 'target="_blank"');	
	 ?>
</p>
</div>
<TABLE border="0" cellpadding="5" cellspacing="0" width="98%" align="center">
	<thead>
		<TR class="sectiontableheader">
			<td class="sectiontableheader" width="1px"><?php echo JText::_( 'Num' ); ?></td>
			<td class="sectiontableheader"><?php echo JText::_("Item"); ?></td>
			<td class="sectiontableheader" align="center" width="1%"><?php echo JText::_("Original price"); ?></td>		
			<td class="sectiontableheader" align="center" width="1%"><?php echo JText::_("Affect"); ?></td>
			<td class="sectiontableheader" align="center" width="1%"><?php echo JText::_("Amount"); ?></td>
			<td class="sectiontableheader" align="center" width="1%"><?php echo JText::_("Tax"); ?></td>
			<td class="sectiontableheader" align="center" width="1%"><?php echo JText::_("Discount"); ?></td>
			<td class="sectiontableheader" align="center" width="1%"><?php echo JText::_("Refund"); ?></td>
			<td class="sectiontableheader" align="center" width="1%"><?php echo JText::_("Total"); ?></td>
			<td class="sectiontableheader" align="center" width="1px" colspan="2"><?php echo JText::_("Status"); ?></td>
		</TR>
	</thead>
	<?php $idp = 1; 
	$sum = 0; 
	$ship_stat = 0;
	foreach($this->lists as $seller_id => $items) 
	{
		$seller = JFactory::getUser($seller_id); ?>
		<tr class="sectiontableentry2" valign="top">
			<td colspan="10"><?php echo '<b>'.JText::_('Vendor').':</b> '.$seller->name;?></td>
		</tr>
		<?php 
		foreach($items as $p => $item)
		{
			$item->total -= $item->refund; 
			$sum += $item->total;		
			if($item->status_id == $this->final) 
				$ship_stat ++;	
			?>
		<tr class="sectiontableentry<?php echo $p%2+1; ?>" valign="top">
			<td width="1px"><?php echo $idp ; ?></td>
			<td><a href="<?php echo $item->product_link; ?>" target="_blank"><?php echo $item->title; ?></a>
			<?php  
			if(isset($item->property)) { 
				echo '<br><span class="small">'.JText::_("Properties").": "
				.$item->property."</span>";			
				; } ?>
			<?php if(isset($item->types) && $item->types != ''){ echo '<ul><span class="small">'.$item->types.'</span></ul>'; }?>
			</td>
			
			<td align="right" nowrap><?php echo str_replace(array("00", 'Sign'), array(($item->price - $item->affect_sum), $this->core->mark), COMM_LAYOUT_PRICE); ?></td>
			
			<td align="right" nowrap><?php echo str_replace(array("00", 'Sign'), array($item->affect_sum, $this->core->mark), COMM_LAYOUT_PRICE); ?></td>
			
			<td align="right" nowrap><?php echo $item->amount; ?></td>
			
			<td align="right" nowrap><?php echo str_replace(array("00", 'Sign'), array($item->tax, $this->core->mark), COMM_LAYOUT_PRICE); ?></td>
			
			<td align="right" nowrap><?php echo str_replace(array("00", 'Sign'), array($item->discount, $this->core->mark), COMM_LAYOUT_PRICE); ?></td>
			
			
			<td align="right" nowrap><?php if($item->refund > 0 )echo str_replace(array("00", 'Sign'), array($item->refund, $this->core->mark), COMM_LAYOUT_PRICE); ?></td>
			
			<td align="right" nowrap><?php echo str_replace(array("00", 'Sign'), array($item->total, $this->core->mark), COMM_LAYOUT_PRICE); ?></td>
			
			<td width="1%" nowrap>
				<img src="<?php echo JURI::root(); ?>components/com_commerce/<?php echo $ICONS.'/statuses/'.strtolower(str_replace(" ", "_", $item->status)); ?>.png" align="absmiddle"  title="<?php echo $item->descr; ?>">
				<?php echo JText::_($item->status); ?>			
			</td>
		</tr>
		<?php
		$idp++ ; 	
		} 
	?>
	<?php if (isset($this->shipping[$seller_id])) {
		$sum += $this->shipping[$seller_id]->sum;
		?>
		<tr class="sectiontableentry1" valign="top">
			<td colspan="8" align="right">
				<?php echo $this->shipping[$seller_id]->info; ?>:</td>
			<td align="right" nowrap><b><?php echo str_replace(array("00", 'Sign'),array($this->shipping[$seller_id]->sum, $this->core->mark), COMM_LAYOUT_PRICE);?></b></td>
			<td colspan="2" nowrap>
				<?php if($ship_stat == count($items)){ ?>
				<img src="<?php echo JURI::root(); ?>components/com_commerce/<?php echo $ICONS; ?>/statuses/shipped.png" align="absmiddle">
				<?php echo JText::_('Shipped'); } ?>
			</td>
		</tr>
	<?php 	} ?>
	<?php } ?>
	<tr class="sectiontableentry1">
		<td colspan="8" align="right"><?php echo JText::_("Total sum"); ?>:</td>
		<td align="right" nowrap><b><?php echo str_replace(array("00", 'Sign'),array($sum, $this->core->mark), COMM_LAYOUT_PRICE); ?></b></td>
		<td colspan="2">&nbsp;</td>
	</tr>
</table>
<br>
<?php if($this->history != '') echo $this->history; ?>
<?php 
	}
if(!JRequest::getString('tmpl') ){ 
	$link = 'index.php?option=com_commerce&view=orders&layout=purchase&section_id='.COMM_SECTION_ID.'&Itemid='.$Itemid;
	echo JHTML::link(JRoute::_($link, false), JText::_('Purchases history'));
}
?>