<?php
/**
 * $Id: view.html.php 7817 2012-02-16 05:39:36Z alfiya $
 * $LastChangedDate: 2012-02-16 11:39:36 +0600 (Thu, 16 Feb 2012) $
 * $LastChangedBy: alfiya $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view');

class CommerceViewShippingItem extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $TB, $Itemid;

		$db       =& JFactory::getDBO();
		$user     =& JFactory::getUser();
		$layout = $this->getLayout();
		$option   = JRequest::getWord('option', 'com_commerce');
		$uri = JFactory::getURI();
		$model  = & $this->getModel('Shippingitem');
		$frwrd_id = JRequest::getVar('frwrd_id');
		$pathway    = & $mainframe->getPathway();
		$pathway->addItem( 'Shipping scheme manager', $uri->toString() );

		if($layout == 'form')
		{
			$this->_form();
			return;
		}
		// create toolbar
		$TB->cpanel('cpanel', JText::_('CPanel'));
		//$TB->addnew('Shippingitem', $frwrd_id);
		//$TB->edit('Shippingitem');
		$TB->publish('jc_ship_forwarder_shema', 1);
		$TB->publish('jc_ship_forwarder_shema', 0);
		if($user->is_super_admin || COMM_SHIP_ADD)
		{
			$TB->_addNew('add_shippingitem', JText::_('New'));
			$TB->editList('edit_shippingitem', JText::_('Edit'));
			$TB->delete('jc_ship_forwarder_shema', 1);
		}
		if($user->is_super_admin)
		$TB->custom( 'set_shippingitem', 'core', Null, 'Set Core',  false, false );

		$TB->help('shippingitem', 'com_commerce');

		$context  = "$option.view_shippingitem";
		$filter_order     = $mainframe->getUserStateFromRequest( "$context.filter_order", 	'filter_order', 	'a.name' );
		$filter_order_Dir	= $mainframe->getUserStateFromRequest( "$context.filter_order_Dir",	'filter_order_Dir',	'ASC' );

		$limit      = $mainframe->getUserStateFromRequest("$context.limit", 'limit', $mainframe->getCfg('list_limit'), 0);
		$limitstart	= JRequest::getVar('limitstart', 0, '', 'int');
		$lists['order'] = $filter_order;
		$lists['order_Dir'] = $filter_order_Dir;
		if($filter_order) {$orderby 	= "\n ORDER BY $filter_order $filter_order_Dir";}

		if(COMM_MULTI_SELLER)
		{
			$sql = "SELECT a.*, a.user_id as editor,
				(SELECT IF(v.mark != '', v.mark, v.code) 
				FROM #__jc_users_currencies AS d 
				INNER JOIN #__jc_currency AS v ON d.currency_id = v.id 
				WHERE d.currency_id = a.currency_id AND d.section_id = '".COMM_SECTION_ID."') AS mark, 
				
				(SELECT d.format
				FROM #__jc_users_currencies AS d 
				WHERE d.currency_id = a.currency_id AND d.section_id = '".COMM_SECTION_ID."') AS format	"
				
				." FROM #__jc_ship_forwarder_shema AS a"
				." LEFT JOIN #__jc_currency AS c ON c.id = a.currency_id
				WHERE a.frwrd_id = '{$frwrd_id}'
				AND (a.user_id = '{$user->id}' OR `is_core` = 1)
				AND a.section_id = '".COMM_SECTION_ID."'";
				//				AND d.seller_id= '{$user->id}'";
		}
		else
		{
			$sql = "SELECT a.*, a.user_id as editor,
				(SELECT IF(v.mark != '', v.mark, v.code) 
				FROM #__jc_users_currencies AS d 
				INNER JOIN #__jc_currency AS v ON d.currency_id = v.id 
				WHERE v.id = a.currency_id AND d.section_id = '".COMM_SECTION_ID."') AS mark, 
				
				(SELECT d.format
				FROM #__jc_users_currencies AS d 
				WHERE d.currency_id = a.currency_id AND d.section_id = '".COMM_SECTION_ID."') AS format	"
				
				." FROM #__jc_ship_forwarder_shema AS a"
				." LEFT JOIN #__jc_currency AS c ON c.id = a.currency_id
				WHERE a.section_id = '".COMM_SECTION_ID."' AND a.frwrd_id = {$frwrd_id}";
				if($user->gid != 25)
				{
					$sql .= " AND published = 1 ";
				}
		}

		$sql .= $orderby;
		$db->setQuery($sql);
		//echo $db->_sql;
		$rows = $db->loadObjectList();
		$core_currency = getCore();
		$location = array();
		

		for ($i = 0; $i<count($rows); $i++)
		{
			if($rows[$i]->mark == '') {
				$rows[$i]->mark = $core_currency->mark;
			}
			$rows[$i]->price = str_replace("00", $rows[$i]->price, ($rows[$i]->format !='' ? $rows[$i]->format : COMM_LAYOUT_PRICE));
			$rows[$i]->price = str_replace("Sign", $rows[$i]->mark, $rows[$i]->price);
			if(COMM_MULTI_SELLER  && $rows[$i]->user_id != $user->id)
			{
				$query = "SELECT published FROM `#__jc_users_shipping` WHERE `user_id` = {$user->id}
				AND ship_id = '{$rows[$i]->id}' AND ship_type = 'shippingitem' AND section_id = '".COMM_SECTION_ID."'";
				$db->setQuery($query);
				$result = $db->loadObject();
				if($result) $rows[$i]->published = $result->published;
				else $rows[$i]->published = 0;
			}
			
			$rows[$i]->fromlocation = $rows[$i]->fromlocation ? (strstr($rows[$i]->fromlocation, '{') ? unserialize($rows[$i]->fromlocation) : array($rows[$i]->fromlocation)) : array();
			foreach($rows[$i]->fromlocation as $k => $val)
			{
				//$val = explode('::', $val);
				$val = str_replace('::', ',', $val);
				$location[$i]['from'][] = $val;
			}
			
			if($rows[$i]->tolocation)
			{
				if(strstr($rows[$i]->tolocation, '{') )
				$rows[$i]->tolocation = unserialize($rows[$i]->tolocation);
				else
				{
					$vals = explode('|', $rows[$i]->tolocation);
					foreach ($vals as $k=>$val)
					{
						$vals[$k] = $val;//."::::";
					}
					$rows[$i]->tolocation = $vals;
				}
			}
			else
			$rows[$i]->tolocation = array();
			
			foreach($rows[$i]->tolocation as $k => $val)
			{
				$val = str_replace('::', ',', $val);
				$location[$i]['to'][] = $val;
			}
		
		}

		$total = count($rows);

		jimport('joomla.html.pagination');
		$pageNav = new JPagination( $total, $limitstart, $limit );

		$title = JText::_('Shipping schemes for')." ".$model->getShippingName($frwrd_id);
		$this->assignRef('Itemid',	$Itemid);
		$this->assignRef('title', $title);
		$this->assignRef('pageNav',	$pageNav);
		$this->assignRef('rows',	$rows);
		$this->assignRef('bar', $TB);
		$this->assignRef('lists',	$lists);
		$this->assignRef('user',	$user);
		$this->assignRef('location',	$location);
		$this->assign('uri',	$uri->toString());

		parent::display();
	}

	function _form()
	{
		global $mainframe, $TB, $Itemid;
		$db     = &JFactory::getDBO();
		$user   =& JFactory::getUser();
		$frwrd_id = JRequest::getInt("frwrd_id");

		if(!$user->is_super_admin && !COMM_SHIP_ADD)
		{
			$mainframe->redirect('index.php?option=com_commerce&view=shippingitem&frwrd_id='.$frwrd_id.'&section_id='.COMM_SECTION_ID.'&Itemid='.(COMM_SHIP_ITEMID ? COMM_SHIP_ITEMID : $Itemid), JText::_('You are not allowed to add shipping methods'), 'Error');
		}

		$option = JRequest::getVar('option');
		$model  = & $this->getModel('Shippingitem');
		$uri = JFactory::getURI();
		$idar = JRequest::getVar("cid");
		$id = $idar[0];
		$pathway    = & $mainframe->getPathway();

		$title = (JRequest::getVar('task') == 'add_shippingitem') ? JText::_("Add new shipping item") : JText::_("Edit shipping item");

		$pathway->addItem( $title, '' );

		$TB->save('save_shippingitem', JText::_('Save'));
		$TB->apply('apply_shippingitem', JText::_("Apply"));
		$TB->_cancel('cancel', JText::_('Cancel'));



		$row = &JTable::getInstance('ShippingItem', 'Commerce');
		if(JRequest::getVar("task") == 'edit_shippingitem') {
			$row->load( $id );
			if($row->checked_out && $row->checked_out != $user->id)
			{
				$link = "index.php?option=com_commerce&view=shippingitem&frwrd_id=".$frwrd_id."&section_id=".COMM_SECTION_ID."&Itemid=".(COMM_SHIP_ITEMID ? COMM_SHIP_ITEMID : $Itemid );
				$msg = JText::sprintf( 'DESCBEINGEDITTED', JText::_( 'Shipping scheme' ), $row->name);
				$mainframe->redirect(JRoute::_($link), $msg );
			}
			$row->checkout($user->id, $id);

		}
		$lists = array();
		$lists['published']  = JHTML::_('select.booleanlist', 'published', 'class="inputbox"', $row->published );
		$lists['iscore'] = JHTML::_('select.booleanlist', 'is_core', 'class="inputbox"', $row->is_core );
		$sql = "SELECT * FROM #__jc_countries ORDER BY `name`";
		$db->setQuery($sql);
		$countries = $db->loadObjectList();
		
		//$row->fromlocation = $row->fromlocation ? unserialize($row->fromlocation) : array();
		$row->fromlocation = $row->fromlocation ? (strstr($row->fromlocation, '{') ? unserialize($row->fromlocation) : array($row->fromlocation."::::")) : array();
		//$row->tolocation = $row->tolocation ? unserialize($row->tolocation) : array();
		
		if($row->tolocation)
		{
			if(strstr($row->tolocation, '{') )
			$row->tolocation = unserialize($row->tolocation);
			else
			{
				$vals = explode('|', $row->tolocation);
				foreach ($vals as $k=>$val)
				{
					$vals[$k] = $val."::::";
				}
				$row->tolocation = $vals;
			}
		}
		else
		$row->tolocation = array();
		
		$sql = "SELECT a.*, c.name FROM #__jc_users_currencies as a";
		$sql.= " LEFT JOIN #__jc_currency as c ON a.currency_id = c.id";
		$sql.= " WHERE ".(COMM_MULTI_SELLER ? "a.seller_id = {$user->id} AND": "")." a.published = 1 AND a.trash = 0 AND a.section_id = ".COMM_SECTION_ID;
		$db->setQuery($sql);

		$currencies = $db->loadObjectList();

		$curOptions = array();
		$core_currency = getCore();
		$curOptions[] = JHTML::_('select.option', COMM_CORE_CURRENCY, $core_currency->name);
		foreach ($currencies as $cur) {
			$curOptions[] = JHTML::_('select.option', $cur->currency_id, JText::_($cur->name));
		}
		$lists['currency'] = JHTML::_('select.genericlist', $curOptions, 'currency_id', 'class="inputbox"', 'value', 'text', $row->currency_id, 'currency_id');

		
		$location->from = '';
		foreach($row->fromlocation as $k => $val)
		{
			$val = explode('::', $val);
			/*$data['country'] = $model->getLocationId('country', $val[0]);
			$data['city'] = $model->getLocationId('city', $val[1], $data['country']);
			$data['district'] = $model->getLocationId('district', $val[2], $data['city']);*/
			$location->from .= $this->generateCountries($countries, $val, 'from', $k);
		}
	
		$location->to = '';
		foreach($row->tolocation as $k => $val)
		{
			$val = explode('::', $val);
			/* $data['country'] = $model->getLocationId('country', $val[0]);
			$data['city'] = $model->getLocationId('city', $val[1], $data['country']);
			$data['district'] = $model->getLocationId('district', $val[2], $data['city']);*/
			$location->to .= $this->generateCountries($countries, $val, 'to', $k);
		}

		if ($user->jcParams->get('lay_weight')=='lb')
		{
			$row->weightfrom /= 0.45359237;
			$row->weightto /= 0.45359237;
		}
		$count->from = count($row->fromlocation);
		$count->to = count($row->tolocation);

		$this->assignRef('row',	$row);
		$this->assignRef('lists',	$lists);
		$this->assignRef('countries',	$countries);
		$this->assignRef('user',	$user);
		$this->assignRef('bar',	$TB);
		$this->assign('title',	$title);
		$this->assign('uri',	$uri->toString());
		$this->assign('option',	$option);
		$this->assignRef('count',	$count);
		$this->assignRef('location',	$location);

		parent::display();
	}

	function generateCountries($countries, $data, $location, $id)
	{
		/*$out = '<div id="loc'.$location.$id.'">';
		$out .= '<table class="location"><tr><td>'.JText::_('Country')."[$id]</td>";
		$opt[] = JHTML::_('select.option', '0', JText::_('Select country'));
		foreach ($countries as $val)
		{
			$opt[] = JHTML::_('select.option', $val->id, addslashes($val->name));
		}
		$out .= '<td>'.JHTML::_('select.genericlist', $opt, 'country'.$location.'['.$id.']', 'class="inputbox"
			onchange="xajax_jcSelectShipLocation(\''.$location.'\',\'city\', this.value, \''.$id.'\')"', 'value', 'text', $data['country'], 'country'.$location.$id).'</td>';
		$out .= '<td width="1%"><img src="'.JURI::root().'components/com_commerce/images/remove.png"
		onclick="xajax_jcRemoveAddress(\''.$location.'\', \''.$id.'\')" title="'.JText::_('Remove').'" alt="'.JText::_('Remove').'"></td>';
		$out .= '</tr>
			<tr id="tdcity'.$location.$id.'"><td colspan="3">';
		$out .= '</td></tr>';
		$out .= '<tr id="tddistrict'.$location.$id.'"><td colspan="3"></td></tr>
			</table>	
		<script type="text/javascript">
		xajax_jcSelectShipLocation(\''.$location.'\',\'city\', \''.$data['country'].'\', \''.$id.'\', \''.$data['city'].'\');
		setTimeout("xajax_jcSelectShipLocation(\''.$location.'\',\'district\', \''.$data['city'].'\', \''.$id.'\', \''.$data['district'].'\');", 1000);
		</script>	
		<br>
		</div>		
		';*/
		$model  = & $this->getModel('Shippingitem');
		
		$cnt_id = $model->getLocationId('country',$data[0]);
		$c_id = isset($data[1]) ? $model->getLocationId('city',$data[1], $cnt_id) : '';
		$d_id = isset($data[2]) ? $model->getLocationId('district',$data[2], $c_id) : '';
		$out = '<div id="loc'.$location.$id.'">';
		$out .= '<table><tr><td width="100px">'.JText::_('Location '.$location)."[$id]</td>";
				$out .= '<td>'.$data[0].((isset($data[1]) && $data[1] != '') ? ', '.$data[1].((isset($data[2]) && $data[2] != '') ? ', '.$data[2] : '') : '').'</td>';
		$out .= '<td width="1%"><img src="'.JURI::root().'components/com_commerce/images/remove.png"
		onclick="xajax_jcRemoveAddress(\''.$location.'\', \''.$id.'\')" title="'.JText::_('Remove').'" alt="'.JText::_('Remove').'"></td>';
		$out .= '</tr></table>
		<input type="hidden" name="'.$location.'country['.$id.']" value="'.$cnt_id.'">
		<input type="hidden" name="'.$location.'city['.$id.']" value="'.$c_id.'">
		<input type="hidden" name="'.$location.'district['.$id.']" value="'.$d_id.'">
		</div><br>		
		';
		
		return $out;
	}

	function getCountriesOption($countries, $default)
	{
		$out = '<option value="0">'.JText::_("Select Country").'</option>';
		foreach ($countries as $country)
		{
			$selected = ($default==$country->id) ? 'selected' : '';
			$out .= '<option value="'.$country->id.'" '.$selected.'>'.addslashes($country->name).'</option>';
		}
		return $out;
	}
}


?>