<?php
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view');

class CommerceViewTax extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $TB, $Itemid;
		$db   =& JFactory::getDBO();
		$user =& JFactory::getUser();
		$layout = $this->getLayout();
		$uri = JFactory::getURI();
		$option = JRequest::getWord('option', 'com_commerce');
		$model_order  = JModel::getInstance('Orders', 'CommerceModel');
		$title = JText::_('Taxes manager');

		$pathway    = & $mainframe->getPathway();
		$pathway->addItem( $title, '' );
		
		if($layout == 'form')
		{
			$this->_form();
			return;
		}

		// create toolbar
		$TB->cpanel('cpanel', JText::_('CPanel'));
		$TB->publish('jc_taxes', 1);
		$TB->publish('jc_taxes', 0);
		//$TB->addnew('Tax');
		//$TB->edit('Tax');
		$TB->_addNew('add_tax', JText::_('New'));
		$TB->editList('edit_tax', JText::_('Edit'));
		$TB->delete('jc_taxes', 1);
		//$TB->close('admin', 'Close');
		$TB->help('tax', 'com_commerce');


		$context          = "$option.view_tax";
		$filter_order     = $mainframe->getUserStateFromRequest( "$context.filter_order", 	'filter_order', 	't.name' );
		$filter_order_Dir	= $mainframe->getUserStateFromRequest( "$context.filter_order_Dir",	'filter_order_Dir',	'ASC' );
		$filter_section     = $mainframe->getUserStateFromRequest( "$context.filter_section", 	'filter_section',  COMM_SECTION_ID );
		$limit      = $mainframe->getUserStateFromRequest("$context.limit", 'limit', $mainframe->getCfg('list_limit'), 0);
		$limitstart	= JRequest::getVar('limitstart', 0, '', 'int');

		if($filter_order) $orderby 	= "\n ORDER BY $filter_order $filter_order_Dir";

		// get the total number of records
		if(COMM_MULTI_SELLER)
		{
			$query = "SELECT COUNT(*)"
			. "\n FROM #__jc_taxes "
			. "WHERE section_id = '".COMM_SECTION_ID."' "
			. ($user->get('usertype') == 'Super Administrator' ? NULL : " AND seller_id = '".$user->get('id')."'")
			;
		}
		else
		{
			$query = "SELECT COUNT(*)"
			. "\n FROM #__jc_taxes WHERE section_id = '".COMM_SECTION_ID."'";
		}
		$db->setQuery( $query );
		//echo $db->_sql;
		$total = $db->loadResult();

		jimport('joomla.html.pagination');
		$pageNav = new JPagination( $total, $limitstart, $limit );

		if(COMM_MULTI_SELLER)
		{
			$query = "
           	SELECT t.*, u.name AS uname, u.name as editor,  u.id as uid
            FROM #__jc_taxes AS t
       		LEFT JOIN #__users AS u ON u.id = t.seller_id
            WHERE t.section_id = '".COMM_SECTION_ID."' "
            . ($user->get('usertype') == 'Super Administrator' ?
            NULL : " AND t.seller_id = '".$user->get('id')."' " )
            . $orderby ;
		}
		else
		{
			$query = "
           	SELECT t.*, u.name AS uname, u.name as editor, u.id as uid
            FROM #__jc_taxes AS t
       		LEFT JOIN #__users AS u ON u.id = t.seller_id
       		WHERE t.section_id = '".COMM_SECTION_ID."'"
       		. $orderby ;
		}
		$db->setQuery( $query, $pageNav->limitstart, $pageNav->limit );

		$rows = $db->loadObjectList();

		$lists['order_Dir'] = $filter_order_Dir;
		$lists['order'] = $filter_order;
		$filter['section'] = $model_order->getCommercialSections(COMM_SECTION_ID);

		$this->assignRef('bar',	$TB);
		$this->assignRef('pageNav',	$pageNav);
		$this->assignRef('Itemid',	$Itemid);
		$this->assignRef('lists',	$lists);
		$this->assign('uri',	$uri->toString());
		$this->assignRef('rows',	$rows);
		$this->assignRef('title',	$title);
		$this->assignRef('filter',	$filter);

		parent::display($tpl);
	}

	function _form()
	{
		global $mainframe, $TB, $Itemid;
		$db     =& JFactory::getDBO();
		$user   =& JFactory::getUser();
		$option = JRequest::getVar('option', 'com_commerce');
		$uri = JFactory::getURI();
		$idar = JRequest::getVar("cid");
		$id = $idar[0];
		$pathway    = & $mainframe->getPathway();
		$row =& JTable::getInstance('tax', 'commerce');

		if(JRequest::getVar("task") == 'edit_tax') {
			$row->load( $id );
			if($row->checked_out && $row->checked_out != $user->id)
			{
				$link = "index.php?option=com_commerce&view=tax&section_id=".COMM_SECTION_ID."&Itemid=".((COMM_TAX_ITEMID!="") ? COMM_TAX_ITEMID : JRequest::getInt('Itemid'));
				$msg = JText::sprintf( 'DESCBEINGEDITTED', JText::_( 'Tax' ), $row->name);
				$mainframe->redirect(JRoute::_($link), $msg );
			}
			$row->checkout($user->id, $id);
		}

		$text = ( $id ? JText::_( 'Edit' ) : JText::_( 'New' ) );
		$title = (Jrequest::getVar('task') == 'add_tax') ? JText::_("Add new tax") : JText::_("Edit tax");
		$pathway->addItem( $title, '' );
			
		$TB->save('save_tax', JText::_('Save'));
		$TB->apply('apply_tax', JText::_("Apply"));
		$TB->_cancel('cancel', JText::_('Cancel'));

		$lists = array();

		$lists['published'] = JHTML::_('select.booleanlist', 'published', 'class="inputbox"', $row->published );
		
		$sql = "SELECT * FROM #__jc_countries ORDER BY `name`";
		$db->setQuery($sql);
		$countries = $db->loadObjectList();
		$opt = array();
		foreach ($countries as $country)
		{
			$opt[] = JHTML::_('select.option', addslashes($country->name), JText::_($country->name));
		}
		$countries = explode('|', $row->country);
		$lists['country'] = JHTML::_('select.genericlist', $opt, 'country[]', 'class="inputbox" multiple size="10"', 'value', 'text', $countries);
		
			
		$this->assignRef('row',	$row);
		$this->assignRef('lists',	$lists);
		$this->assignRef('user',	$user);
		$this->assignRef('bar',	$TB);
		$this->assign('title',	$title);
		$this->assign('uri',	$uri->toString());
		$this->assign('option',	$option);

		parent::display();
	}

}
?>
