<?php
/**
 * $Id: request.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport('joomla.application.component.controller');
class CommerceControllerRequest extends JController
{

	function __construct()
	{
		parent::__construct();
		$this->registerTask( 'confirm', 'confirm' );
	}

	function display()
	{
		JRequest::setVar( 'view', 'request' );
		parent::display();
	}

	function confirm()
	{
		global $mainframe, $CP_admin;
		$db     =& JFactory::getDBO();
		$model  = & $this->getModel('request');
		$cid = JRequest::getVar('cid');
		$section_id = JRequest::getInt('section_id') ? JRequest::getInt('section_id') : COMM_GLOBAL_SECTION;

		if(count($cid) > 0)
		{
			//$confirm = unserialize(COMM_CONFIRM_FIELD);
			switch (JRequest::getVar('usertype'))
			{
				case 'silver':
					if($CP_admin->get('comm_enable_silver'))
					{
						$confirm = $CP_admin->get('comm_confirm_silver');
					}
					break;
				case 'gold':
					if($CP_admin->get('comm_enable_gold'))
					{
						$confirm = $CP_admin->get('comm_confirm_gold');
					}
					break;
				default:
					$confirm = $CP_admin->get('comm_confirm_field');
					break;

			}

			if($confirm[0] != '-1' && $confirm[2] != '')
			{
				switch($request[1])
				{
					case '<': $value = $confirm[2] - 1;
					break;
					case '>':  $value = $confirm[2] + 1;
					break;
					default: $value = $confirm[2];
				}
				$sql = "UPDATE #__juser_extended_data SET fvalue = '$value' WHERE field_id = '{$confirm[0]}' AND user_id IN (".implode(", ", $cid).")";
				$db->setQuery($sql);
				$db->query();
				$config = JFactory::getConfig();
				jimport('joomla.mail.mail');
				jimport('joomla.mail.helper');
				$subject = JText::_("SELLER_CONFIRMATION_SUBJECT");
				$subject = str_replace('[SITE_NAME]', $config->getValue('config.sitename'), $subject);
				$sender[0] = $config->getValue('config.mailfrom');
				$sender[1] = $config->getValue('config.fromname');

				$mail = JFactory::getMailer();
				$body = JText::_('SELLER_CONFIRMATION_ALERT');
				$body = str_replace('[SITE_NAME]', $config->getValue('config.sitename'), $body);
				$body = str_replace('[SITE_URL]', JURI::root(), $body);

				$mail->setSender($sender);
				$sql = "SELECT email FROM #__users WHERE id IN (".implode(", ", $cid).")";
				$db->setQuery($sql);
				$emails = $db->loadResultArray();
				$mail->addRecipient($emails);

				if ( JString::strlen($body) != JString::strlen(strip_tags($body)))
				$mail->IsHTML(true);
				$mail->setBody(JMailHelper::cleanBody($body));
				$mail->setSubject(JMailHelper::cleanSubject($subject));
				$mail->Send();

			}
		}
		$link = 'index.php?option=com_commerce&controller=request&section_id='.$section_id;
		$mainframe->redirect($link, JText::_('Users were confirmed to be a seller') );
	}


}
?>