<?php
/**
 * $Id: billgateways.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('JPATH_BASE') or die();

class JElementBillgateways extends JElement
{
	/**
	 * Element name
	 *
	 * @access	protected
	 * @var		string
	 */
	var	$_name = 'billgateways';

	function fetchElement($name, $value, &$node, $control_name)
	{
		$db	= & JFactory::getDBO();

		$sql = "SELECT name, element FROM #__plugins
		WHERE folder='bill_gateways' AND published = 1
		ORDER BY ordering ";
		$db->setQuery($sql);
		if($plugins = $db->loadObjectList())
		{
			if(!is_array($value))$value = explode(";", $value);
			$options = array();
			/*if ($default!='')
			 {
			 $options[] = JHTML::_('select.option', 'default', $default);
			 }*/
			//$options[] = JHTML::_('select.option', '0', '-'.JText::_('Select gateways').'-');
			foreach ($plugins as $plugin)
			{
				$options[] = JHTML::_('select.option', $plugin->element, $plugin->name);

			}
			$multiselect = 'size="'.((count($plugins) < 7 ) ? count($plugins) : 7).'" multiple';

			$html	= JHTML::_('select.genericlist',  $options,
            "{$control_name}[{$name}][]", $multiselect, 'value', 'text', $value);

			return $html;
		}
		else
		return JText::_("There are no any published or installed Bill gateways plugins");
	}
}