<?php
/**
 * $Id: jctemplates.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('JPATH_BASE') or die();

class JElementJcTemplates extends JElement
{
  /**
	* Element name
	*
	* @access	protected
	* @var		string
	*/
  var	$_name = 'jctemplates';

  function fetchElement($name, $value, &$node, $control_name)
  {
    $db = &JFactory::getDBO();
    $path	= $node->attributes('folder');

    jimport('joomla.filesystem.folder');
    $folders = JFolder::folders(JPATH_ROOT.$path, '', false, true);
    $templates = array();
    foreach ($folders as $folder)
    {
      if ($folder =='.' or $folder=='..' || basename($folder)=='system') continue;

      $templates[basename($folder)] = $this->parseXMLTemplateFile(JPATH_ROOT.DS.$path, basename($folder));
      $thumbnail = str_replace(JPATH_ROOT.DS, JURI::root(),$folder).'/template_thumbnail.png';
      $thumbnail = str_replace("\\", '/', $thumbnail);
      $templates[basename($folder)]->thumb = $thumbnail;
    }

    $options = array();
    $text = '';
    foreach ($templates as $tmpl)
    {
      if($value == $tmpl->name) {$chk = " checked='checked' ";} else {$chk = "";}

      $text.= "<div style='float:left; overflow:hidden;margin:2px;text-align:center;width:100px; '><img src='{$tmpl->thumb}' width='70' height='50'><br /><label for='{$tmpl->name}'>{$tmpl->name}<br />"
      ."<input type='radio' {$chk} name='params[{$name}]' value='{$tmpl->name}' id='{$tmpl->name}' /></div>";
    }
    return $text;

  }

  function parseXMLTemplateFile($templateBaseDir, $templateDir)
	{
		// Check of the xml file exists
		if(!is_file($templateBaseDir.DS.$templateDir.DS.'templateDetails.xml')) {
			return false;
		}

		$xml = JApplicationHelper::parseXMLInstallFile($templateBaseDir.DS.$templateDir.DS.'templateDetails.xml');

		if ($xml['type'] != 'template') {
			return false;
		}

		$data = new StdClass();
		$data->directory = $templateDir;

		foreach($xml as $key => $value) {
			$data->$key = $value;
		}

		$data->checked_out = 0;
		$data->mosname = JString::strtolower(str_replace(' ', '_', $data->name));

		return $data;
	}
}