<?php
/**
 * $Id: request.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('dead');

jimport('joomla.application.component.model');

class CommerceModelRequest extends JModel
{

	function __construct()
	{
		parent::__construct();
	}

	function getUsersList($with_limit = false)
	{
		global $mainframe, $CP_admin;
		$option = 'com_commerce';
		$context          = "$option.view_request";
		$filter_order		= $mainframe->getUserStateFromRequest( $context.'filter_order',		'filter_order',		'u.name');
		$filter_order_Dir	= $mainframe->getUserStateFromRequest( $context.'filter_order_Dir',	'filter_order_Dir',	'Asc');
		$limit      		= $mainframe->getUserStateFromRequest("$context.limit", 'limit', $mainframe->getCfg('list_limit'), 0);
		$limitstart			= JRequest::getVar('limitstart', 0, '', 'int');

		switch (JRequest::getVar('usertype'))
		{
			case 'silver':
				if($CP_admin->get('comm_enable_silver'))
				{
					$request = $CP_admin->get('comm_request_silver');
					$confirm = $CP_admin->get('comm_confirm_silver');
				}
				break;
			case 'gold':
				if($CP_admin->get('comm_enable_gold'))
				{
					$request = $CP_admin->get('comm_request_gold');
					$confirm = $CP_admin->get('comm_confirm_gold');
				}
				break;
			default:
				$request = $CP_admin->get('comm_request_field');
				$confirm = $CP_admin->get('comm_confirm_field');
				break;

		}

		$ids = array();
		if($confirm[0] != '-1')
		{
			$sql = "SELECT u.*
			FROM #__users u
			JOIN #__juser_extended_data ex ON ex.user_id = u.id
			WHERE u.block = '0' AND (u.usertype != 'Super Administrator' AND u.usertype != 'Administrator' AND u.usertype != 'Manager') ";

			$sql .= " AND ex.field_id = '{$confirm[0]}'";
			if($confirm[2] != '')
			{
				$sql .= " AND ex.fvalue ".$confirm[1]." '{$confirm[2]}'";
			}
			$sql .= " GROUP by u.id";

			$this->_db->setQuery($sql);
			$ids = $this->_db->loadResultArray();
		}
		if($request[0] != '-1')
		{
			$sql = "SELECT u.*
			FROM #__users u
			JOIN #__juser_extended_data ex ON ex.user_id = u.id
			WHERE u.block = '0' AND (u.usertype != 'Super Administrator' AND u.usertype != 'Administrator' AND u.usertype != 'Manager')";
			if(count($ids) > 0){
				$sql .= " AND u.id NOT IN (".implode(',', $ids).")";
			}

			$sql .= " AND ex.field_id = '{$request[0]}'";
			if($request[2] != '')
			{
				if($request[1] == 'like') $request[2] = "%".$request[2].'%';
				$sql .= " AND ex.fvalue ".$request[1]." '{$request[2]}'";
			}
			$sql .= " GROUP BY u.id ORDER BY $filter_order $filter_order_Dir";
			if($with_limit && $limit)
			{
				$sql .= " LIMIT $limitstart, $limit";
			}
			$this->_db->setQuery($sql);

			return $this->_db->loadObjectList();
		}
		return false;
	}
}
?>