<?php
/**
 * $Id: usersbalance.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('dead');

jimport('joomla.application.component.model');

class CommerceModelUsersbalance extends JModel
{

	function __construct()
	{
		parent::__construct();
	}

	function getUsersBalance($section_id)
	{
		$where		= $this->_buildContentWhere($section_id);
		$orderby	= $this->_buildContentOrderBy();

		$query = " SELECT ub.id, ub.balance, ub.ctime, ub.user_id, u.name
		FROM #__jc_users_balance ub
		JOIN #__users u ON u.id = ub.user_id $where
		GROUP BY ub.user_id
		ORDER BY ub.id DESC";


		$query = " SELECT ub.balance, ub.ctime, u.name, ub.user_id, ub.id
		FROM #__jc_users uc
		JOIN #__jc_users_balance ub ON ub.id = uc.balance_id
		JOIN #__users u ON u.id = ub.user_id
		$where
		$orderby
		";

		$this->_db->setQuery($query);
		return $this->_db->loadObjectList();
	}

	function _buildContentOrderBy()
	{
		global $mainframe, $option;
		$context          = "$option.view_usersbalance";

		$filter_order		= $mainframe->getUserStateFromRequest( $context.'filter_order',		'filter_order',		'ub.balance',	'cmd' );
		$filter_order_Dir	= $mainframe->getUserStateFromRequest( $context.'filter_order_Dir',	'filter_order_Dir',	'DESC',		'word' );
		$orderby 	= ' ORDER BY '.$filter_order.' '.$filter_order_Dir;
		return $orderby;
	}

	function _buildContentWhere($section_id)
	{
		global $mainframe, $option;
		$context          = "$option.view_usersbalance";
		
		$filter_state		= $mainframe->getUserStateFromRequest( $context.'filter_state',		'filter_state',		'',				'word' );
		$filter_catid		= $mainframe->getUserStateFromRequest( $context.'filter_catid',		'filter_catid',		0,				'int' );
		$filter_order		= $mainframe->getUserStateFromRequest( $context.'filter_order',		'filter_order',		'ub.balance',	'cmd' );
		$filter_order_Dir	= $mainframe->getUserStateFromRequest( $context.'filter_order_Dir',	'filter_order_Dir',	'',				'word' );
		$search				= $mainframe->getUserStateFromRequest( $context.'search_balance', 'search_balance', COMM_POSITIVE_LIMIT, 'string' );
		$search				= JString::strtolower( $search );
		if(!$search)
		$search = COMM_POSITIVE_LIMIT;
		$where = " WHERE ub.section_id = '$section_id' AND uc.section_id = '$section_id'";
		if($search !='')
		{
			if(floatval($search)) {
				$where .= " AND ub.balance >= $search";
			} else {
				$where .= "AND (u.name LIKE '%$search%' or u.username LIKE '%$search%')";
			}
			return $where;
		}

	}

	function getCurrentBalance($user_id, $section_id)
	{
		$sql = "SELECT b.balance FROM #__jc_users u
		JOIN #__jc_users_balance b ON u.balance_id = b.id
		WHERE u.user_id = '$user_id' AND u.section_id = '$section_id'";
		$this->_db->setQuery($sql);
		return $this->_db->loadResult();
	}

	function getCore()
	{
		$db =& JFactory::getDBO();
		$query = "
           SELECT c.name, c.code, IF(c.mark != '', c.mark, c.code) as mark
             FROM #__jc_currency AS c
            WHERE c.id = ". COMM_CORE_CURRENCY;
		$db->setQuery( $query);
		return $db->loadObject();
	}

	function getConfId($user_id, $section_id)
	{
		$sql = "SELECT params FROM #__jc_users WHERE user_id='$user_id' AND section_id = '$section_id'";
		$this->_db->setQuery($sql);
		return $this->_db->loadResult();
	}
	
	function getSellersList($section_id)
	{
		$sql = "SELECT u.name, u.id, u.username
		FROM #__jc_users ju 
		JOIN #__users u ON u.id = ju.user_id 
		WHERE  ju.section_id = '$section_id'
		ORDER BY u.id";
		$this->_db->setQuery($sql);
		return $this->_db->loadObjectList();
	}

}
?>