<?php
/**
 * $Id: currency.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport("joomla.database.table");
/**
* @package Commerce
*/

class CommerceCurrency extends JTable
{
    var $id        	= 0;
    var $seller_id 	= 0;
    var $published 	= 1;
    var $trash     	= 0;
    var $currency_id   = 0;
    var $checked_out	= 0;    
    var $checked_out_time = '0000-00-00 00:00:00';
    var $rate  		= 0;
    var $format  = '';
    var $section_id = 0;
        
    function __construct( &$_db ) {
        parent::__construct( '#__jc_users_currencies', 'id', $_db );
        $user   =& JFactory::getUser();
        $this->set( 'seller_id', $user->get('id') );
    }
    
    function check()
    {
        if ($this->currency_id == 0) {
            $this->_error = JText::_('Currency has to be set');
            return false;
        }
        if ($this->rate == 0) {
            $this->_error = JText::_('Rate has to be set.');
            return false;
        }
                
        return true;    
    }

}
?>
