<?php
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('restricted');

jimport( 'joomla.application.component.view');

class CommerceViewConfig extends JView
{
	function display($tpl = null) 
	{
		global $mainframe, $option;

		if($this->getLayout() == 'about') {
			$this->_showAbout($tpl);
			return;
		}
		
		JToolBarHelper::title ( JText::_ ( 'Commerce Extended Configuration' ) );
		JToolBarHelper::save ();
		JToolBarHelper::apply ();
		JToolBarHelper::cancel ( 'cancel', 'Close' );

		JHTML::_ ( 'behavior.tooltip' );
		JHTML::_ ( 'behavior.switcher' );
		jimport ( 'joomla.html.pane' );

		$uri = & JFactory::getURI ();
		$ini = false;
		$ini_file = JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_commerce'.DS.'config.ini';
		if(file_exists($ini_file))
		$ini = JFile::read ( $ini_file );

		$config_params = new JParameter ( $ini, JPATH_COMPONENT_ADMINISTRATOR . DS . 'params.xml' );
		$pane = & JPane::getInstance ( 'tabs' );

		$this->assignRef ( 'pane', $pane );
		$this->assignRef ( 'config_params', $config_params );
		$this->assignRef ( 'request_url', $uri->toString () );

		parent::display ( $tpl );
	}

	function renderParamsGroup( $group_name )
	{
		?>
<fieldset class="adminform"><legend><?php echo JText::_( $group_name ); ?></legend>
		<?php print $this->config_params->render('params',$group_name);?></fieldset>
		<?php
	}
	
	function _showAbout($tpl = null)
	{
		JToolBarHelper::title(   JText::_( 'Mighty Commerce About' ), 'generic.png' );
		$file = JPATH_COMPONENT_ADMINISTRATOR.DS.'com_commerce.xml';
		$file2 = JPATH_COMPONENT_ADMINISTRATOR.DS.'update_com_commerce.xml';
		if(JFile::exists($file2)) $file = $file2;

		$data = JApplicationHelper::parseXMLInstallFile($file);
		$this->assignRef('data', $data);

		parent::display($tpl);
	}
}
?>