<?php
/**
 * $Id: view.html.php 7783 2012-02-09 09:43:49Z alfiya $
 * $LastChangedDate: 2012-02-09 15:43:49 +0600 (Thu, 09 Feb 2012) $
 * $LastChangedBy: alfiya $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('restricted');

jimport( 'joomla.application.component.view');

class CommerceViewRequest extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $option, $CP_admin;

		// Set toolbar items for the page
		JToolBarHelper::title(   JText::_( "Request Sellers" ), 'generic.png' );
		$db		=& JFactory::getDBO();
		$uri	=& JFactory::getURI();
		$model  = & $this->getModel('request');
		$user =& JFactory::getUser();
		$section_id = JRequest::getInt('section_id') ? JRequest::getInt('section_id') : COMM_GLOBAL_SECTION;
		$section_id = $mainframe->getUserStateFromRequest($option . 'filter_section', 'section_id', $section_id);
		if($CP_admin->get('comm_enabled'))
		{
			//$confirm = $CP_admin->get('comm_confirm_field'); // unserialize(COMM_CONFIRM_FIELD);

			switch (JRequest::getVar('usertype'))
			{
				case 'silver':
					if($CP_admin->get('comm_enable_silver'))
					{
						$confirm = $CP_admin->get('comm_confirm_silver');
					}
					break;
				case 'gold':
					if($CP_admin->get('comm_enable_gold'))
					{
						$confirm = $CP_admin->get('comm_confirm_gold');
					}
					break;
				default:
					$confirm = $CP_admin->get('comm_confirm_field');
					break;

			}

			if($confirm[0] == -1 || ($confirm[1] == 'like' && $confirm[2] == ''))
			JError::raiseNotice(100, JText::_('Confirm settings are not set in current section Commerce configuration'));
			else
			JToolBarHelper::custom('confirm', 'assign', '', 'Confirm sellers');

			$context          = "$option.view_request";
			$filter_order		= $mainframe->getUserStateFromRequest( $context.'filter_order',		'filter_order',		'u.name');
			$filter_order_Dir	= $mainframe->getUserStateFromRequest( $context.'filter_order_Dir',	'filter_order_Dir',	'Asc');
			$limit      		= $mainframe->getUserStateFromRequest("$context.limit", 'limit', $mainframe->getCfg('list_limit'), 0);
			$limitstart			= JRequest::getVar('limitstart', 0, '', 'int');

			// Get data from the model
			$users = $model->getUsersList(true);

			$total = $model->getUsersList();
			jimport('joomla.html.pagination');
			$pagination = new JPagination( count($total), $limitstart, $limit );

			// table ordering
			$lists['order_Dir'] = $filter_order_Dir;
			$lists['order'] = $filter_order;


			$this->assignRef('users',		$users);
			$this->assignRef('pagination',	$pagination);
		}
		else
		{
			JError::raiseNotice(100, JText::_('The current Section is not commercial'));
		}

		$lists['secid'] = getComSectionList($section_id);
		$opt[] = JHTML::_('select.option', '0', JText::_('Standart sellers') );
		if($CP_admin->get('comm_enable_silver'))
		$opt[] = JHTML::_('select.option', 'silver', JText::_('Silver sellers') );
		if($CP_admin->get('comm_enable_gold'))
		$opt[] = JHTML::_('select.option', 'gold', JText::_('Gold sellers') );

		$lists['usertype'] = JHTML::_('select.genericlist',  $opt, "usertype", ' onchange="this.form.submit();"', 'value', 'text', JRequest::getVar('usertype'));

		$this->assignRef('request_url',	$uri->toString());
		$this->assignRef('lists',		$lists);
		parent::display($tpl);
	}

}
?>