<?php
/**
 * $Id: view.html.php 7834 2012-02-21 07:49:13Z alfiya $
 * $LastChangedDate: 2012-02-21 13:49:13 +0600 (Tue, 21 Feb 2012) $
 * $LastChangedBy: alfiya $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('restricted');

jimport( 'joomla.application.component.view');

class CommerceViewUsersbalance extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $option, $CP_admin;


		// Set toolbar items for the page
		JToolBarHelper::title(   JText::_( "Users Balances" ), 'generic.png' );
		$db		=& JFactory::getDBO();
		$uri	=& JFactory::getURI();
		$model  = & $this->getModel('usersbalance');
		$user =& JFactory::getUser();
		$section_id = JRequest::getInt('section_id') ? JRequest::getInt('section_id') : COMM_GLOBAL_SECTION;
		$section_id = $mainframe->getUserStateFromRequest($option . 'filter_section', 'section_id', $section_id);
		if($CP_admin->get('comm_enabled'))
		{
			if($this->getLayout() == 'form') {

				$this->_displayForm($tpl);
				return;
			}

			JToolBarHelper::addNewX('add', 'Add balance');


			if($user_id = JRequest::getInt('user_id'))
			{
				if($result_pay = JRequest::getString('result_pay'))
				{
					$debit = JRequest::getFloat('result_price');
					$balance = $model->getCurrentBalance($user_id, $section_id);
					
					$balance -= $debit;
					$sid = JRequest::getInt('result_sid');
					$sql = "INSERT INTO #__jc_users_balance VALUES
					('', '{$user_id}', NOW(), 'bill', '$sid', '$debit', '0', '$balance', '', '', '$section_id')";
					$db->setQuery($sql);
					$db->query();
					$sql = "UPDATE #__jc_users SET balance_id='".$db->insertid()."' WHERE user_id = '{$user_id}' AND section_id = '$section_id'";
					$db->setQuery($sql);
					$db->query();
					$mainframe->redirect("index.php?option=com_commerce&controller=usersbalance&section_id=$section_id");
				}
			}
			$context          = "$option.view_usersbalance";
			$filter_order		= $mainframe->getUserStateFromRequest( $context.'filter_order',		'filter_order',		'ub.balance');
			$filter_order_Dir	= $mainframe->getUserStateFromRequest( $context.'filter_order_Dir',	'filter_order_Dir',	'DESC');
			$search				= $mainframe->getUserStateFromRequest( $context.'search_balance', 'search_balance', COMM_POSITIVE_LIMIT);
			if(!$search) $search = COMM_POSITIVE_LIMIT;
			$search				= JString::strtolower( $search );
			$limit      		= $mainframe->getUserStateFromRequest("$option.view_usersbalance.limit", 'limit', $mainframe->getCfg('list_limit'), 0);
			$limitstart			= JRequest::getVar('limitstart', 0, '', 'int');

			$sql = "SELECT element FROM #__plugins WHERE folder='bill_gateways' AND published = '1' ORDER by ordering";
			$db->setQuery($sql);
			$billgw = $db->loadResultArray();

			// Get data from the model
			$items = $model->getUsersBalance($section_id);
			$core = $model->getCore();
			if(count($items) > 0)
			{
				foreach($items as $k => $item)
				{
					$url = JURI::root()."index.php?option=com_jsbill";
					$url .= "&item_title1=".JText::_('Shop payout');
					$url .= "&item_amount1=".$item->balance;
					$url .= "&item_amount_change1=1";
					$url .= "&item_qnt1=1";
					$url .= "&item_qnt_change1=0";
					$url .= "&tax=0";
					$url .= "&tax_chose=0";
					$url .= "&order_number=".JText::_('Shop payout')." ".time();
					$url .= "&client=Mighty Commerce";//.$user->name;
					$url .= "&coption=com_commerce";
					$url .= "&access=1";
					$url .= "&currency=".$core->mark;
					$url .= "&price_format=".COMM_LAYOUT_PRICE;
					$url .= "&to_user=".$user->id;//$item->user_id;
					$url .= "&extime=never";
					$url .= "&use_num=1";
					$url .= "&client_id={$user->id}";
					$url .= "&show_personal_taxid=1";

					$userconf = $model->getConfId($item->user_id, $section_id);
					$user_params = new JParameter($userconf);
					$available = defined('COMM_PAYOUT_GATEWAYS') ? (strstr( COMM_PAYOUT_GATEWAYS , ":")) ? unserialize( COMM_PAYOUT_GATEWAYS ) : array(COMM_PAYOUT_GATEWAYS) : array();
					$disable = array_diff($billgw, $available);

					foreach($available as $pk => $pay)
					{
						JPluginHelper::importPlugin('bill_gateways', $pay);
						$pluginParams[$pk] = new JParameter( $userconf, JPATH_ROOT.DS.'plugins'.DS.'bill_gateways'.DS.$pay.'.xml' );
						$pl_prop = $pluginParams[$pk]->getParams('params', 'User');
						if($pl_prop){
							if($user_params->get($pay.'_enable'))
							{
								foreach($pl_prop as $value)
								{
									$url .= "&processors[".$value[5]."]=".$user_params->get("$value[5]");
								}
							}
							else
							$url .= "&processors[".$pay."_enable]=0";
						}
					}
					foreach($disable as $pay)
					{
						$url .= "&processors[".$pay."_enable]=0";
					}
					$url .= "&seller[inv_person]=".$item->name."; ".$user_params->get('usr_shop_email');
					$url .= "&seller[inv_name]=".$user_params->get('usr_shop_name');
					$url .= "&seller[inv_address]=".$user_params->get('usr_shop_street');
					$url .= "&seller[inv_city]=".$user_params->get('usr_shop_town');
					$url .= "&seller[inv_country]=".$user_params->get('usr_shop_state');
					$url .= "&seller[inv_state]=";
					$url .= "&seller[inv_zip]=".$user_params->get('usr_shop_zip');
					$url .= "&seller[inv_tel]=".$user_params->get('usr_shop_tel');
					$url .= "&seller[inv_fax]=".$user_params->get('usr_shop_fax');
					$url .= "&seller[inv_number]=";
					$url .= "&seller[inv_tax_id]=";
					$url .= "&seller[inv_add]=".$user_params->get('usr_shop_misc');
					$url .= "&seller_id=".$item->user_id;
					$url .= '&Itemid='.COMM_BILL_ITEMID;

					$return = JURI::base()."index.php?option=com_commerce&controller=usersbalance&user_id=".$item->user_id."&section_id=$section_id";

					$url .= "&return_success=".base64_encode($return);
					$url .= "&return_fail=".base64_encode($return);
					
					$url = str_replace("\n", "", $url);


					$items[$k]->link = $url;

				}
			}
			jimport('joomla.html.pagination');
			$pagination = new JPagination( 0, $limitstart, $limit );

			// build list of categories
			$javascript 	= 'onchange="document.adminForm.submit();"';
			// table ordering
			$lists['order_Dir'] = $filter_order_Dir;
			$lists['order'] = $filter_order;

			// search filter
			$lists['search']= $search;


			$this->assignRef('user',		JFactory::getUser());
			$this->assignRef('items',		$items);
			$this->assignRef('core',		$core);
			$this->assignRef('pagination',	$pagination);
		}
		else
		{
			JError::raiseNotice(100, JText::_('The current Section is not commercial'));
		}

		$lists['secid'] = getComSectionList($section_id);

		$this->assignRef('request_url',	$uri->toString());
		$this->assignRef('lists',		$lists);

		parent::display($tpl);
	}

	function _displayForm($tpl)
	{
		global $mainframe, $option;

		$db     =& JFactory::getDBO();
		$uri    =& JFactory::getURI();
		$model  = & $this->getModel('usersbalance');
		JToolBarHelper::title(   JText::_( 'Users balance' ).': <small><small>[ ' . JText::_( 'Add' ).' ]</small></small>' );
		JToolBarHelper::save();
		JToolBarHelper::cancel();
		$section_id = JRequest::getInt('section_id') ? JRequest::getInt('section_id') : COMM_GLOBAL_SECTION;

		$list = $model->getSellersList($section_id);
		$opt = array();
		$opt[] = JHTML::_('select.option', '0', '- '.JText::_('Select user').' -');
		foreach($list as $user)
		{
			$opt[] = JHTML::_('select.option', $user->id, '(ID: '.$user->id.') '.$user->name . '['.$user->username.']');
		}
		$out = JHTML::_('select.genericlist',  $opt, "user_id", '', 'value', 'text');
		$core = $model->getCore();

		$this->assignRef('userlist', $out);
		$this->assignRef('core', $core);
		$this->assignRef('section_id',		$section_id);
		parent::display($tpl);

	}
}
?>