<?php
/**
 * $Id: cpanel.php 7782 2012-02-09 09:43:38Z alfiya $
 * $LastChangedDate: 2012-02-09 15:43:38 +0600 (Thu, 09 Feb 2012) $
 * $LastChangedBy: alfiya $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport('joomla.application.component.controller');

class CommerceControllerCpanel extends CommerceController
{
	function __construct()
	{
		parent::__construct();
	}

	function display()
	{
		global $mainframe;

		$user = JFactory::getUser();

		if(!$user->get('id'))
		{
			$cpanel = JRoute::_('index.php?option=com_commerce&view=cpanel&section_id='.COMM_SECTION_ID.'&Itemid='.JRequest::getInt('Itemid'), false);
			$mainframe->redirect(JRoute::_('index.php?option=com_user&view=login&return='.base64_encode($cpanel), false), 
				JText::_('You are not authorized to see that page'), 'Error');
		}
		if(!$user->get('is_seller') && !$user->is_silver && !$user->is_gold)
		{
			CommerceController::checkConfirmBySubscription(); 
			JError::raiseWarning(500, JText::_('ERROR You are not allowed to see this page') );
			return;
		}
		

		JRequest::setVar('view', 'cpanel');
		parent::display();

	}
	function change_section()
	{
		global $mainframe;
		$link = 'index.php?option=com_commerce&view=cpanel&section_id='.COMM_SECTION_ID.'&Itemid='.JRequest::getInt('Itemid');
		$mainframe->redirect( JRoute::_($link, false) );
	}
}
?>