<?php
/**
 * $Id: extensions.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );

class jcUser extends JUser
{
	function isSeller($id)
	{
		return true;
	}
	function initialyze()
	{
		$user =& JFactory::getUser();
		$db = &JFactory::getDBO();
		$sql = "SELECT `params` FROM #__jc_users WHERE `user_id` = ".$user->get('id');
		$db->setQuery($sql);
		$params = $db->loadResult();
		$jcUserParams = new JParameter($params);
		$user->jcParams = $jcUserParams;


		$user->is_seller = false;
		$user->is_silver = false;
		$user->is_gold = false;

		$user->is_super_admin = (boolean)($user->get('usertype') == 'Super Administrator');
		$user->is_admin       = (boolean)($user->get('usertype') == 'Administrator');
		$user->is_manager     = (boolean)($user->get('usertype') == 'Manager');

		if($user->is_super_admin) $user->is_admin = true;
		if($user->is_admin)       $user->is_manager = true;
		if($user->is_manager)     $user->is_seller = true;

		if(defined('COMM_CONFIRM_FIELD'))
		{
			$confirm = unserialize(COMM_CONFIRM_FIELD);
			if(!is_array($confirm))
			$confirm = explode(',', COMM_CONFIRM_FIELD);
			$sql = "SELECT COUNT(*) FROM #__juser_extended_data ex
			 WHERE ex.user_id = '".$user->get('id')."' AND ex.field_id = '".$confirm[0]."'
			 AND ex.fvalue ".$confirm[1]." '".$confirm[2]."'";
			$db->setQuery($sql);
			if($db->loadResult())
			$user->is_seller = true;
		}
		if(defined('COMM_SUBSCR_FIELD'))
		{
			$confirm = strstr(COMM_SUBSCR_FIELD, '{') ? unserialize(COMM_SUBSCR_FIELD) : COMM_SUBSCR_FIELD;
			if(!is_array($confirm))
			$confirm = explode(',', COMM_SUBSCR_FIELD);
			$sql = "SELECT COUNT(*), IF(access_limit > 0, (IF(access_limit >= access_count, 1, 0) ), 1) as access
			FROM #__jcs_user_subscr
			WHERE user_id = '".$user->get('id')."' AND subscription_id IN (".implode(', ', $confirm).")
			AND extime > NOW() AND ctime <= NOW() AND published = 1 GROUP BY id HAVING access > 0";
			$db->setQuery($sql);
			if($db->loadResult())
			$user->is_seller = true;
		}
		if(defined('COMM_ENABLE_SILVER') && COMM_ENABLE_SILVER)
		{
			if(defined('COMM_CONFIRM_SILVER'))
			{
				$confirm = unserialize(COMM_CONFIRM_SILVER);
				if(!is_array($confirm))
				$confirm = explode(',', COMM_CONFIRM_SILVER);

				$sql = "SELECT COUNT(*) FROM #__juser_extended_data ex
				WHERE ex.user_id = '".$user->get('id')."' AND ex.field_id = '".$confirm[0]."'
				AND ex.fvalue ".$confirm[1]." '".$confirm[2]."'";
				$db->setQuery($sql);
				if($db->loadResult())
				$user->is_silver = true;
			}
			if(defined('COMM_SUBSCR_SILVER'))
			{
				$confirm = strstr(COMM_SUBSCR_SILVER, '{') ? unserialize(COMM_SUBSCR_SILVER) : COMM_SUBSCR_SILVER;
				if(!is_array($confirm))
				$confirm = explode(',', COMM_SUBSCR_SILVER);
					
				$sql = "SELECT COUNT(*), IF(access_limit > 0, (IF(access_limit >= access_count, 1, 0) ), 1) as access
				FROM #__jcs_user_subscr
				WHERE user_id = '".$user->get('id')."' AND subscription_id IN (".implode(', ', $confirm).")
				AND extime > NOW() AND ctime <= NOW() AND published = 1 GROUP BY id HAVING access > 0";
				$db->setQuery($sql);
				if($db->loadResult())
				$user->is_silver = true;
			}
		}

		if(defined('COMM_ENABLE_GOLD') && COMM_ENABLE_GOLD)
		{
			if(defined('COMM_CONFIRM_GOLD'))
			{
				$confirm = unserialize(COMM_CONFIRM_GOLD);
				if(!is_array($confirm))
				$confirm = explode(',', COMM_CONFIRM_GOLD);

				$sql = "SELECT COUNT(*) FROM #__juser_extended_data ex
				WHERE ex.user_id = '".$user->get('id')."' AND ex.field_id = '".$confirm[0]."'
				AND ex.fvalue ".$confirm[1]." '".$confirm[2]."'";
				$db->setQuery($sql);
				if($db->loadResult())
				$user->is_gold = true;
			}
			if(defined('COMM_SUBSCR_GOLD'))
			{
				$confirm = strstr(COMM_SUBSCR_GOLD, '{') ? unserialize(COMM_SUBSCR_GOLD) : COMM_SUBSCR_GOLD;
				if(!is_array($confirm))
				$confirm = explode(',', COMM_SUBSCR_GOLD);
					
				$sql = "SELECT COUNT(*), IF(access_limit > 0, (IF(access_limit >= access_count, 1, 0) ), 1) as access
				FROM #__jcs_user_subscr
				WHERE user_id = '".$user->get('id')."' AND subscription_id IN (".implode(', ', $confirm).")
				AND extime > NOW() AND ctime <= NOW() AND published = 1 GROUP BY id HAVING access > 0";
				$db->setQuery($sql);
				if($db->loadResult())
				$user->is_gold = true;
			}
		}
	}

	function getSeller( $id )
	{
		$user =& JFactory::getUser($id);
		$db = &JFactory::getDBO();

		$user->is_seller = false;
		$user->is_silver = false;
		$user->is_gold = false;

		$user->is_super_admin = (boolean)($user->get('usertype') == 'Super Administrator');
		$user->is_admin       = (boolean)($user->get('usertype') == 'Administrator');
		$user->is_manager     = (boolean)($user->get('usertype') == 'Manager');

		if($user->is_super_admin) $user->is_admin = true;
		if($user->is_admin)       $user->is_manager = true;
		if($user->is_manager)     $user->is_seller = true;

		if(defined('COMM_CONFIRM_FIELD'))
		{
			$confirm = unserialize(COMM_CONFIRM_FIELD);
			if(!is_array($confirm))
			$confirm = explode(',', COMM_CONFIRM_FIELD);
			$sql = "SELECT COUNT(*) FROM #__juser_extended_data ex
			 WHERE ex.user_id = '".$user->get('id')."' AND ex.field_id = '".$confirm[0]."'
			 AND ex.fvalue ".$confirm[1]." '".$confirm[2]."'";

			$db->setQuery($sql);
			if($db->loadResult())
			$user->is_seller = true;
		}
		if(defined('COMM_SUBSCR_FIELD'))
		{
			$confirm = strstr(COMM_SUBSCR_FIELD, '{') ? unserialize(COMM_SUBSCR_FIELD) : COMM_SUBSCR_FIELD;
			if(!is_array($confirm))
			$confirm = explode(',', COMM_SUBSCR_FIELD);

			$sql = "SELECT COUNT(*), IF(access_limit > 0, (IF(access_limit >= access_count, 1, 0) ), 1) as access
				FROM #__jcs_user_subscr
				WHERE user_id = '".$user->get('id')."' AND subscription_id IN (".implode(', ', $confirm).")
				AND extime > NOW() AND ctime <= NOW() AND published = 1 GROUP BY id HAVING access > 0";

			$db->setQuery($sql);
			if($db->loadResult())
			$user->is_seller = true;
		}
		if(defined('COMM_ENABLE_SILVER') && COMM_ENABLE_SILVER)
		{
			if(defined('COMM_CONFIRM_SILVER'))
			{
				$confirm = unserialize(COMM_CONFIRM_SILVER);
				if(!is_array($confirm))
				$confirm = explode(',', COMM_CONFIRM_SILVER);

				$sql = "SELECT COUNT(*) FROM #__juser_extended_data ex
				WHERE ex.user_id = '".$user->get('id')."' AND ex.field_id = '".$confirm[0]."'
				AND ex.fvalue ".$confirm[1]." '".$confirm[2]."'";

				$db->setQuery($sql);
				if($db->loadResult())
				$user->is_silver = true;
			}
			if(defined('COMM_SUBSCR_SILVER'))
			{
				$confirm = strstr(COMM_SUBSCR_SILVER, '{') ? unserialize(COMM_SUBSCR_SILVER) : COMM_SUBSCR_SILVER;
				if(!is_array($confirm))
				$confirm = explode(',', COMM_SUBSCR_SILVER);
					
				$sql = "SELECT COUNT(*), IF(access_limit > 0, (IF(access_limit >= access_count, 1, 0) ), 1) as access
				FROM #__jcs_user_subscr
				WHERE user_id = '".$user->get('id')."' AND subscription_id IN (".implode(', ', $confirm).")
				AND extime > NOW() AND ctime <= NOW() AND published = 1 GROUP BY id HAVING access > 0";
				$db->setQuery($sql);
				if($db->loadResult())
				$user->is_silver = true;
			}
		}

		if(defined('COMM_ENABLE_GOLD') && COMM_ENABLE_GOLD)
		{
			if(defined('COMM_CONFIRM_GOLD'))
			{
				$confirm = unserialize(COMM_CONFIRM_GOLD);
				if(!is_array($confirm))
				$confirm = explode(',', COMM_CONFIRM_GOLD);

				$sql = "SELECT COUNT(*) FROM #__juser_extended_data ex
				WHERE ex.user_id = '".$user->get('id')."' AND ex.field_id = '".$confirm[0]."'
				AND ex.fvalue ".$confirm[1]." '".$confirm[2]."'";
				$db->setQuery($sql);
				if($db->loadResult())
				$user->is_gold = true;
			}
			if(defined('COMM_SUBSCR_GOLD'))
			{
				$confirm = strstr(COMM_SUBSCR_GOLD, '{') ? unserialize(COMM_SUBSCR_GOLD) : COMM_SUBSCR_GOLD;
				if(!is_array($confirm))
				$confirm = explode(',', COMM_SUBSCR_GOLD);
					
				$sql = "SELECT COUNT(*), IF(access_limit > 0, (IF(access_limit >= access_count, 1, 0) ), 1) as access
				FROM #__jcs_user_subscr
				WHERE user_id = '".$user->get('id')."' AND subscription_id IN (".implode(', ', $confirm).")
				AND extime > NOW() AND ctime <= NOW() AND published = 1 GROUP BY id HAVING access > 0";
				$db->setQuery($sql);
				if($db->loadResult())
				$user->is_gold = true;
			}
		}
		return $user;
	}
}

/*
 include JPATH_ADMINISTRATOR.DS.'includes'.DS.'toolbar.php';

 $bar =& new JToolBar( 'My ToolBar' );
 $bar->appendButton( 'Separator' );
 $bar->appendButton( 'Standard', 'send', 'Activate', 'activate', false );
 $bar->prependButton( 'Popup', 'new', 'Popup Test', 'http://www.joomla.org', 300, 300, 150, 150 );
 echo $bar->render();
 */

class jcToolBar extends JToolBar
{
	function jcToolBar($name)
	{
		parent::__construct($name);
	}

	function help($ref, $com = false)
	{
		parent::appendButton( 'Help', $ref, $com );
	}
	function trash_restore()
	{
		$document =& JFactory::getDocument();

		$html = "<a href=\"javascript:void(0);\" onclick=\"javascript:".
            "if(document.adminForm.boxchecked.value==0){alert('".
            "Please make a selection from the list to Delete');}".
            "else{jcRestore();}\" class=\"toolbar\">";
		$html .= "<span class=\"icon-32-restore\" type=\"Standard\" id=\"bar_delete\">";
		$html .= "</span>";
		$html .= JText::_('Restore');
		$html .= "</a>";

		//$bar = & JToolBar::getInstance();
		parent::appendButton( 'Custom', $html, 'delete' );
	}
	function trash_delete()
	{
		$document =& JFactory::getDocument();

		$html = "<a href=\"javascript:void(0);\" onclick=\"javascript:".
            "if(document.adminForm.boxchecked.value==0){alert('".
            "Please make a selection from the list to Delete');}".
            "else{if(confirm('".JText::_('Are you sure you want to delete this items forever?')."')){jcDelete('jc_' + document.adminForm.section.value);}}\" class=\"toolbar\">";
		$html .= "<span class=\"icon-32-trash_delete\" type=\"Standard\" id=\"bar_delete\">";
		$html .= "</span>";
		$html .= JText::_('Delete');
		$html .= "</a>";

		//$bar = & JToolBar::getInstance();
		parent::appendButton( 'Custom', $html, 'delete' );
	}

	function trash_empty()
	{
		$html = "<a href=\"javascript:void(0);\" onclick=\"javascript:".
            "if(confirm('".JText::_('Are you sure you want to delete all items in recycle bin?')."')){pBar(); listAdminClose(); xajax_jcEmptyBin();}\" class=\"toolbar\">";
		$html .= "<span class=\"icon-32-empty\" type=\"Standard\" id=\"bar_delete\">";
		$html .= "</span>";
		$html .= JText::_('Empty Bin');
		$html .= "</a>";

		parent::appendButton( 'Custom', $html, 'close' );
	}


	function property()
	{
		$html = "<a href=\"javascript:void(0);\" onclick=\"javascript:".
            "document.adminForm.controller.value='property'; document.adminForm.view.value='property'; submitbutton('');\" class=\"toolbar\">";
		$html .= "<span class=\"icon-32-property\" type=\"Standard\">";
		$html .= "</span>";
		$html .= JText::_('Groups');
		$html .= "</a>";
		//$bar = & JToolBar::getInstance();
		parent::appendButton( 'Custom', $html, 'close' );
	}

	function propery_items()
	{
		$html = "<a href=\"javascript:void(0);\" onclick=\"javascript:".
            "if(document.adminForm.boxchecked.value==0){alert('".
            "Please make a selection from the list to Delete');}".
            "else{document.adminForm.controller.value='propertyitem'; submitbutton('');}\" class=\"toolbar\">";
		$html .= "<span class=\"icon-32-propertyitem\" type=\"Standard\">";
		$html .= "</span>";
		$html .= JText::_('Items');
		$html .= "</a>";
		//$bar = & JToolBar::getInstance();
		parent::appendButton( 'Custom', $html, 'close' );
	}
	function core_property($type)
	{
		$html = "<a href=\"javascript:void(0);\" onclick=\"javascript:".
            "if(document.adminForm.boxchecked.value==0){alert('".
            "Please make a selection from the list to Set core');}".
            "else{jcSetCoreProperty('".$type."');}\" class=\"toolbar\">";
		$html .= "<span class=\"icon-32-core\" type=\"Standard\">";
		$html .= "</span>";
		$html .= JText::_('Set Core');
		$html .= "</a>";
		//$bar = & JToolBar::getInstance();
		parent::appendButton( 'Custom', $html, 'close' );
	}
	function core_cur()
	{
		$html = "<a href=\"javascript:void(0);\" onclick=\"javascript:".
            "if(document.adminForm.boxchecked.value==0){alert('".
            "Please make a selection from the list to Delete');}".
            "else{jcSetCoreCurrency();}\" class=\"toolbar\">";
		$html .= "<span class=\"icon-32-core\" type=\"Standard\">";
		$html .= "</span>";
		$html .= JText::_('Set Core');
		$html .= "</a>";
		//$bar = & JToolBar::getInstance();
		parent::appendButton( 'Custom', $html, 'close' );
	}

	function close($task='cancel', $string = 'Cancel')
	{
		$html = "<a href=\"javascript:void(0);\" onclick=\"javascript:".
            "document.adminForm.filter_order.value=''; document.adminForm.controller.value=''; submitbutton('$task');\" class=\"toolbar\">";
		$html .= "<span class=\"icon-32-cancel\" type=\"Standard\">";
		$html .= "</span>";
		$html .= JText::_($string);
		$html .= "</a>";
		//$bar = & JToolBar::getInstance();
		parent::appendButton( 'Custom', $html, 'close' );
	}

	function cpanel($task='cpanel', $string = 'CPanel')
	{
		$html = "<a href=\"javascript:void(0);\" onclick=\"javascript:".
            "document.adminForm.controller.value='cpanel'; submitbutton('$task');\" class=\"toolbar\">";
		$html .= "<span class=\"icon-32-cpanel\" type=\"Standard\">";
		$html .= "</span>";
		$html .= JText::_($string);
		$html .= "</a>";
		//$bar = & JToolBar::getInstance();
		parent::appendButton( 'Custom', $html, 'cpanel' );
	}

	function carttemplate($task='carttemplate', $string = 'Current Template')
	{
		$html = "<a href=\"javascript:void(0);\" onclick=\"javascript:".
            "document.adminForm.layout.value = 'form'; submitbutton('$task');\" class=\"toolbar\">";
		$html .= "<span class=\"icon-32-carttemplate\" type=\"Standard\">";
		$html .= "</span>";
		$html .= JText::_($string);
		$html .= "</a>";
		//$bar = & JToolBar::getInstance();
		parent::appendButton( 'Custom', $html, 'cpanel' );
	}

	function addbalance($task='pileup', $string = 'Pile up')
	{
		$html = "<a href=\"javascript:void(0);\" onclick=\"javascript:".
            "document.adminForm.controller.value='balance'; submitbutton('$task');\" class=\"toolbar\">";
		$html .= "<span class=\"icon-32-payment\" type=\"Standard\">";
		$html .= "</span>";
		$html .= JText::_($string);
		$html .= "</a>";
		//$bar = & JToolBar::getInstance();
		parent::appendButton( 'Custom', $html, 'cpanel' );
	}

	function edit($file)
	{
		$html = "<a href=\"javascript:void(0);\" onclick=\"javascript:".
            "if(document.adminForm.boxchecked.value==0){alert('".
            "Please make a selection from the list to Delete');}".
            "else{jcEdit('$file')}\" class=\"toolbar\">";
		$html .= "<span class=\"icon-32-edit\" type=\"Standard\">";
		$html .= "</span>";
		$html .= JText::_('Edit');
		$html .= "</a>";

		//$bar = & JToolBar::getInstance();
		parent::appendButton( 'Custom', $html, 'edit' );
	}
	function addnew($file, $add = 0)
	{
		$uri = JFactory::getURI();
		$html = "<a href=\"".$uri->toString()."&layout=currency&task=addnew\"  class=\"toolbar\">";
		//$html = "<a href=\"#addnew-currency\" rel=\"shadowbox; width=400; height=500;\" class=\"toolbar\">";
		$html .= "<span class=\"icon-32-new\" type=\"Standard\">";
		$html .= "</span>";
		$html .= JText::_('New');
		$html .= "</a>";

		//$bar = & JToolBar::getInstance();
		parent::appendButton( 'Custom', $html, 'addnew' );
	}

	function delete($table, $trash = 0)
	{
		$document =& JFactory::getDocument();

		$html = "<a href=\"javascript:void(0);\" onclick=\"javascript:".
            "if(document.adminForm.boxchecked.value==0){alert('".
            "Please make a selection from the list to Delete');}".
            "else{if(confirm('".JText::_('Are you sure you want to delete this items?')."')){jcDelete('$table', '$trash');}}\" class=\"toolbar\">";
		$html .= "<span class=\"icon-32-delete\" type=\"Standard\" id=\"bar_delete\">";
		$html .= "</span>";
		$html .= JText::_('Delete');
		$html .= "</a>";

		//$bar = & JToolBar::getInstance();
		parent::appendButton( 'Custom', $html, 'delete' );
	}

	function publish($table, $publish)
	{
		$document =& JFactory::getDocument();

		$html = "<a href=\"javascript:void(0);\" onclick=\"javascript:".
            "if(document.adminForm.boxchecked.value==0){alert('".
            "Please make a selection from the list to (Un)publish');}".
            "else{jcPublish(".($publish ? 0 : 1).", '$table');}\" class=\"toolbar\">";
		$html .= "<span class=\"icon-32-".(!$publish ? 'un' : null)."publish\" type=\"Standard\" id=\"bar_publish$publish\">";
		$html .= "</span>";
		$html .= !$publish ? JText::_('Unpublish') : JText::_('Publish');
		$html .= "</a>";

		//$bar = & JToolBar::getInstance();
		parent::appendButton( 'Custom', $html, 'publish' );
	}

	function title($title, $icon = 'generic.png')
	{
		global $mainframe;

		$icon	= preg_replace('#\.[^.]*$#', '', $icon);

		$html  = "<div class=\"header icon-48-$icon\">\n";
		$html .= "$title\n";
		$html .= "</div>\n";

		$mainframe->set('JComponentTitle', $html);
	}

	function spacer($width = '')
	{
		parent::appendButton( 'Separator', 'spacer', $width );
	}

	function divider()
	{
		parent::appendButton( 'Separator', 'divider' );
	}

	function custom($task = '', $icon = '', $iconOver = '', $alt = '', $listSelect = true, $x = false)
	{
		$icon	= preg_replace('#\.[^.]*$#', '', $icon);
		parent::appendButton( 'Standard', $icon, $alt, $task, $listSelect, $x );
	}
	function customX($task = '', $icon = '', $iconOver = '', $alt = '', $listSelect = true)
	{
		$icon	= preg_replace('#\.[^.]*$#', '', $icon);
		parent::appendButton( 'Standard', $icon, $alt, $task, $listSelect, true );
	}

	function preview($url = '', $updateEditors = false)
	{
		parent::appendButton( 'Popup', 'preview', 'Preview', "$url&task=preview" );
	}

	function back($alt = 'Back', $href = 'javascript:history.back();')
	{
		parent::appendButton( 'Link', 'back', $alt, $href );
	}
	function media_manager($directory = '', $alt = 'Upload')
	{
		parent::appendButton( 'Popup', 'upload', $alt, "index.php?option=com_media&tmpl=component&task=popupUpload&directory=$directory", 550, 80 );
	}
	function _addNew($task = 'add', $alt = 'New')
	{
		parent::appendButton( 'Standard', 'new', $alt, $task, false, false );
	}
	function addNewX($task = 'add', $alt = 'New')
	{
		parent::appendButton( 'Standard', 'new', $alt, $task, false, true );
	}
	function _publish($task = 'publish', $alt = 'Publish')
	{
		parent::appendButton( 'Standard', 'publish', $alt, $task, false, false );
	}
	function publishList($task = 'publish', $alt = 'Publish')
	{
		parent::appendButton( 'Standard', 'publish', $alt, $task, true, false );
	}
	function makeDefault($task = 'default', $alt = 'Default')
	{
		parent::appendButton( 'Standard', 'default', $alt, $task, true, false );
	}
	function assign($task = 'assign', $alt = 'Assign')
	{
		parent::appendButton( 'Standard', 'assign', $alt, $task, true, false );
	}

	function unpublish($task = 'unpublish', $alt = 'Unpublish')
	{
		parent::appendButton( 'Standard', 'unpublish', $alt, $task, false, false );
	}

	function unpublishList($task = 'unpublish', $alt = 'Unpublish')
	{
		parent::appendButton( 'Standard', 'unpublish', $alt, $task, true, false );
	}

	function archiveList($task = 'archive', $alt = 'Archive')
	{
		parent::appendButton( 'Standard', 'archive', $alt, $task, true, false );
	}

	function unarchiveList($task = 'unarchive', $alt = 'Unarchive')
	{
		parent::appendButton( 'Standard', 'unarchive', $alt, $task, true, false );
	}

	function editList($task = 'edit', $alt = 'Edit')
	{
		parent::appendButton( 'Standard', 'edit', $alt, $task, true, false );
	}
	function editListX($task = 'edit', $alt = 'Edit')
	{
		parent::appendButton( 'Standard', 'edit', $alt, $task, true, true );
	}

	function editHtml($task = 'edit_source', $alt = 'Edit HTML')
	{
		parent::appendButton( 'Standard', 'edithtml', $alt, $task, true, false );
	}
	function editHtmlX($task = 'edit_source', $alt = 'Edit HTML')
	{
		parent::appendButton( 'Standard', 'edithtml', $alt, $task, true, true );
	}

	function editCss($task = 'edit_css', $alt = 'Edit CSS')
	{
		parent::appendButton( 'Standard', 'editcss', $alt, $task, true, false );
	}

	function editCssX($task = 'edit_css', $alt = 'Edit CSS')
	{
		parent::appendButton( 'Standard', 'editcss', $alt, $task, true, true );
	}

	function deleteList($msg = '', $task = 'remove', $alt = 'Delete')
	{
		if ($msg) {
			parent::appendButton( 'Confirm', $msg, 'delete', $alt, $task, true, false );
		} else {
			parent::appendButton( 'Standard', 'delete', $alt, $task, true, false );
		}
	}
	function deleteListX($msg = '', $task = 'remove', $alt = 'Delete')
	{
		if ($msg) {
			parent::appendButton( 'Confirm', $msg, 'delete', $alt, $task, true, true );
		} else {
			parent::appendButton( 'Standard', 'delete', $alt, $task, true, true );
		}
	}

	function trash($task = 'remove', $alt = 'Trash', $check = true)
	{
		parent::appendButton( 'Standard', 'trash', $alt, $task, $check, false );
	}

	function apply($task = 'apply', $alt = 'Apply')
	{
		parent::appendButton( 'Standard', 'apply', $alt, $task, false, false );
	}

	function save($task = 'save', $alt = 'Save')
	{
		parent::appendButton( 'Standard', 'save', $alt, $task, false, false );
	}
	function _cancel($task = 'cancel', $alt = 'Cancel')
	{
		parent::appendButton( 'Standard', 'cancel', $alt, $task, false, false );
	}

	function preferences($component, $height='150', $width='570', $alt = 'Preferences', $path = '')
	{
		$user =& JFactory::getUser();
		if ($user->get('gid') != 25) {
			return;
		}

		$component	= urlencode( $component );
		$path		= urlencode( $path );
		parent::appendButton( 'Popup', 'config', $alt, 'index.php?option=com_config&controller=component&component='.$component.'&path='.$path, $width, $height );
	}
}
?>
