<?php
/**
 * $Id: carttemplate.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport('joomla.application.component.model');
class CommerceModelCartTemplate extends JModel
{
	function __construct()
	{
		parent::__construct();
	}

	function getArticleInfo($id)
	{
		$sql = "SELECT * FROM #__js_res_record WHERE id='$id'";
		$this->_db->setQuery($sql);
		return $this->_db->loadObject();
	}

	function getTemplateList($user_id, $with_limit = false, $section_id = false, $limit = false)
	{
		global $mainframe;
		$option = JRequest::getWord('option', 'com_commerce');
		$context          = "$option.view_carttemplate";
		$filter_order     = $mainframe->getUserStateFromRequest( "$context.filter_order", 	'filter_order', 	't.ctime' );
		$filter_order_Dir	= $mainframe->getUserStateFromRequest( "$context.filter_order_Dir",	'filter_order_Dir',	'DESC' );
		$filter_section     = $mainframe->getUserStateFromRequest( "$context.filter_section", 	'filter_section',  COMM_SECTION_ID );
		$filter_search		= $mainframe->getUserStateFromRequest( "$context.filter_search", 	'filter_search', '', 'string' );
		$filter_search		= JString::strtolower( $filter_search );
		
		if(!$limit)
		$limit      = $mainframe->getUserStateFromRequest("$context.limit", 'limit', $mainframe->getCfg('list_limit'), 0);
		$limitstart	= JRequest::getVar('limitstart', 0, '', 'int');
		
		$sql = "SELECT t.*, u.username, u.id as uid, u.name as uname 
		FROM #__jc_cart_templates AS t
		JOIN #__users u ON u.id = t.user_id 
		WHERE section_id = '".($section_id ? $section_id : COMM_SECTION_ID)."'";
		if($user_id)
		$sql .= " AND t.user_id = '".$user_id."'";
		if($filter_search != '')
		$sql .= " AND (t.name LIKE '%$filter_search%' OR u.username  LIKE '%$filter_search%' OR u.name LIKE '%$filter_search%')";
		$sql .= " ORDER BY $filter_order $filter_order_Dir";
		if($with_limit && $limit)
		$sql .= " LIMIT $limitstart, $limit";
		$this->_db->setQuery($sql);
		return $this->_db->loadObjectList();
	}
	

	function getUserTemplateList($user_id, $section_id, $limit)
	{
		$sql = "SELECT t.*, u.username, u.id as uid, u.name as uname 
		FROM #__jc_cart_templates AS t
		JOIN #__users u ON u.id = t.user_id 
		WHERE section_id = '".($section_id ? $section_id : COMM_SECTION_ID)."'";
		if($user_id)
		$sql .= " AND t.user_id = '".$user_id."'";
		
		$sql .= " AND t.share = '1'
		ORDER BY t.ctime DESC";
		if($limit)
		$sql .= " LIMIT 0, $limit";
		$this->_db->setQuery($sql); 
		return $this->_db->loadObjectList();
	}

}
?>