<?php
/**
 * $Id: userconfig.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport('joomla.application.component.model');
class CommerceModelUserconfig extends JModel
{

	function __construct()
	{
		parent::__construct();
	}

	function getPluginName($element)
	{
		$sql = "SELECT name FROM #__plugins WHERE element='$element' AND folder='bill_gateways'";
		$this->_db->setQuery($sql);
		return $this->_db->loadResult();
	}

	function getConfId($user_id)
	{
		$sql = "SELECT params FROM #__jc_users WHERE user_id='$user_id' AND section_id = ".COMM_SECTION_ID;
		$this->_db->setQuery($sql);
		return $this->_db->loadResult();
	}
	
	function getConfigAssociation(&$params, $user)
	{
		$params = new JParameter($params);
		$params->set('usr_shop_name', $user->username);
		$params->set('usr_shop_email', $user->email);
		$params->set('usr_shop_description', (COMM_V_DESCR != -1) ? $this->getAssocValue(COMM_V_DESCR, $user->id) : '');
		$params->set('usr_shop_street', (COMM_V_ADDRESS != -1) ? $this->getAssocValue(COMM_V_ADDRESS, $user->id) : '');
		$params->set('usr_shop_town', (COMM_V_TOWN != -1) ? $this->getAssocValue(COMM_V_TOWN, $user->id) : '');
		$params->set('usr_shop_state', (COMM_V_STATE != -1) ? $this->getAssocValue(COMM_V_STATE, $user->id) : '');
		$params->set('usr_shop_country', (COMM_V_COUNTRY != -1) ? $this->getAssocValue(COMM_V_COUNTRY, $user->id) : '');
		$params->set('usr_shop_zip', (COMM_V_ZIP != -1) ? $this->getAssocValue(COMM_V_ZIP, $user->id) : '');
		$params->set('usr_shop_tel', (COMM_V_TEL != -1) ? $this->getAssocValue(COMM_V_TEL, $user->id) : '');
		$params->set('usr_shop_fax', (COMM_V_FAX != -1) ? $this->getAssocValue(COMM_V_FAX, $user->id) : '');
		$params = $params->toString();
	}
	
	function getAssocValue($fid, $uid)
	{	
		$sql = "SELECT fvalue FROM #__juser_extended_data WHERE user_id = '$uid' AND field_id = '$fid'";
		$this->_db->setQuery($sql);
		return $this->_db->loadResult();
	}


}
?>