<?php
/**
 * $Id: customer.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );
global $Itemid;

jimport('joomla.utilities.date');
?>
<div class="componentheading"><?php echo $this->title; ?></div>

<style>
.green {
	color: green;
}

.red {
	color: red;
}
</style>
      <?php if(count($this->bar->_bar)) { ?>
      <DIV id="toolbar-box" align="right" style="margin-bottom: 20px;">
        <div class="t">
          <div class="t">
            <div class="t"></div>
          </div>
        </div>
        <div class="m" align="right"><?php echo $this->bar->render(); ?></div>
        <div class="b">
          <div class="b">
            <div class="b"></div>
          </div>
        </div>
      </DIV>
      <?php } ?>

<form action="<?php echo $this->uri;?>" method="post" name="adminForm">
<div align="right">
	<?php echo $this->filter['section'];
		?>
</div>
<?php
if( defined('COMM_GIFT_CERT') && COMM_GIFT_CERT )
{
	echo JText::_('If you have Gift Certificate number, enter it here and click Apply button.');
	echo ' '.JText::_('After your balance would be piled up.').'<br>';
	echo '<input type="text" name="certificate" value="" size="40" class="inputbox"> 
	<input type="button" value="'.JText::_('Apply').'" onclick="this.form.task.value=\'certificate\'; this.form.submit();" class="button">';
}

if(!count($this->rows)) echo '<p>'.JText::_('There are no entries').'</p>';
else { 
	?>

<p><?php echo JText::_("Your current balance is"); ?>: <span
	class="<?php echo ($this->rows[0]->balance > 0) ? 'green' : 'red'; ?>"
	style="font-size: 130%;"> 
	<b>
	<?php echo str_replace(array("00", "Sign"), array($this->rows[0]->balance ? $this->rows[0]->balance : 0, $this->core->mark), COMM_LAYOUT_PRICE); ?>
	</b>
</span></p>

<?php
if($this->show_msg) { ?>
<p><?php 
echo JText::_("CUSTOMER_BALANCE_NEGATIVE_MSG");
}
if(!COMM_CUSTOMER_PILEUP) { ?>
<dl id="system-message">
	<dt class="error">Message</dt>
	<dd class="error">
	<ul>
		<li><?php echo JText::_("Error"). ' ' . JText::_('Bill to pile up the balance is not selected'). '. '.JText::_('Please let Administrator know about this issue.'); ?>
		</li>
	</ul>
	</dd>
</dl>
 <?php } ?>

<TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
	<thead>
		<TR class="sectiontableheader">
			<td class="sectiontableheader" align="center"><?php echo JText::_('Type'); ?></td>
			<td class="sectiontableheader" width="1%" align="center"><?php echo JText::_('Date'); ?></td>
			<td class="sectiontableheader" width="10%" align="center"><?php echo JText::_('Balance'); ?></td>
		</TR>		
	</thead>
	<?php $i = 1;
	foreach($this->rows as $k => $row) {
		$title = ucfirst(JText::_($row->type)) ;
		$inv = '';
		if($row->type == 'order')
		{
			$title .=  ' '. JText::_("Num.");
			$href = "index.php?option=com_commerce&view=orders&layout=purchase&order_id=".$row->order_id."&section_id=".COMM_SECTION_ID."&Itemid=".(COMM_PRODUCTLIST_ITEMID ? COMM_PRODUCTLIST_ITEMID : $Itemid);
			$title = JHTML::link(JRoute::_($href, false), $title." ".$row->order_id, 'target="_blank"');
		}
		if($row->type == 'bill' && $row->order_id)
		{
			$title = JText::_('Bill paid');
			//$href = "index.php?option=com_commerce&view=orders&layout=invoicebill&bill=".$row->order_id."&section_id=".COMM_SECTION_ID."&tmpl=component";
			$href = 'index.php?option=com_jsbill&task=invoice&id='.$row->order_id.'&Itemid='.( COMM_BILL_ITEMID ? COMM_BILL_ITEMID : $Itemid);
			$title .= '<br>'.JHTML::link(JRoute::_($href, false), JText::_("Invioce Num.")." ".$row->order_id, 'target="_blank"');
			
		}
		
		$ctime = new JDate( $row->ctime);
		?>
	<tr class="sectiontableentry<?php echo $k%2+1; ?>" valign="top">
		<td><b><?php echo $title; ?></b></td>
		<td nowrap><?php echo '<span class="createdate">'.$ctime->toFormat(COMM_DATE_FORMAT).'</span>'; ?></td>		
		<td align="right"><span
			class="<?php echo ($row->balance > 0) ? 'green' : 'red'; ?>"> <b><?php echo str_replace(array("00", "Sign"), array($row->balance, $this->core->mark), COMM_LAYOUT_PRICE); ?></b>
		</span></td>
	</tr>
	<?php
	$i++;
	} ?>
</TABLE>

<br>
<div align="center"><?php echo $this->pageNav->getListFooter(); ?></div>

	<?php } ?>
<input type="hidden" name="option" value="com_commerce" /> 
<input type="hidden" name="controller" value="balance" /> 
<input type="hidden" name="task" value="" /> 
<input type="hidden" name="layout" value="customer" /> 
<input type="hidden" name="Itemid" value="<?php echo $Itemid ?>" /> 
<input type="hidden" name="section_id" value="<?php echo COMM_SECTION_ID; ?>" /> 
<input type="hidden" name="boxchecked" 	value="0" />

</form>
	
<div class="clr"
	style="clear: both"></div>
<br>
