<?php
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view');

class CommerceViewCoupon extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $TB, $Itemid, $ICONS;
		$layout = $this->getLayout();
		$user =& JFactory::getUser();
		$uri = JFactory::getURI();
		$model  = & $this->getModel('coupon');
		$db   =& JFactory::getDBO();
		$option = JRequest::getVar('option', 'com_commerce');
		$model_order  = JModel::getInstance('Orders', 'CommerceModel');
		$title = JText::_('Coupons manager');
		$pathway	     = & $mainframe->getPathway();
		$pathway->addItem( $title, '' );

		if($layout == 'form')
		{
			$this->_form();
			return;
		}
		// create toolbar
		$TB->cpanel('cpanel', JText::_('CPanel'));
		$TB->publish('jc_coupons', 1);
		$TB->publish('jc_coupons', 0);
		$TB->_addNew('add_coupon', JText::_('New'));
		$TB->editList('edit_coupon', JText::_('Edit'));
		
		$owner[] = 62;
		$owner[] = defined('COMM_OWNER') ? COMM_OWNER : 62;
				
		if(in_array($user->id, $owner))
		$TB->custom( 'core_coupon', 'core', Null, 'Set Core',  false, false );
			
		$TB->delete('jc_coupons', 1);
		$TB->help('user.coupons', 'com_commerce');

		$filter_order     = $mainframe->getUserStateFromRequest( "{$option}.view_coupons.filter_order", 	'filter_order', 	'c.value' );
		$filter_order_Dir	= $mainframe->getUserStateFromRequest( "{$option}.view_coupons.filter_order_Dir",	'filter_order_Dir',	'ASC' );
		$limit      = $mainframe->getUserStateFromRequest("{$option}.view_coupons.limit", 'limit', $mainframe->getCfg('list_limit'), 0);
		$limitstart	= JRequest::getVar('limitstart', 0, '', 'int');
		$filter_section     = $mainframe->getUserStateFromRequest( "{$option}.view_coupons.filter_section", 	'filter_section',  COMM_SECTION_ID );

			
		if($filter_order) $orderby 	= "\n ORDER BY $filter_order $filter_order_Dir";

		// get the total number of records
		if(COMM_MULTI_SELLER)
		{
			$query = "SELECT COUNT(*)"
			. "\n FROM #__jc_coupons "
			. "WHERE seller_id = '".$user->get('id')."' AND section_id = '".COMM_SECTION_ID."'";
			//. ($user->get('usertype') == 'Super Administrator' ? NULL : " AND seller_id = '".$user->get('id')."'")
			//;
		}
		else
		{
			$query = "SELECT COUNT(*)"
			. "\n FROM #__jc_coupons WHERE section_id = '".COMM_SECTION_ID."'";
		}

		$db->setQuery( $query );
		$total = $db->loadResult();

		jimport('joomla.html.pagination');
		$pageNav = new JPagination( $total, $limitstart, $limit );

		if(COMM_MULTI_SELLER)
		{
			$query = "SELECT u.name as uname, u.name as editor, u.id uid, c.*, "
			. "DATE_FORMAT(c.ctime, '%d, %b %Y') AS `start`, "
			. "DATE_FORMAT(c.extime, '%d, %b %Y') AS `finish`, "
			. "IF(c.extime < NOW(),1,0) AS expire, "
			. "IF(c.used_num >= c.use_num,1,0) AS usedout"
			. "\n FROM #__jc_coupons AS c "
			. "LEFT JOIN #__users AS u ON u.id = c.seller_id "
			. "WHERE (c.seller_id = ".$user->get('id')." OR c.core = '1') AND section_id = '".COMM_SECTION_ID."'"
			//. ($user->get('usertype') == 'Super Administrator' ?
			//    NULL : " AND seller_id = '".$user->get('id')."' " )
			. $orderby ;
		}
		else
		{
			$query = "SELECT u.name as uname, u.name as editor, u.id uid, c.*, "
			. "DATE_FORMAT(c.ctime, '%d, %b %Y') AS `start`, "
			. "DATE_FORMAT(c.extime, '%d, %b %Y') AS `finish`, "
			. "IF(c.extime < NOW(),1,0) AS expire, "
			. "IF(c.used_num >= c.use_num,1,0) AS usedout"
			. "\n FROM #__jc_coupons AS c "
			. "LEFT JOIN #__users AS u ON u.id = c.seller_id
			WHERE section_id = '".COMM_SECTION_ID."'"
			. $orderby ;
		}
		$db->setQuery( $query, $pageNav->limitstart, $pageNav->limit );

		$rows = $db->loadObjectList();
		/*
		 // table ordering
		 if ( $filter_order_Dir == 'DESC' ) {
		 $lists['order_Dir'] = 'ASC';
		 } else {
		 $lists['order_Dir'] = 'DESC';
		 }*/
		$lists['order_Dir'] = $filter_order_Dir;
		$lists['order'] = $filter_order;
		$filter['section'] = $model_order->getCommercialSections(COMM_SECTION_ID);

		$this->assignRef('bar',	$TB);
		$this->assignRef('Itemid',	$Itemid);
		$this->assignRef('pageNav',	$pageNav);
		$this->assignRef('rows',	$rows);
		$this->assignRef('user',	$user);
		$this->assignRef('lists',	$lists);
		$this->assign('uri',	$uri->toString());
		$this->assignRef('title',	$title);
		$this->assignRef('filter',	$filter);

		parent::display($tpl);
	}

	function _form()
	{
		global $mainframe, $TB, $Itemid;
		$db     =& JFactory::getDBO();
		$user   =& JFactory::getUser();
		$option = JRequest::getVar('option', 'com_commerce');
		$uri = JFactory::getURI();
		$idar = JRequest::getVar("cid");
		$id = $idar[0];
		$model  = & $this->getModel('coupon');
		$pathway    = & $mainframe->getPathway();

		$title = (Jrequest::getVar('task') == 'add_coupon') ? JText::_("Add new coupon") : JText::_("Edit coupon");
		$pathway->addItem( $title, '' );

		$row =& JTable::getInstance('coupon', 'Commerce');
		if(JRequest::getVar("task") == 'edit_coupon'){
			$row->load( $id );
			if($row->checked_out && $row->checked_out != $user->id)
			{
				$link = "index.php?option=com_commerce&view=coupon&section_id=".COMM_SECTION_ID."&Itemid=".(COMM_COUPON_ITEMID ? COMM_COUPON_ITEMID : JRequest::getInt('Itemid'));
				$msg = JText::sprintf( 'DESCBEINGEDITTED', JText::_( 'Coupon' ), $row->value);
				$mainframe->redirect(JRoute::_($link), $msg );
			}
			$row->checkout($user->id, $id);
		}

		$TB->save('save_coupon', JText::_('Save'));
		$TB->apply('apply_coupon', JText::_("Apply"));
		$TB->_cancel('cancel', JText::_('Cancel'));

		$lists = array();

		$lists['published']  = JHTML::_('select.booleanlist', 'published', 'class="inputbox"', $row->published );
		$lists['core']  = JHTML::_('select.booleanlist', 'iscore', 'class="inputbox"', $row->core );
		$lists['invisible']  = JHTML::_('select.booleanlist', 'invisible', 'class="inputbox"', $row->invisible );
		$types[] = JHTML::_('select.option', 'procent', JText::_( 'Percentage' ));
		$types[] = JHTML::_('select.option', 'sum', JText::_( 'Fixed Sum' ));
		$lists['type'] = JHTML::_('select.genericlist', $types, 'discount_type', 'class="inputbox"', 'value', 'text', $row->discount_type );


		$pt_file = JPATH_ROOT.DS.'components'.DS.'com_community'.DS.'community.php';
		if(file_exists($pt_file))
		{
			if($groups = $model->getSellerGroups($user->id))
			{
				$opt = array();
				foreach($groups as $group)
				{
					$opt[] = JHTML::_('select.option', $group->id, $group->title);
				}
				$row->usercategory_ids = explode(",", $row->usercategory_ids );
					
				$lists['groups'] = JHTML::_('select.genericlist', $opt, 'usercategory_ids[]', 'class="inputbox"  multiple width="100%" size="'.count($opt).'"', 'value', 'text', $row->usercategory_ids );
			}
			else
			$lists['groups'] = JText::_('This is no created or published groups').'. '.JText::_('You can create them').'
			 <a href="index.php?option=com_community&view=groups&Itemid='.JRequest::getInt('Itemid').'" target="_blank">'.JText::_('here').'.</a>';
		}
		else
		{
			$lists['groups'] = 'This feature works only if <b>
			<a href="http://www.mightyextensions.com/joomla-components/peopletouch-community-social-network-service" target="_blank">Mighty Touch</a></b> is installed
			';
		}


		$row->ctime = JHTML::_('calendar', $row->ctime, 'ctime', 'created', '%Y-%m-%d %H:%M:%S', array('class'=>'inputbox', 'size'=>'25',  'maxlength'=>'19'));
		$row->extime = JHTML::_('calendar', $row->extime, 'extime', 'expired', '%Y-%m-%d %H:%M:%S', array('class'=>'inputbox', 'size'=>'25',  'maxlength'=>'19'));

		$this->assignRef('row',	$row);
		$this->assignRef('lists',	$lists);
		$this->assignRef('user',	$user);
		$this->assignRef('bar',	$TB);
		$this->assign('title',	$title);
		$this->assign('uri',	$uri->toString());
		$this->assign('option',	$option);


		parent::display();
	}

}
?>
