<?php
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view');

class CommerceViewCpanel extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $TB, $Itemid, $comm_params;
		$db   =& JFactory::getDBO();
		$user =& JFactory::getUser();
		$option = JRequest::getWord('option', 'com_commerce');
		$uri = &JFactory::getURI();
		$model_order  = JModel::getInstance('Orders', 'CommerceModel');
		$title = JText::_('Taxes manager');

		$pathway    = & $mainframe->getPathway();
		$pathway->addItem( JText::_('CPanel'), '' );


		$pt = JPATH_ROOT.DS.'components'.DS.'com_community'.DS.'community.php';
		$ju = JPATH_ROOT.DS.'components'.DS.'com_juser'.DS.'juser.php';
		$CB = JPATH_ROOT.DS.'components'.DS.'com_comprofiler'.DS.'comprofiler.php';
		$profile = false;
		switch(COMM_GENERAL_PROFILE)
		{
			case 'com_juser':
				if(file_exists($ju))
				$profile = 'index.php?option=com_juser&view=userlist&layout=profile&id='.$user->id .'&Itemid='.((COMM_PROFILE_ITEMID != '') ? COMM_PROFILE_ITEMID : $Itemid);
				break;
			case 'com_community':
				if(file_exists($pt))
				$profile = 'index.php?option=com_community&view=profile&Itemid='.((COMM_PROFILE_ITEMID != '') ? COMM_PROFILE_ITEMID : $Itemid);
				break;
			case 'com_comprofiler':
				if(file_exists($CB))
				$profile = 'index.php?option=com_comprofiler&task=userProfile&user=' .$user->id .'&Itemid='.((COMM_PROFILE_ITEMID != '') ? COMM_PROFILE_ITEMID : $Itemid);
				break;
		}

		$inb = JPATH_ROOT.DS.'components'.DS.'com_jsinbox'.DS.'jsinbox.php';
		$anl = JPATH_ROOT.DS.'components'.DS.'com_analytics'.DS.'analytics.php';
		if(!is_array($comm_params->get('type'))){
			$types = array($comm_params->get('type'));
		}else{
			$types = $comm_params->get('type');
		}
		if(count($types)){
			$query = "Select id, name FROM #__js_res_types WHERE id IN (".implode(',', $types).")";
			$db->setQuery($query);
			$types = $db->loadObjectList('id');
			if(count($types) > 1){
				JHTML::_('behavior.tooltip', '.myTip', array('fixed' => 1, 'hideDelay' => 3000, 'className'=>'mytipdrop'));
				$doc = &JFactory::getDocument();
				$doc->addStyleDeclaration('
					.mytipdrop-tip {
						width: 200px;
						z-index: 13000;
						border: 1px solid #d0d0d0;
					}
					
					.mytipdrop-title {
						font-weight: bold;
						margin: 0;
						padding: 8px 8px 4px;
						background-color: #d0d0d0;
						border-left: 5px solid whitesmoke;
						border-right: 5px solid whitesmoke;
						border-top: 5px solid whitesmoke;
						color: #000;
					}
					
					.mytipdrop-text {
						font-size: 12px;
						padding: 4px 8px 8px;
						background-color: #fff;
						border-bottom: 5px solid whitesmoke;
						border-left: 5px solid whitesmoke;
						border-right: 5px solid whitesmoke;
						border-top: 5px solid whitesmoke;
						color: #000;
					}
				');
			}
		}
		$context          = "$option.view_cpanel";
		$filter_section     = $mainframe->getUserStateFromRequest( "$context.filter_section", 	'filter_section',  COMM_SECTION_ID );

		$filter['section'] = $model_order->getCommercialSections(COMM_SECTION_ID);


		$this->assignRef('uri', $uri->toString());
		$this->assignRef('user', $user);
		$this->assignRef('profile', $profile);
		$this->assignRef('ju', file_exists($ju));
		$this->assignRef('inb', file_exists($inb));
		$this->assignRef('anl', file_exists($anl));
		$this->assignRef('filter',	$filter);
		$this->assignRef('title', JText::_('Commerce Cpanel'));
		$this->assignRef('types', $types);


		parent::display($tpl);
	}


}
?>