<?php
/**
 * $Id: invoicebill.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined( '_JEXEC' ) or die( 'Restricted access' );	
?>
<?php if(!JRequest::getInt('bill')) { ?>
<div class="componentheading"><?php echo JText::_('Invoice Num.'). ' '. $this->invoice; ?></div>
<?php
		echo '<p>'.JText::_('You cannot access the invoice').'.</p>';
		echo '<p>'.JText::_('Invoice is not set').'.</p>';
	}
	else {

	
jimport('joomla.utilities.date');

	$core = getCore();
	$params = new JParameter($this->row->params);
	$row = $this->row;

	$l1[] = $params->get('inv_address', BILL_INV_ADDRESS);
	$l1[] = $params->get('inv_city', BILL_INV_CITY);
	$l1[] = $params->get('inv_state', BILL_INV_STATE);
	$l1[] = $params->get('inv_zip', BILL_INV_ZIP);
	$l1[] = $params->get('inv_country', BILL_INV_COUNTRY);

	$address[1] = $l1;

	$l2[JText::_('Telephone')] = $params->get('inv_tel', BILL_INV_TEL);
	$l2[JText::_('Fax')] = $params->get('inv_fax', BILL_INV_FAX);
	$l2[JText::_('Company Number')] = $params->get('inv_number'); //, BILL_INV_NUMBER);
	$l2[JText::_('Company Tax ID')] = $params->get('inv_tax_id', BILL_INV_TAX_ID);
	$l2[JText::_('Ask for')] = $params->get('inv_person', BILL_INV_PERSON);

	$address[2] = $l2;
?>
<style type="text/css">
@media print {
	.noprint
	{
		display:none;
		visibility:hidden;
	}
	.border_print
	{
		display:block;
		visibility:visible;
	}
}

</style>


<div class="noprint">&nbsp;&nbsp;
<?php 
if( @$_REQUEST['tmpl'] == 'component' ){
	echo '<a href="#" onClick="window.print();">'.JText::_('Print').'</a>';
}?></div>
<?php $tax = 1; ?>

<div class="contentpaneopen" <?php if (JRequest::getVar('tmpl') == 'component' ) echo 'style="width: 800px; float: left;"';?>>
<table cellpadding="0" cellspacing="0" width="100%" border="0">
	<tr valign="top">
		<td width="15%" align="left"><?php 
		if($row->order_num  && BILL_SHOW_BAR_ORDER ){ ?><p style="text-align:left;font-size: 0.8em;"><b><?php echo JText::_('Order Num.')?></b></p>
			<img src="<?php echo JURI::root() ?>administrator/components/com_commerce/bar_code.php?str=<?php echo $row->order_num;?>&ite.png">
		</td>
		<?php } ?>
		<td>
		<span class="componentheading">
			<center><?php echo JText::_('Invoice');?></center>
		</span>
		
		<div class="contentheading" style="text-align:center"><?php echo $params->get('inv_name', BILL_INV_NAME);?></div>
		<div class="small" style="text-align:center">
		<?php 
		$address_for_view = array();
		foreach ( $address[1] as $a ){
		    if( !$a ) continue;
		    $address_for_view[] = $a;
		}
		?>
		<?php echo implode(', ', $address_for_view )?><br>
		
		<?php 
        $info = array();
        foreach ($address[2] as $name_add_vale => $val){
            if( !$val ) continue;
            $info[] = $name_add_vale . ': ' . $val ;
        }
        ?>
        <?php echo implode(' | ', $info); ?>
		</div>
		</td>
		<td  width="15%" align="right"> 
		<?php if (BILL_SHOW_BAR_INVOICE) { ?>
		<p style="text-align:right;font-size: 0.8em;"><b><?php echo JText::_('Invoice Number')?></b></p>
		<img src="<?php echo JURI::root() ?>administrator/components/com_commerce/bar_code.php?str=<?php echo $this->invoice;?>&ite.png">
		<?php } ?>
		</td>
	</tr>
</table>

<table width="100%" cellpadding="0" border="0" cellspacing="0">
	<tr valign="top">
		<td width="25%">
		<?php if( $params->get('inv_logo') && $params->get('inv_logo') != -1) { ?>
			<img src="<?php echo JURI::root() ?>images/stories/<?php echo $params->get('inv_logo');?>" alt="<?php echo JText::_('Invoice Logo')?>" />
			<?php } ?>
		</td>
		<td width="25%" nowrap>
			<table cellspacing="1">	
				<tr>	
					<td><?php echo JText::_('Order Number')?>:</td>
					<td><b><?php echo $row->order_num; ?></b></td>
				</tr>
				<tr>
					<td><?php echo JText::_('Invoice Number')?>:</td>
					<td><b><?php echo $this->invoice; ?></b></td>
				</tr>
				<?php if($params->get('tax_id')){ ?>
				<tr>
					<td><?php echo JText::_('Tax ID')?>:</td>
					<td><b><?php echo $params->get('tax_id');?></b></td>
				</tr>
				<?php } ?>
			</table>							
		</td>
		<td width="25%"  nowrap>
			<table cellspacing="1">	
				<tr>
					<td><?php echo JText::_('Gateway')?>:</td>
					<td><b><?php echo $row->gateway; ?></b></td>
				</tr>
				<tr>
					<td><?php echo JText::_('Gateway ID')?>:</td>
					<td><b><?php echo $row->gateway_id; ?></b></td>
				</tr>
			</table>							
		</td>
		<td width="25%" align="right" nowrap>
			<table cellspacing="1">	
				<tr>
					<td><?php echo JText::_('Pay Date')?>:</td>
					<td><b><?php $ctime = new JDate($row->ctime); echo $ctime->toFormat(COMM_DATE_FORMAT);?></b></td>
				</tr>
				<tr>
					<td><?php echo JText::_('Issue Date')?>:</td>
					<td><b><?php $ctime = new JDate($row->ptime); echo $ctime->toFormat(COMM_DATE_FORMAT);?></b></td>
				</tr>
			</table>							
		
		</td>
	</tr>
</table>
<span class="article_separator"></span>

<table align="center" width="100%" cellpadding="1" cellspacing="1" border="0">
	<tr valign="top">
		<td width="50%" valign="top">
		    <?php if( $params->get( 'billto_name', BILL_BILLTO_NAME )||
                      $params->get( 'billto_address', BILL_BILLTO_ADDRESS ) ||
                      $params->get( 'billto_city', BILL_BILLTO_CITY ) ||
                      $params->get( 'billto_state', BILL_BILLTO_STATE ) ||
                      $params->get( 'billto_zip', BILL_BILLTO_ZIP ) ||
                      $params->get( 'billto_country', BILL_BILLTO_COUNTRY ) ||
                      $params->get( 'billto_tel', BILL_BILLTO_TEL ) ) { ?>
			<table border="0" cellpadding="1" cellspacing="1">
				<tr>
					<td  valign="top"  nowrap><div class="contentheading"><?php echo JText::_('Bill To')?>:</div></td>
					<td>
					    <?php if( $params->get( 'billto_name', BILL_BILLTO_NAME ) ) { ?>
					    <big><b><?php echo $params->get('name')  ? $params->get('name') : JText::_('N/A') ;?></b></big>
					    <?php } ?>
					</td>
					
				</tr>
				<?php if( $params->get( 'billto_address', BILL_BILLTO_ADDRESS ) ||
	                      $params->get( 'billto_city', BILL_BILLTO_CITY ) ||
	                      $params->get( 'billto_state', BILL_BILLTO_STATE ) ||
	                      $params->get( 'billto_zip', BILL_BILLTO_ZIP ) ||
	                      $params->get( 'billto_country', BILL_BILLTO_COUNTRY ) ) { ?>
				<tr>
					<td valign="top"><b><?php echo JText::_('Address')?>:</b></td>
					<td><?php

					$adr[] = $params->get('address');
					$adr[] = $params->get('state');
					$adr[] = $params->get('city');
					$adr[] = $params->get('zip');
					$adr[] = $params->get('country');

					foreach ( $adr as $key => $a ) {
					  if( !$a ) unset( $adr[$key] );
					}
					
					$adr = implode( ', ', $adr );
					echo $adr ? $adr : JText::_('N/A');
					?></td>
				</tr>
				<?php } ?>
				<?php if( $params->get( 'billto_tel', BILL_BILLTO_TEL ) ) { ?>
				<tr>
					<td  valign="top"><b><?php echo JText::_('Telephone')?>:</b></td>
					<td><?php echo $params->get('tel') ? $params->get('tel')  : JText::_('N/A');?></td>
				</tr>
				<?php } ?>
			</table>
			<?php } ?>
		</td>
		<td width="50%" valign="top" class="column_separator">
		    <?php if( $params->get( 'shipto_name', BILL_SHIPTO_NAME )||
                      $params->get( 'shipto_address', BILL_SHIPTO_ADDRESS ) ||
                      $params->get( 'shipto_city', BILL_SHIPTO_CITY ) ||
                      $params->get( 'shipto_state', BILL_SHIPTO_STATE ) ||
                      $params->get( 'shipto_zip', BILL_SHIPTO_ZIP ) ||
                      $params->get( 'shipto_country', BILL_SHIPTO_COUNTRY ) ||
                      $params->get( 'shipto_tel', BILL_SHIPTO_TEL ) ) { ?>
			<table border="0" cellpadding="1" cellspacing="1">
				<tr>
					<td  valign="top" nowrap><div class="contentheading"><?php echo JText::_('Ship To')?>:</div></td>
					<td><big><b><?php echo $params->get('ship_name', $params->get('name')) ? $params->get('ship_name', $params->get('name')) : JText::_('N/A') ;?></b></big></td>
					
				</tr>
				<?php if( $params->get( 'shipto_address', BILL_SHIPTO_ADDRESS ) ||
                      $params->get( 'shipto_city', BILL_SHIPTO_CITY ) ||
                      $params->get( 'shipto_state', BILL_SHIPTO_STATE ) ||
                      $params->get( 'shipto_zip', BILL_SHIPTO_ZIP ) ||
                      $params->get( 'shipto_country', BILL_SHIPTO_COUNTRY ) ) { ?>
				<tr>
					<td valign="top"><b><?php echo JText::_('Address')?>:</b></td>
					<td><?php 
					$adr2[] = $params->get('ship_address',  $params->get( 'billto_city' ) ? $params->get('address') : "");
					$adr2[] = $params->get('ship_state',  $params->get( 'billto_city' ) ? $params->get('state') : "");
					$adr2[] = $params->get('ship_city', $params->get( 'billto_city' ) ? $params->get('city') : "");
					$adr2[] = $params->get('ship_zip',  $params->get( 'billto_city' ) ? $params->get('zip') : "");
					$adr2[] = $params->get('ship_country',  $params->get( 'billto_city' ) ? $params->get('country') : "");

					foreach ( $adr2 as $key => $a ) {
					  if( !$a ) unset( $adr2[$key] );
					}
					
					$adr2 = implode( ', ', $adr2 );
					echo $adr2 ? $adr2 : JText::_('N/A');
					?></td>
				</tr>
				<?php } ?>
				<?php if( $params->get( 'shipto_tel', BILL_SHIPTO_TEL ) ) { ?>
				<tr>
					<td  valign="top"><b><?php echo JText::_('Telephone')?>:</b></td>
					<td><?php echo $params->get('ship_tel', $params->get('tel')) ? $params->get('ship_tel', $params->get('tel'))  : JText::_('N/A');?></td>
				</tr>
				<?php } ?>
			</table>
			<?php } ?>
		</td>
	</tr>
</table>
<span class="article_separator"></span>
<table width="100%" cellpadding="3" cellspacing="0" border="0">
	<tr class="sectiontableheader">
		<td class="sectiontableheader" width="1%">#</td>
		<td class="sectiontableheader"><?php echo JText::_('Description')?></td>
		<td class="sectiontableheader" width="50px" nowrap align="center"><?php echo JText::_('Unit Price')?></td>
		<td class="sectiontableheader" width="50px" align="center"><?php echo JText::_('Quantity')?></td>
		<?php if ( $tax ) : ?>
		  <td class="sectiontableheader" width="50px" nowrap align="center"><?php echo JText::_('Net Price')?></td>
		  <td class="sectiontableheader" width="50px" align="center"><?php echo JText::_('Tax')?></td>
		  <td class="sectiontableheader" width="50px" align="center"><?php echo JText::_('Total Tax')?></td>
		<?php endif;?>
		<td class="sectiontableheader" width="50px" align="center"><?php echo JText::_('Total')?></td>
	</tr>
	<?php 
	$i = 1; $k = 0; $totalamount = 0; $totaltax = 0;
	$net = array();
	$list = unserialize($row->product_list);

	foreach ($list as $item) { 
		if(!$item['title']) break; 
		?>
		<tr class="sectiontableentry<?php echo $k + 1?>" valign="top">
			<td><?php echo $i;?></td>
			
			<td><?php echo $item['title']; ?></td>
			
			<td nowrap align="right"><?php  echo str_replace(array("00", "Sign"), array($item['amount'], $params->get('curr')), $params->get('price'));?></td>
			
			<td nowrap align="right"><?php echo $item['qnt'];?></td>
			
			<?php $net[$i] = ($item['amount'] * $item['qnt']); ?>
			
			<?php if( $tax ) { ?>
  			<td align="right"><?php echo str_replace(array("00", "Sign"), array($net[$i], $params->get('curr')), $params->get('price'));?></td>
  			
  			<td nowrap="nowrap" align="right">
  				<?php echo ( $item['tax_procent'] ) ? $item['tax_procent'] : "0"; ?>%<br>
  				<span class="small"><?php echo ( $item['tax_name'] ) ? "( ".$item['tax_name']." )" : ""; ?></span>
  			</td>
  			
  			<td align="right"><?php echo $item['tax'] > 0 ? str_replace(array("00", "Sign"), array($item['tax'], $params->get('curr')), $params->get('price')) : ''; ?></td>
	        <?php
	        	$amount[$i] = $net[$i] + @$item->tax;
				  $totaltax += $item->tax;
	      	}            			
			$totalamount += $amount[$i];
			?>
			<td align="right"><?php echo str_replace(array("00", "Sign"), array($amount[$i], $params->get('curr')), $params->get('price'));?></td>
		</tr>
		<?php } ?>
		
		</table>

		<table align="center" width="100%" cellpadding="2" cellspacing="0" border="0">
			<tr>
				<td valign="top" align="left">&nbsp;
				<?php if ($params->get('client_comment')) {?>
					<br><b><?php echo JText::_('Client comment'); ?>:&nbsp;</b><?php echo $params->get('client_comment'); ?>
				<?php } ?>
				</td>
				<td width="1%" align="right">
					<table width="10%" cellpadding="2" cellspacing="0" border="0">
					  <?php if ( $tax ) { ?>
						<tr>
							<td nowrap><?php echo JText::_('Net Price'); ?>:</td>
							<td nowrap align="right">
								<b>
									<?php echo str_replace(array('00','Sign'), array(array_sum($net), $params->get('curr')), $params->get('price'));?>
								</b>
							</td>
						</tr>
						<tr>
							<td nowrap><?php echo JText::_( "Tax" ); ?>:</td>
							<td nowrap align="right">
							  <b>
							    <?php echo str_replace( array( '00', 'Sign' ), array(  round( $totaltax, 2 ), $params->get('curr') ), $params->get('price') );?>
							  </b>
						  </td>
						</tr>	
						<?php } ?>
						
						<tr>
							<td nowrap><b><big><?php echo JText::_('Total sum')?>:</big></b></td>
							<td nowrap align="right">
							  <b>
							    <big>
							      <?php echo str_replace(array("00", "Sign"), array(round($totalamount, 2), $params->get('curr')), $params->get('price') );?>
							    </big>
							  </b>
						  </td>
						</tr>	
					</table>
				</td>
			</tr>
			<tr>
				<td>&nbsp;
				<?php if($params->get('inv_add')){ ?>
					<br><small class="small"><b><?php echo JText::_('Bill Description'); ?>:</b>&nbsp;<?php echo nl2br($params->get('inv_add'));?></small>
				<?php } ?>
				</td>
				<td align="right" width="1%"><?php
				if($params->get('tax_id')){ ?><span class="small"><?php echo JText::_('Tax ID')?>:</span>
				<?php if (BILL_SHOW_BAR_TAX) { ?>
				<img src="<?php echo JURI::root() ?>administrator/components/com_commerce/bar_code.php?str=<?php echo $params->get('tax_id')?>&ite.jpg">
				<?php }
				else echo '<b>'.$params->get('tax_id').'</b>'; ?>	
				<?php } ?>
				</td>
			</tr>
		</table>
</div>
<?php } ?>