<?php
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view');

class CommerceViewShipping extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $TB, $Itemid;
		$db   =& JFactory::getDBO();
		$layout = $this->getLayout();
		$document = &JFactory::getDocument();
		$user =& JFactory::getUser();
		$option = JRequest::getWord('option', 'com_commerce');
		$uri = JFactory::getURI();
		$model_order  = JModel::getInstance('Orders', 'CommerceModel');
		$pathway	     = & $mainframe->getPathway();
		$pathway->addItem( JText::_('Shipping Methods'), '' );
		if($layout == 'form')
		{
			$this->_form();
			return;
		}
		$document->addScript(JURI::root()."components/com_commerce/helpers/shadowbox/build/adapter/shadowbox-base.js");
		$document->addScript(JURI::root()."components/com_commerce/helpers/shadowbox/build/shadowbox.js");

		// create toolbar
		$TB->cpanel('cpanel', JText::_('CPanel'));
		$TB->publish('jc_ship_forwarder', 1);
		$TB->publish('jc_ship_forwarder', 0);

		if($user->is_super_admin || COMM_SHIP_ADD)
		{
			$TB->_addNew('add_shipping', JText::_('New'));
			$TB->editList('edit_shipping', JText::_('Edit'));
			$TB->delete('jc_ship_forwarder', 1);
			$TB->custom( 'export', 'export', Null, 'Export',  false, false );
		}
		if($user->is_super_admin)
		$TB->custom( 'set_shipping', 'core', Null, 'Set Core',  false, false );

		$TB->help('shipping', 'com_commerce');

		$shopParams = JRequest::getVar('shopParams');

		$context          = "$option.view_shipping";
		$filter_order     = $mainframe->getUserStateFromRequest( "$context.filter_order", 	'filter_order', 	'name' );
		$filter_order_Dir	= $mainframe->getUserStateFromRequest( "$context.filter_order_Dir",	'filter_order_Dir',	'ASC' );
		$filter_section     = $mainframe->getUserStateFromRequest( "$context.filter_section", 	'filter_section',  COMM_SECTION_ID );
		$limit      = $mainframe->getUserStateFromRequest("$context.limit", 'limit', $mainframe->getCfg('list_limit'), 0);
		$limitstart	= JRequest::getVar('limitstart', 0, '', 'int');
		$lists['order'] = $filter_order;
		$lists['order_Dir'] = $filter_order_Dir;
		$filter['section'] = $model_order->getCommercialSections(COMM_SECTION_ID);

		if($filter_order) {$orderby 	= "\n ORDER BY $filter_order $filter_order_Dir";}

		if(COMM_MULTI_SELLER)
		{
			$sql = "SELECT *, seller_id as editor FROM `#__jc_ship_forwarder`
			WHERE (`seller_id` = {$user->id} OR `is_core` = 1) AND section_id = '".COMM_SECTION_ID."' ";
			/*if($user->gid != 25)
			{
				$sql .= " AND published = 1 ";
			}*/
		}
		else
		{
			$sql = "SELECT *, seller_id as editor FROM `#__jc_ship_forwarder` WHERE section_id = '".COMM_SECTION_ID."' ";
			if($user->gid != 25)
			{
				$sql .= " AND published = 1 ";
			}
		}
		$sql .= $orderby;
		$db->setQuery($sql);
		
		$rows = $db->loadObjectList();
		$total = count($rows);

		jimport('joomla.html.pagination');
		$pageNav = new JPagination( $total, $limitstart, $limit );

		for ($i = 0; $i<count($rows); $i++)
		{
			$query = "SELECT COUNT(*) FROM `#__jc_ship_forwarder_shema`
			WHERE section_id = '".COMM_SECTION_ID."' AND `frwrd_id` = {$rows[$i]->id} AND (user_id = '{$user->id}' OR is_core = '1')";
			$db->setQuery($query);
			
			$result = $db->loadResult();
			$rows[$i]->items = $result;

			if(COMM_MULTI_SELLER && $rows[$i]->seller_id != $user->id)
			{
				$query = "SELECT published FROM `#__jc_users_shipping`
				WHERE section_id = '".COMM_SECTION_ID."' AND `user_id` = {$user->id}
				AND ship_id = '{$rows[$i]->id}' AND ship_type = 'shipping'";
				$db->setQuery($query);
				$result = $db->loadObject();
				if($result) $rows[$i]->published = $result->published;
				else $rows[$i]->published = 0;
			}
		}
			
		$this->assignRef('Itemid',	$Itemid);
		$this->assignRef('title', JText::_('Shipping Methods'));
		$this->assignRef('pageNav',	$pageNav);
		$this->assignRef('rows',	$rows);
		$this->assignRef('bar', $TB);
		$this->assignRef('lists',	$lists);
		$this->assignRef('user',	$user);
		$this->assign('uri',	$uri->toString());
		$this->assignRef('filter',	$filter);

		parent::display();
	}

	function _form()
	{
		global $mainframe, $TB, $Itemid;

		$user   =& JFactory::getUser();

		if(!$user->is_super_admin && !COMM_SHIP_ADD)
		{
			$mainframe->redirect('index.php?option=com_commerce&view=shipping&section_id='.COMM_SECTION_ID.'&Itemid='.(COMM_SHIP_ITEMID ? COMM_SHIP_ITEMID : $Itemid), JText::_('You are not allowed to add shipping methods'), 'Error');
		}

		$db     = &JFactory::getDBO();
		$option = JRequest::getVar('option');
		$uri = JFactory::getURI();
		$idar = JRequest::getVar("cid");
		$id = $idar[0];
		$pathway    = & $mainframe->getPathway();

		$TB->save('save_shipping', JText::_('Save'));
		$TB->apply('apply_shipping', JText::_("Apply"));
		$TB->_cancel('cancel', JText::_('Cancel'));

		$title = (Jrequest::getVar('task') == 'add_shipping') ? JText::_("Add new shipping") : JText::_("Edit shipping");
		$pathway->addItem( $title, '' );
		$row    = &JTable::getInstance('Shipping', 'Commerce');

		if(JRequest::getVar("task") == 'edit_shipping'){
			$row->load( $id );
			if($row->checked_out && $row->checked_out != $user->id)
			{
				$link = "index.php?option=com_commerce&view=shipping&section_id=".COMM_SECTION_ID."&Itemid=".(COMM_SHIP_ITEMID ? COMM_SHIP_ITEMID : JRequest::getInt('Itemid'));
				$msg = JText::sprintf( 'DESCBEINGEDITTED', JText::_( 'Shipping method' ), $row->name);
				$mainframe->redirect(JRoute::_($link), $msg );
			}
			$row->checkout($user->id, $id);
		}
		$lists = array();
		$lists['published']  = JHTML::_('select.booleanlist', 'published', 'class="inputbox"', $row->published );
		$lists['is_core']  = JHTML::_('select.booleanlist', 'is_core', 'class="inputbox"', $row->is_core );

		$this->assignRef('row',	$row);
		$this->assignRef('lists',	$lists);
		$this->assignRef('user',	$user);
		$this->assignRef('bar',	$TB);
		$this->assign('title',	$title);
		$this->assign('uri',	$uri->toString());
		$this->assign('option',	$option);

		parent::display();
	}

}
?>