<?php
/**
 * $Id: view.html.php 7311 2011-08-19 11:18:02Z shitz $
 * $LastChangedDate: 2011-08-19 17:18:02 +0600 (Fri, 19 Aug 2011) $
 * $LastChangedBy: shitz $
 * MightyCommerce by Mighty Extensions
 * a component for Joomla! 1.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mightyextensions.com/
 * @copyright Copyright (C) 2006 - 2011 MightyExtensions (http://www.mightyextensions.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die();

jimport( 'joomla.application.component.view');

class CommerceViewUserConfig extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $TB, $Itemid;
		$db   =& JFactory::getDBO();
		$user =& JFactory::getUser();
		$option = JRequest::getWord('option', 'com_commerce');
		$uri = &JFactory::getURI();
		$model  = & $this->getModel('userconfig');
		$model_order  = JModel::getInstance('Orders', 'CommerceModel');
		$pathway    = & $mainframe->getPathway();
		$pathway->addItem( JText::_('Seller Configuration'), '' );
		// create toolbar
		$TB->cpanel('cpanel', JText::_('CPanel'));
		$TB->save('save');
		$TB->help('user.userconfig', 'com_commerce');

		$document = &JFactory::getDocument();
		$document->addStyleSheet(JURI::root()."components/com_community/assets/taber_style.css");
		$document->addScript(JURI::root()."components/com_community/assets/javascript.js");

		$context          = "$option.view_userconfig";
		$filter_section     = $mainframe->getUserStateFromRequest( "$context.filter_section", 	'filter_section',  COMM_SECTION_ID );


		$sql = "SELECT * FROM #__jc_users WHERE `user_id` = '{$user->id}' AND section_id = '".COMM_SECTION_ID."'";
		$db->setQuery($sql);
		$shopParams = $db->loadObject();
		if($shopParams->params == '')
		{
			$model->getConfigAssociation($shopParams->params, $user);
		}
		JRequest::setVar('shopParams', $shopParams->params);
		$user_params = new JParameter($shopParams->params, JPATH_COMPONENT.DS.'params.xml');

		$pluginParams = array();
		$available = '';
		$label = array();

		$pluginParams2 = array();
		$available1 = array();
		$available2 = array();
		$label2 = array();


		if(defined('COMM_PAY_GATEWAYS') && COMM_PAY_GATEWAYS != '')
		{
			$available = $available1 = (strstr( COMM_PAY_GATEWAYS , ":")) ? unserialize( COMM_PAY_GATEWAYS ) : array(COMM_PAY_GATEWAYS);
			if(defined('COMM_PAYOUT_GATEWAYS') && COMM_PAYOUT_GATEWAYS != '')
			{
				$available2 = (strstr( COMM_PAYOUT_GATEWAYS , ":")) ? unserialize( COMM_PAYOUT_GATEWAYS ) : array(COMM_PAYOUT_GATEWAYS);
				$available = array_unique(array_merge($available1, $available2));
			}
			$plugin = array(); $pluginParams = array();
			foreach($available as $i => $pay)
			{
				$desc = array();
				JPluginHelper::importPlugin('bill_gateways', $pay);
				$plugin[$i] =& JPluginHelper::getPlugin('bill_gateways', $pay);
				$params = new JParameter($plugin[$i]->params);
				$label[$i] = '<b>'.JText::_($params->get($plugin[$i]->name.'_label')).'</b>';//'<b>'.$model->getPluginName($plugin[$i]->name).'</b>';
				if(in_array($pay, $available1))
				{
					$desc[] = JText::_('make payments');
				}
				if(in_array($pay, $available2))
				{
					$desc[] = JText::_('receive balance payouts');
				}
				$label[$i] .= '	<span class="small">('.JText::_('is used to').' '. implode(' '.JText::_('and').' ', $desc).')</span>';
				$pluginParams[$i] = new JParameter( $shopParams->params, JPATH_ROOT.DS.'plugins'.DS.'bill_gateways'.DS.$pay.'.xml' );
			}
		}

		$filter['section'] = $model_order->getCommercialSections(COMM_SECTION_ID);

		$this->assignRef('Itemid',	$Itemid);
		$this->assignRef('uri', $uri->toString());
		$this->assignRef('title', JText::_('Seller Configuration'));
		$this->assignRef('bar', $TB);
		$this->assignRef('id', $shopParams->id);
		$this->assign('user_params', $user_params);
		$this->assign('pluginParams', $pluginParams);
		$this->assign('available', $available);
		$this->assign('label', $label);
		$this->assign('pluginParams2', $pluginParams2);
		$this->assign('available2', $available2);
		$this->assign('label2', $label2);
		$this->assignRef('filter',	$filter);
		parent::display($tpl);
	}


}
?>